package com.alibaba.fastjson.parser;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.util.ASMUtils;
import com.alibaba.fastjson.util.IOUtils;
import com.alibaba.fastjson.util.TypeUtils;
import com.taobao.weex.el.parse.Operators;
import java.math.BigDecimal;
import java.math.MathContext;
import java.util.Calendar;
import java.util.Collection;
import java.util.Date;
import java.util.SimpleTimeZone;
import java.util.TimeZone;
/* loaded from: classes22.dex */
public final class JSONScanner extends JSONLexerBase {
    private final int len;
    private final String text;

    static boolean checkDate(char c, char c2, char c3, char c4, char c5, char c6, int i, int i2) {
        if (c >= '0' && c <= '9' && c2 >= '0' && c2 <= '9' && c3 >= '0' && c3 <= '9' && c4 >= '0' && c4 <= '9') {
            if (c5 == '0') {
                if (c6 < '1' || c6 > '9') {
                    return false;
                }
            } else if (c5 != '1' || (c6 != '0' && c6 != '1' && c6 != '2')) {
                return false;
            }
            if (i == 48) {
                return i2 >= 49 && i2 <= 57;
            } else if (i != 49 && i != 50) {
                return i == 51 && (i2 == 48 || i2 == 49);
            } else if (i2 >= 48 && i2 <= 57) {
                return true;
            }
        }
        return false;
    }

    /* JADX WARN: Code restructure failed: missing block: B:16:0x001d, code lost:
        if (r6 <= '4') goto L5;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private boolean checkTime(char c, char c2, char c3, char c4, char c5, char c6) {
        if (c == '0') {
            if (c2 < '0' || c2 > '9') {
                return false;
            }
        } else if (c != '1') {
            if (c == '2') {
                if (c2 >= '0') {
                }
            }
            return false;
        } else if (c2 < '0' || c2 > '9') {
            return false;
        }
        if (c3 < '0' || c3 > '5') {
            if (c3 != '6' || c4 != '0') {
                return false;
            }
        } else if (c4 < '0' || c4 > '9') {
            return false;
        }
        return (c5 < '0' || c5 > '5') ? c5 == '6' && c6 == '0' : c6 >= '0' && c6 <= '9';
    }

    public JSONScanner(String str) {
        this(str, JSON.DEFAULT_PARSER_FEATURE);
    }

    public JSONScanner(String str, int i) {
        super(i);
        this.text = str;
        this.len = str.length();
        this.bp = -1;
        next();
        if (this.ch == 65279) {
            next();
        }
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public final char charAt(int i) {
        return i >= this.len ? JSONLexer.EOI : this.text.charAt(i);
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase, com.alibaba.fastjson.parser.JSONLexer
    public final char next() {
        int i = this.bp + 1;
        this.bp = i;
        char charAt = i >= this.len ? JSONLexer.EOI : this.text.charAt(i);
        this.ch = charAt;
        return charAt;
    }

    public JSONScanner(char[] cArr, int i) {
        this(cArr, i, JSON.DEFAULT_PARSER_FEATURE);
    }

    public JSONScanner(char[] cArr, int i, int i2) {
        this(new String(cArr, 0, i), i2);
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    protected final void copyTo(int i, int i2, char[] cArr) {
        this.text.getChars(i, i2 + i, cArr, 0);
    }

    static boolean charArrayCompare(String str, int i, char[] cArr) {
        int length = cArr.length;
        if (length + i > str.length()) {
            return false;
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (cArr[i2] != str.charAt(i + i2)) {
                return false;
            }
        }
        return true;
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public final boolean charArrayCompare(char[] cArr) {
        return charArrayCompare(this.text, this.bp, cArr);
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public final int indexOf(char c, int i) {
        return this.text.indexOf(c, i);
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public final String addSymbol(int i, int i2, int i3, SymbolTable symbolTable) {
        return symbolTable.addSymbol(this.text, i, i2, i3);
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase, com.alibaba.fastjson.parser.JSONLexer
    public byte[] bytesValue() {
        if (this.token == 26) {
            int i = this.np + 1;
            int i2 = this.sp;
            if (i2 % 2 != 0) {
                throw new JSONException("illegal state. " + i2);
            }
            int i3 = i2 / 2;
            byte[] bArr = new byte[i3];
            for (int i4 = 0; i4 < i3; i4++) {
                int i5 = (i4 * 2) + i;
                char charAt = this.text.charAt(i5);
                char charAt2 = this.text.charAt(i5 + 1);
                char c = '0';
                int i6 = charAt - (charAt <= '9' ? '0' : '7');
                if (charAt2 > '9') {
                    c = '7';
                }
                bArr[i4] = (byte) ((i6 << 4) | (charAt2 - c));
            }
            return bArr;
        } else if (!this.hasSpecial) {
            return IOUtils.decodeBase64(this.text, this.np + 1, this.sp);
        } else {
            return IOUtils.decodeBase64(new String(this.sbuf, 0, this.sp));
        }
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase, com.alibaba.fastjson.parser.JSONLexer
    public final String stringVal() {
        if (!this.hasSpecial) {
            return subString(this.np + 1, this.sp);
        }
        return new String(this.sbuf, 0, this.sp);
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public final String subString(int i, int i2) {
        if (ASMUtils.IS_ANDROID) {
            if (i2 < this.sbuf.length) {
                this.text.getChars(i, i + i2, this.sbuf, 0);
                return new String(this.sbuf, 0, i2);
            }
            char[] cArr = new char[i2];
            this.text.getChars(i, i2 + i, cArr, 0);
            return new String(cArr);
        }
        return this.text.substring(i, i2 + i);
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public final char[] sub_chars(int i, int i2) {
        if (ASMUtils.IS_ANDROID && i2 < this.sbuf.length) {
            this.text.getChars(i, i2 + i, this.sbuf, 0);
            return this.sbuf;
        }
        char[] cArr = new char[i2];
        this.text.getChars(i, i2 + i, cArr, 0);
        return cArr;
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase, com.alibaba.fastjson.parser.JSONLexer
    public final String numberString() {
        char charAt = charAt((this.np + this.sp) - 1);
        int i = this.sp;
        if (charAt == 'L' || charAt == 'S' || charAt == 'B' || charAt == 'F' || charAt == 'D') {
            i--;
        }
        return subString(this.np, i);
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase, com.alibaba.fastjson.parser.JSONLexer
    public final BigDecimal decimalValue() {
        char charAt = charAt((this.np + this.sp) - 1);
        int i = this.sp;
        if (charAt == 'L' || charAt == 'S' || charAt == 'B' || charAt == 'F' || charAt == 'D') {
            i--;
        }
        if (i > 65535) {
            throw new JSONException("decimal overflow");
        }
        int i2 = this.np;
        if (i < this.sbuf.length) {
            this.text.getChars(i2, i2 + i, this.sbuf, 0);
            return new BigDecimal(this.sbuf, 0, i, MathContext.UNLIMITED);
        }
        char[] cArr = new char[i];
        this.text.getChars(i2, i2 + i, cArr, 0);
        return new BigDecimal(cArr, 0, i, MathContext.UNLIMITED);
    }

    public boolean scanISO8601DateIfMatch() {
        return scanISO8601DateIfMatch(true);
    }

    public boolean scanISO8601DateIfMatch(boolean z) {
        return scanISO8601DateIfMatch(z, this.len - this.bp);
    }

    /* JADX WARN: Removed duplicated region for block: B:135:0x0214 A[RETURN] */
    /* JADX WARN: Removed duplicated region for block: B:137:0x0216  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private boolean scanISO8601DateIfMatch(boolean z, int i) {
        char charAt;
        char c;
        char c2;
        char c3;
        int i2;
        int i3;
        int i4;
        int i5;
        char c4;
        char c5;
        char c6;
        char c7;
        char c8;
        char c9;
        int i6;
        char c10;
        char c11;
        char c12;
        char c13;
        char c14;
        int i7;
        char c15;
        char c16;
        int i8;
        char charAt2;
        char c17;
        char charAt3;
        int i9;
        char charAt4;
        char charAt5;
        char charAt6;
        if (i < 8) {
            return false;
        }
        char charAt7 = charAt(this.bp);
        char charAt8 = charAt(this.bp + 1);
        char charAt9 = charAt(this.bp + 2);
        int i10 = 3;
        char charAt10 = charAt(this.bp + 3);
        char charAt11 = charAt(this.bp + 4);
        char charAt12 = charAt(this.bp + 5);
        char charAt13 = charAt(this.bp + 6);
        char charAt14 = charAt(this.bp + 7);
        if (!z) {
            if (i > 13) {
                char charAt15 = charAt((this.bp + i) - 1);
                char charAt16 = charAt((this.bp + i) - 2);
                if (charAt7 == '/' && charAt8 == 'D' && charAt9 == 'a' && charAt10 == 't' && charAt11 == 'e' && charAt12 == '(' && charAt15 == '/' && charAt16 == ')') {
                    int i11 = -1;
                    for (int i12 = 6; i12 < i; i12++) {
                        char charAt17 = charAt(this.bp + i12);
                        if (charAt17 != '+') {
                            if (charAt17 < '0' || charAt17 > '9') {
                                break;
                            }
                        } else {
                            i11 = i12;
                        }
                    }
                    if (i11 == -1) {
                        return false;
                    }
                    int i13 = this.bp + 6;
                    long parseLong = Long.parseLong(subString(i13, (this.bp + i11) - i13));
                    this.calendar = Calendar.getInstance(this.timeZone, this.locale);
                    this.calendar.setTimeInMillis(parseLong);
                    this.token = 5;
                    return true;
                }
            }
        }
        if (i == 8 || i == 14 || ((i == 16 && ((charAt6 = charAt(this.bp + 10)) == 'T' || charAt6 == ' ')) || (i == 17 && charAt(this.bp + 6) != '-'))) {
            if (z) {
                return false;
            }
            char charAt18 = charAt(this.bp + 8);
            boolean z2 = charAt11 == '-' && charAt14 == '-';
            boolean z3 = z2 && i == 16;
            boolean z4 = z2 && i == 17;
            if (z4 || z3) {
                charAt = charAt(this.bp + 9);
                c = charAt12;
                c2 = charAt13;
                c3 = charAt18;
            } else if (charAt11 == '-' && charAt13 == '-') {
                c2 = charAt12;
                charAt = charAt14;
                c = '0';
                c3 = '0';
            } else {
                c = charAt11;
                c2 = charAt12;
                c3 = charAt13;
                charAt = charAt14;
            }
            if (checkDate(charAt7, charAt8, charAt9, charAt10, c, c2, c3, charAt)) {
                setCalendar(charAt7, charAt8, charAt9, charAt10, c, c2, c3, charAt);
                if (i != 8) {
                    char charAt19 = charAt(this.bp + 9);
                    char charAt20 = charAt(this.bp + 10);
                    char charAt21 = charAt(this.bp + 11);
                    char charAt22 = charAt(this.bp + 12);
                    char charAt23 = charAt(this.bp + 13);
                    if ((z4 && charAt20 == 'T' && charAt23 == ':' && charAt(this.bp + 16) == 'Z') || (z3 && ((charAt20 == ' ' || charAt20 == 'T') && charAt23 == ':'))) {
                        char charAt24 = charAt(this.bp + 14);
                        c6 = charAt(this.bp + 15);
                        c5 = charAt24;
                        c8 = charAt21;
                        c4 = charAt22;
                        c7 = '0';
                        c9 = '0';
                    } else {
                        c4 = charAt19;
                        c5 = charAt20;
                        c6 = charAt21;
                        c7 = charAt22;
                        c8 = charAt18;
                        c9 = charAt23;
                    }
                    if (!checkTime(c8, c4, c5, c6, c7, c9)) {
                        return false;
                    }
                    if (i != 17 || z4) {
                        i6 = 0;
                    } else {
                        char charAt25 = charAt(this.bp + 14);
                        char charAt26 = charAt(this.bp + 15);
                        char charAt27 = charAt(this.bp + 16);
                        if (charAt25 < '0' || charAt25 > '9' || charAt26 < '0' || charAt26 > '9' || charAt27 < '0' || charAt27 > '9') {
                            return false;
                        }
                        i6 = ((charAt25 - '0') * 100) + ((charAt26 - '0') * 10) + (charAt27 - '0');
                    }
                    i3 = (c9 - '0') + ((c7 - '0') * 10);
                    i5 = ((c8 - '0') * 10) + (c4 - '0');
                    i4 = i6;
                    i2 = ((c5 - '0') * 10) + (c6 - '0');
                } else {
                    i2 = 0;
                    i3 = 0;
                    i4 = 0;
                    i5 = 0;
                }
                this.calendar.set(11, i5);
                this.calendar.set(12, i2);
                this.calendar.set(13, i3);
                this.calendar.set(14, i4);
                this.token = 5;
                return true;
            }
            return false;
        } else if (i < 9) {
            return false;
        } else {
            char charAt28 = charAt(this.bp + 8);
            char charAt29 = charAt(this.bp + 9);
            if ((charAt11 != '-' || charAt14 != '-') && (charAt11 != '/' || charAt14 != '/')) {
                if (charAt11 == '-' && charAt13 == '-') {
                    if (charAt28 == ' ') {
                        c15 = charAt9;
                        c16 = charAt12;
                        c12 = charAt7;
                        c13 = charAt8;
                        c10 = '0';
                        i7 = 8;
                        charAt8 = charAt14;
                        c11 = charAt10;
                        c14 = '0';
                    } else {
                        c15 = charAt9;
                        c12 = charAt7;
                        c10 = '0';
                        i7 = 9;
                        c16 = charAt12;
                        c13 = charAt8;
                        charAt8 = charAt28;
                        c14 = charAt14;
                        c11 = charAt10;
                    }
                } else if ((charAt9 == '.' && charAt12 == '.') || (charAt9 == '-' && charAt12 == '-')) {
                    c13 = charAt14;
                    c11 = charAt29;
                    c10 = charAt10;
                    c14 = charAt7;
                    i7 = 10;
                    c16 = charAt11;
                    c12 = charAt13;
                    c15 = charAt28;
                } else if (charAt28 == 'T') {
                    c10 = charAt11;
                    c16 = charAt12;
                    c12 = charAt7;
                    c13 = charAt8;
                    i7 = 8;
                    charAt8 = charAt14;
                    c11 = charAt10;
                    c14 = charAt13;
                    c15 = charAt9;
                } else if (charAt11 != 24180 && charAt11 != 45380) {
                    return false;
                } else {
                    if (charAt14 == 26376 || charAt14 == 50900) {
                        if (charAt29 == 26085 || charAt29 == 51068) {
                            c10 = charAt12;
                            c11 = charAt10;
                            c12 = charAt7;
                            c13 = charAt8;
                            c14 = '0';
                            i7 = 10;
                            charAt8 = charAt28;
                            c16 = charAt13;
                            c15 = charAt9;
                        } else if (charAt(this.bp + 10) != 26085 && charAt(this.bp + 10) != 51068) {
                            return false;
                        } else {
                            c11 = charAt10;
                            c12 = charAt7;
                            i7 = 11;
                            c14 = charAt28;
                            c16 = charAt13;
                            c15 = charAt9;
                            c10 = charAt12;
                            c13 = charAt8;
                            charAt8 = charAt29;
                        }
                    } else if (charAt13 != 26376 && charAt13 != 50900) {
                        return false;
                    } else {
                        if (charAt28 == 26085 || charAt28 == 51068) {
                            c15 = charAt9;
                            c16 = charAt12;
                            c12 = charAt7;
                            c13 = charAt8;
                            c10 = '0';
                            i7 = 10;
                            charAt8 = charAt14;
                            c11 = charAt10;
                            c14 = '0';
                        } else if (charAt29 != 26085 && charAt29 != 51068) {
                            return false;
                        } else {
                            c15 = charAt9;
                            c12 = charAt7;
                            c10 = '0';
                            i7 = 10;
                            c16 = charAt12;
                            c13 = charAt8;
                            charAt8 = charAt28;
                            c14 = charAt14;
                            c11 = charAt10;
                        }
                    }
                }
                if (checkDate(c12, c13, c15, c11, c10, c16, c14, charAt8)) {
                    setCalendar(c12, c13, c15, c11, c10, c16, c14, charAt8);
                    char charAt30 = charAt(this.bp + i7);
                    char c18 = 'T';
                    if (charAt30 == 'T') {
                        if (i == 16 && i7 == 8 && charAt(this.bp + 15) == 'Z') {
                            char charAt31 = charAt(this.bp + i7 + 1);
                            char charAt32 = charAt(this.bp + i7 + 2);
                            char charAt33 = charAt(this.bp + i7 + 3);
                            char charAt34 = charAt(this.bp + i7 + 4);
                            char charAt35 = charAt(this.bp + i7 + 5);
                            char charAt36 = charAt(this.bp + i7 + 6);
                            if (checkTime(charAt31, charAt32, charAt33, charAt34, charAt35, charAt36)) {
                                setTime(charAt31, charAt32, charAt33, charAt34, charAt35, charAt36);
                                this.calendar.set(14, 0);
                                if (this.calendar.getTimeZone().getRawOffset() != 0) {
                                    String[] availableIDs = TimeZone.getAvailableIDs(0);
                                    if (availableIDs.length > 0) {
                                        this.calendar.setTimeZone(TimeZone.getTimeZone(availableIDs[0]));
                                    }
                                }
                                this.token = 5;
                                return true;
                            }
                            return false;
                        }
                        c18 = 'T';
                    }
                    if (charAt30 != c18 && (charAt30 != ' ' || z)) {
                        if (charAt30 == '\"' || charAt30 == 26 || charAt30 == 26085 || charAt30 == 51068) {
                            this.calendar.set(11, 0);
                            this.calendar.set(12, 0);
                            this.calendar.set(13, 0);
                            this.calendar.set(14, 0);
                            int i14 = this.bp + i7;
                            this.bp = i14;
                            this.ch = charAt(i14);
                            this.token = 5;
                            return true;
                        } else if ((charAt30 == '+' || charAt30 == '-') && this.len == i7 + 6 && charAt(this.bp + i7 + 3) == ':' && charAt(this.bp + i7 + 4) == '0' && charAt(this.bp + i7 + 5) == '0') {
                            setTime('0', '0', '0', '0', '0', '0');
                            this.calendar.set(14, 0);
                            setTimeZone(charAt30, charAt(this.bp + i7 + 1), charAt(this.bp + i7 + 2));
                            return true;
                        } else {
                            return false;
                        }
                    } else if (i >= i7 + 9 && charAt(this.bp + i7 + 3) == ':' && charAt(this.bp + i7 + 6) == ':') {
                        char charAt37 = charAt(this.bp + i7 + 1);
                        char charAt38 = charAt(this.bp + i7 + 2);
                        char charAt39 = charAt(this.bp + i7 + 4);
                        char charAt40 = charAt(this.bp + i7 + 5);
                        char charAt41 = charAt(this.bp + i7 + 7);
                        char charAt42 = charAt(this.bp + i7 + 8);
                        if (checkTime(charAt37, charAt38, charAt39, charAt40, charAt41, charAt42)) {
                            setTime(charAt37, charAt38, charAt39, charAt40, charAt41, charAt42);
                            int i15 = -1;
                            if (charAt(this.bp + i7 + 9) == '.') {
                                int i16 = i7 + 11;
                                if (i < i16 || (charAt3 = charAt(this.bp + i7 + 10)) < '0' || charAt3 > '9') {
                                    return false;
                                }
                                int i17 = charAt3 - '0';
                                if (i <= i16 || (charAt5 = charAt(this.bp + i7 + 11)) < '0' || charAt5 > '9') {
                                    i9 = 1;
                                } else {
                                    i17 = (i17 * 10) + (charAt5 - '0');
                                    i9 = 2;
                                }
                                if (i9 != 2 || (charAt4 = charAt(this.bp + i7 + 12)) < '0' || charAt4 > '9') {
                                    i8 = i17;
                                    i15 = i9;
                                } else {
                                    i8 = (charAt4 - '0') + (i17 * 10);
                                    i15 = 3;
                                }
                            } else {
                                i8 = 0;
                            }
                            this.calendar.set(14, i8);
                            char charAt43 = charAt(this.bp + i7 + 10 + i15);
                            if (charAt43 == ' ') {
                                i15++;
                                charAt43 = charAt(this.bp + i7 + 10 + i15);
                            }
                            int i18 = i15;
                            char c19 = charAt43;
                            if (c19 == '+' || c19 == '-') {
                                char charAt44 = charAt(this.bp + i7 + 10 + i18 + 1);
                                if (charAt44 < '0' || charAt44 > '1' || (charAt2 = charAt(this.bp + i7 + 10 + i18 + 2)) < '0' || charAt2 > '9') {
                                    return false;
                                }
                                char charAt45 = charAt(this.bp + i7 + 10 + i18 + 3);
                                char c20 = '3';
                                if (charAt45 == ':') {
                                    char charAt46 = charAt(this.bp + i7 + 10 + i18 + 4);
                                    c17 = charAt(this.bp + i7 + 10 + i18 + 5);
                                    if (charAt46 == '4' && c17 == '5') {
                                        if (charAt44 != '1' || (charAt2 != '2' && charAt2 != '3')) {
                                            if (charAt44 != '0') {
                                                return false;
                                            }
                                            if (charAt2 != '5' && charAt2 != '8') {
                                                return false;
                                            }
                                        }
                                    } else if ((charAt46 != '0' && charAt46 != '3') || c17 != '0') {
                                        return false;
                                    }
                                    c20 = charAt46;
                                    i10 = 6;
                                } else {
                                    if (charAt45 == '0') {
                                        char charAt47 = charAt(this.bp + i7 + 10 + i18 + 4);
                                        if (charAt47 != '0' && charAt47 != '3') {
                                            return false;
                                        }
                                        c20 = charAt47;
                                    } else if (charAt45 != '3' || charAt(this.bp + i7 + 10 + i18 + 4) != '0') {
                                        if (charAt45 == '4' && charAt(this.bp + i7 + 10 + i18 + 4) == '5') {
                                            c20 = '4';
                                            c17 = '5';
                                            i10 = 5;
                                        } else {
                                            c20 = '0';
                                            c17 = '0';
                                        }
                                    }
                                    c17 = '0';
                                    i10 = 5;
                                }
                                setTimeZone(c19, charAt44, charAt2, c20, c17);
                            } else if (c19 == 'Z') {
                                if (this.calendar.getTimeZone().getRawOffset() != 0) {
                                    String[] availableIDs2 = TimeZone.getAvailableIDs(0);
                                    if (availableIDs2.length > 0) {
                                        this.calendar.setTimeZone(TimeZone.getTimeZone(availableIDs2[0]));
                                    }
                                }
                                i10 = 1;
                            } else {
                                i10 = 0;
                            }
                            int i19 = i7 + 10 + i18 + i10;
                            char charAt48 = charAt(this.bp + i19);
                            if (charAt48 == 26 || charAt48 == '\"') {
                                int i20 = this.bp + i19;
                                this.bp = i20;
                                this.ch = charAt(i20);
                                this.token = 5;
                                return true;
                            }
                            return false;
                        }
                        return false;
                    } else {
                        return false;
                    }
                }
                return false;
            } else if (charAt29 == ' ') {
                c10 = charAt12;
                c11 = charAt10;
                c12 = charAt7;
                c13 = charAt8;
                c14 = '0';
                i7 = 9;
                charAt8 = charAt28;
                c16 = charAt13;
                c15 = charAt9;
                if (checkDate(c12, c13, c15, c11, c10, c16, c14, charAt8)) {
                }
            } else {
                c11 = charAt10;
                c12 = charAt7;
                i7 = 10;
                c14 = charAt28;
                c16 = charAt13;
                c15 = charAt9;
                c10 = charAt12;
                c13 = charAt8;
                charAt8 = charAt29;
                if (checkDate(c12, c13, c15, c11, c10, c16, c14, charAt8)) {
                }
            }
        }
    }

    protected void setTime(char c, char c2, char c3, char c4, char c5, char c6) {
        this.calendar.set(11, ((c - '0') * 10) + (c2 - '0'));
        this.calendar.set(12, ((c3 - '0') * 10) + (c4 - '0'));
        this.calendar.set(13, ((c5 - '0') * 10) + (c6 - '0'));
    }

    protected void setTimeZone(char c, char c2, char c3) {
        setTimeZone(c, c2, c3, '0', '0');
    }

    protected void setTimeZone(char c, char c2, char c3, char c4, char c5) {
        int i = ((((c2 - '0') * 10) + (c3 - '0')) * 3600 * 1000) + ((((c4 - '0') * 10) + (c5 - '0')) * 60 * 1000);
        if (c == '-') {
            i = -i;
        }
        if (this.calendar.getTimeZone().getRawOffset() != i) {
            this.calendar.setTimeZone(new SimpleTimeZone(i, Integer.toString(i)));
        }
    }

    private void setCalendar(char c, char c2, char c3, char c4, char c5, char c6, char c7, char c8) {
        this.calendar = Calendar.getInstance(this.timeZone, this.locale);
        this.calendar.set(1, ((c - '0') * 1000) + ((c2 - '0') * 100) + ((c3 - '0') * 10) + (c4 - '0'));
        this.calendar.set(2, (((c5 - '0') * 10) + (c6 - '0')) - 1);
        this.calendar.set(5, ((c7 - '0') * 10) + (c8 - '0'));
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public boolean isEOF() {
        if (this.bp != this.len) {
            return this.ch == 26 && this.bp + 1 >= this.len;
        }
        return true;
    }

    /* JADX WARN: Code restructure failed: missing block: B:32:0x0067, code lost:
        if (r15 != '.') goto L35;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x0069, code lost:
        r14.matchStat = -1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x006b, code lost:
        return 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x006c, code lost:
        if (r3 >= 0) goto L38;
     */
    /* JADX WARN: Code restructure failed: missing block: B:36:0x006e, code lost:
        r14.matchStat = -1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x0070, code lost:
        return 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x0071, code lost:
        if (r6 == false) goto L44;
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x0073, code lost:
        if (r15 == '\"') goto L42;
     */
    /* JADX WARN: Code restructure failed: missing block: B:40:0x0075, code lost:
        r14.matchStat = -1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x0077, code lost:
        return 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:0x0078, code lost:
        r15 = r11 + 1;
        r4 = charAt(r11);
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x007e, code lost:
        r11 = r15;
        r15 = r4;
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x0084, code lost:
        if (r15 == ',') goto L90;
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:0x0086, code lost:
        if (r15 != '}') goto L48;
     */
    /* JADX WARN: Code restructure failed: missing block: B:49:0x008d, code lost:
        if (isWhitespace(r15) == false) goto L52;
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x008f, code lost:
        r15 = r11 + 1;
        r4 = charAt(r11);
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x0096, code lost:
        r14.matchStat = -1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x0098, code lost:
        return 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x0099, code lost:
        r11 = r11 - 1;
        r14.bp = r11;
     */
    /* JADX WARN: Code restructure failed: missing block: B:54:0x009e, code lost:
        if (r15 != ',') goto L63;
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x00a0, code lost:
        r15 = r14.bp + 1;
        r14.bp = r15;
        r14.ch = charAt(r15);
        r14.matchStat = 3;
        r14.token = 16;
     */
    /* JADX WARN: Code restructure failed: missing block: B:56:0x00b0, code lost:
        if (r7 == false) goto L62;
     */
    /* JADX WARN: Code restructure failed: missing block: B:58:0x00b3, code lost:
        return -r3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:59:0x00b4, code lost:
        if (r15 != '}') goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:60:0x00b6, code lost:
        r14.bp = r11;
        r15 = r14.bp + 1;
        r14.bp = r15;
        r15 = charAt(r15);
     */
    /* JADX WARN: Code restructure failed: missing block: B:61:0x00c1, code lost:
        if (r15 != ',') goto L66;
     */
    /* JADX WARN: Code restructure failed: missing block: B:62:0x00c3, code lost:
        r14.token = 16;
        r15 = r14.bp + 1;
        r14.bp = r15;
        r14.ch = charAt(r15);
     */
    /* JADX WARN: Code restructure failed: missing block: B:64:0x00d3, code lost:
        if (r15 != ']') goto L68;
     */
    /* JADX WARN: Code restructure failed: missing block: B:65:0x00d5, code lost:
        r14.token = 15;
        r15 = r14.bp + 1;
        r14.bp = r15;
        r14.ch = charAt(r15);
     */
    /* JADX WARN: Code restructure failed: missing block: B:66:0x00e5, code lost:
        if (r15 != '}') goto L69;
     */
    /* JADX WARN: Code restructure failed: missing block: B:67:0x00e7, code lost:
        r14.token = 13;
        r15 = r14.bp + 1;
        r14.bp = r15;
        r14.ch = charAt(r15);
     */
    /* JADX WARN: Code restructure failed: missing block: B:69:0x00f9, code lost:
        if (r15 != 26) goto L71;
     */
    /* JADX WARN: Code restructure failed: missing block: B:70:0x00fb, code lost:
        r14.token = 20;
     */
    /* JADX WARN: Code restructure failed: missing block: B:71:0x00ff, code lost:
        r14.matchStat = 4;
     */
    /* JADX WARN: Code restructure failed: missing block: B:73:0x0107, code lost:
        if (isWhitespace(r15) == false) goto L74;
     */
    /* JADX WARN: Code restructure failed: missing block: B:74:0x0109, code lost:
        r15 = r14.bp + 1;
        r14.bp = r15;
        r15 = charAt(r15);
     */
    /* JADX WARN: Code restructure failed: missing block: B:75:0x0113, code lost:
        r14.bp = r1;
        r14.ch = r2;
        r14.matchStat = -1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:76:0x0119, code lost:
        return 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:77:0x011a, code lost:
        if (r7 == false) goto L89;
     */
    /* JADX WARN: Code restructure failed: missing block: B:79:0x011d, code lost:
        return -r3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:82:0x007e, code lost:
        r11 = r15;
        r15 = r4;
     */
    /* JADX WARN: Code restructure failed: missing block: B:95:?, code lost:
        return r3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:96:?, code lost:
        return r3;
     */
    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public int scanFieldInt(char[] cArr) {
        this.matchStat = 0;
        int i = this.bp;
        char c = this.ch;
        if (!charArrayCompare(this.text, this.bp, cArr)) {
            this.matchStat = -2;
            return 0;
        }
        int length = this.bp + cArr.length;
        int i2 = length + 1;
        char charAt = charAt(length);
        boolean z = charAt == '\"';
        if (z) {
            charAt = charAt(i2);
            i2++;
        }
        boolean z2 = charAt == '-';
        if (z2) {
            charAt = charAt(i2);
            i2++;
        }
        if (charAt < '0' || charAt > '9') {
            this.matchStat = -1;
            return 0;
        }
        int i3 = charAt - '0';
        while (true) {
            int i4 = i2 + 1;
            char charAt2 = charAt(i2);
            if (charAt2 < '0' || charAt2 > '9') {
                break;
            }
            int i5 = i3 * 10;
            if (i5 < i3) {
                this.matchStat = -1;
                return 0;
            }
            i3 = i5 + (charAt2 - '0');
            i2 = i4;
        }
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public String scanFieldString(char[] cArr) {
        this.matchStat = 0;
        int i = this.bp;
        char c = this.ch;
        while (!charArrayCompare(this.text, this.bp, cArr)) {
            if (isWhitespace(this.ch)) {
                next();
                while (isWhitespace(this.ch)) {
                    next();
                }
            } else {
                this.matchStat = -2;
                return stringDefaultValue();
            }
        }
        int length = this.bp + cArr.length;
        int i2 = length + 1;
        char charAt = charAt(length);
        int i3 = 0;
        if (charAt != '\"') {
            while (isWhitespace(charAt)) {
                i3++;
                int i4 = i2 + 1;
                char charAt2 = charAt(i2);
                i2 = i4;
                charAt = charAt2;
            }
            if (charAt != '\"') {
                this.matchStat = -1;
                return stringDefaultValue();
            }
        }
        int indexOf = indexOf(Operators.QUOTE, i2);
        if (indexOf == -1) {
            throw new JSONException("unclosed str");
        }
        String subString = subString(i2, indexOf - i2);
        if (subString.indexOf(92) != -1) {
            while (true) {
                int i5 = 0;
                for (int i6 = indexOf - 1; i6 >= 0 && charAt(i6) == '\\'; i6--) {
                    i5++;
                }
                if (i5 % 2 == 0) {
                    break;
                }
                indexOf = indexOf(Operators.QUOTE, indexOf + 1);
            }
            int length2 = indexOf - (((this.bp + cArr.length) + 1) + i3);
            subString = readString(sub_chars(this.bp + cArr.length + 1 + i3, length2), length2);
        }
        if ((this.features & Feature.TrimStringFieldValue.mask) != 0) {
            subString = subString.trim();
        }
        char charAt3 = charAt(indexOf + 1);
        while (charAt3 != ',' && charAt3 != '}') {
            if (isWhitespace(charAt3)) {
                indexOf++;
                charAt3 = charAt(indexOf + 1);
            } else {
                this.matchStat = -1;
                return stringDefaultValue();
            }
        }
        this.bp = indexOf + 1;
        this.ch = charAt3;
        if (charAt3 == ',') {
            int i7 = this.bp + 1;
            this.bp = i7;
            this.ch = charAt(i7);
            this.matchStat = 3;
            return subString;
        }
        int i8 = this.bp + 1;
        this.bp = i8;
        char charAt4 = charAt(i8);
        if (charAt4 == ',') {
            this.token = 16;
            int i9 = this.bp + 1;
            this.bp = i9;
            this.ch = charAt(i9);
        } else if (charAt4 == ']') {
            this.token = 15;
            int i10 = this.bp + 1;
            this.bp = i10;
            this.ch = charAt(i10);
        } else if (charAt4 == '}') {
            this.token = 13;
            int i11 = this.bp + 1;
            this.bp = i11;
            this.ch = charAt(i11);
        } else if (charAt4 == 26) {
            this.token = 20;
        } else {
            this.bp = i;
            this.ch = c;
            this.matchStat = -1;
            return stringDefaultValue();
        }
        this.matchStat = 4;
        return subString;
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public Date scanFieldDate(char[] cArr) {
        char c;
        long j;
        char c2;
        Date date;
        int i;
        boolean z = false;
        this.matchStat = 0;
        int i2 = this.bp;
        char c3 = this.ch;
        if (!charArrayCompare(this.text, this.bp, cArr)) {
            this.matchStat = -2;
            return null;
        }
        int length = this.bp + cArr.length;
        int i3 = length + 1;
        char charAt = charAt(length);
        if (charAt == '\"') {
            int indexOf = indexOf(Operators.QUOTE, i3);
            if (indexOf == -1) {
                throw new JSONException("unclosed str");
            }
            this.bp = i3;
            if (scanISO8601DateIfMatch(false, indexOf - i3)) {
                date = this.calendar.getTime();
                c2 = charAt(indexOf + 1);
                this.bp = i2;
                while (c2 != ',' && c2 != '}') {
                    if (isWhitespace(c2)) {
                        indexOf++;
                        c2 = charAt(indexOf + 1);
                    } else {
                        this.matchStat = -1;
                        return null;
                    }
                }
                this.bp = indexOf + 1;
                this.ch = c2;
            } else {
                this.bp = i2;
                this.matchStat = -1;
                return null;
            }
        } else {
            char c4 = '9';
            char c5 = '0';
            if (charAt != '-' && (charAt < '0' || charAt > '9')) {
                this.matchStat = -1;
                return null;
            }
            if (charAt == '-') {
                charAt = charAt(i3);
                i3++;
                z = true;
            }
            if (charAt < '0' || charAt > '9') {
                c = charAt;
                j = 0;
            } else {
                j = charAt - '0';
                while (true) {
                    i = i3 + 1;
                    c = charAt(i3);
                    if (c < c5 || c > c4) {
                        break;
                    }
                    j = (j * 10) + (c - '0');
                    i3 = i;
                    c4 = '9';
                    c5 = '0';
                }
                if (c == ',' || c == '}') {
                    this.bp = i - 1;
                }
            }
            if (j < 0) {
                this.matchStat = -1;
                return null;
            }
            if (z) {
                j = -j;
            }
            c2 = c;
            date = new Date(j);
        }
        if (c2 == ',') {
            int i4 = this.bp + 1;
            this.bp = i4;
            this.ch = charAt(i4);
            this.matchStat = 3;
            this.token = 16;
            return date;
        }
        int i5 = this.bp + 1;
        this.bp = i5;
        char charAt2 = charAt(i5);
        if (charAt2 == ',') {
            this.token = 16;
            int i6 = this.bp + 1;
            this.bp = i6;
            this.ch = charAt(i6);
        } else if (charAt2 == ']') {
            this.token = 15;
            int i7 = this.bp + 1;
            this.bp = i7;
            this.ch = charAt(i7);
        } else if (charAt2 == '}') {
            this.token = 13;
            int i8 = this.bp + 1;
            this.bp = i8;
            this.ch = charAt(i8);
        } else if (charAt2 == 26) {
            this.token = 20;
        } else {
            this.bp = i2;
            this.ch = c3;
            this.matchStat = -1;
            return null;
        }
        this.matchStat = 4;
        return date;
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public long scanFieldSymbol(char[] cArr) {
        this.matchStat = 0;
        while (!charArrayCompare(this.text, this.bp, cArr)) {
            if (isWhitespace(this.ch)) {
                next();
                while (isWhitespace(this.ch)) {
                    next();
                }
            } else {
                this.matchStat = -2;
                return 0L;
            }
        }
        int length = this.bp + cArr.length;
        int i = length + 1;
        char charAt = charAt(length);
        if (charAt != '\"') {
            while (isWhitespace(charAt)) {
                charAt = charAt(i);
                i++;
            }
            if (charAt != '\"') {
                this.matchStat = -1;
                return 0L;
            }
        }
        long j = TypeUtils.fnv1a_64_magic_hashcode;
        while (true) {
            int i2 = i + 1;
            char charAt2 = charAt(i);
            if (charAt2 == '\"') {
                this.bp = i2;
                char charAt3 = charAt(this.bp);
                this.ch = charAt3;
                while (charAt3 != ',') {
                    if (charAt3 == '}') {
                        next();
                        skipWhitespace();
                        char current = getCurrent();
                        if (current == ',') {
                            this.token = 16;
                            int i3 = this.bp + 1;
                            this.bp = i3;
                            this.ch = charAt(i3);
                        } else if (current == ']') {
                            this.token = 15;
                            int i4 = this.bp + 1;
                            this.bp = i4;
                            this.ch = charAt(i4);
                        } else if (current == '}') {
                            this.token = 13;
                            int i5 = this.bp + 1;
                            this.bp = i5;
                            this.ch = charAt(i5);
                        } else if (current == 26) {
                            this.token = 20;
                        } else {
                            this.matchStat = -1;
                            return 0L;
                        }
                        this.matchStat = 4;
                        return j;
                    } else if (isWhitespace(charAt3)) {
                        int i6 = this.bp + 1;
                        this.bp = i6;
                        charAt3 = charAt(i6);
                    } else {
                        this.matchStat = -1;
                        return 0L;
                    }
                }
                int i7 = this.bp + 1;
                this.bp = i7;
                this.ch = charAt(i7);
                this.matchStat = 3;
                return j;
            } else if (i2 > this.len) {
                this.matchStat = -1;
                return 0L;
            } else {
                j = (j ^ charAt2) * TypeUtils.fnv1a_64_magic_prime;
                i = i2;
            }
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:47:0x00dd, code lost:
        if (r1 != ']') goto L92;
     */
    /* JADX WARN: Code restructure failed: missing block: B:49:0x00e3, code lost:
        if (r3.size() != 0) goto L92;
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x00e5, code lost:
        r1 = r9 + 1;
        r2 = charAt(r9);
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x00ef, code lost:
        r17.matchStat = -1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x00f2, code lost:
        return null;
     */
    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public Collection<String> scanFieldStringArray(char[] cArr, Class<?> cls) {
        int i;
        Collection<String> collection;
        char charAt;
        int i2;
        boolean z;
        char charAt2;
        int i3;
        char charAt3;
        this.matchStat = 0;
        while (true) {
            if (this.ch != '\n' && this.ch != ' ') {
                break;
            }
            int i4 = this.bp + 1;
            this.bp = i4;
            this.ch = i4 >= this.len ? JSONLexer.EOI : this.text.charAt(i4);
        }
        if (!charArrayCompare(this.text, this.bp, cArr)) {
            this.matchStat = -2;
            return null;
        }
        Collection<String> newCollectionByType = newCollectionByType(cls);
        int i5 = this.bp;
        char c = this.ch;
        int length = this.bp + cArr.length;
        int i6 = length + 1;
        int i7 = -1;
        if (charAt(length) == '[') {
            int i8 = i6 + 1;
            char charAt4 = charAt(i6);
            while (true) {
                if (charAt4 == '\"') {
                    int indexOf = indexOf(Operators.QUOTE, i8);
                    if (indexOf == i7) {
                        throw new JSONException("unclosed str");
                    }
                    String subString = subString(i8, indexOf - i8);
                    if (subString.indexOf(92) != i7) {
                        while (true) {
                            int i9 = 0;
                            for (int i10 = indexOf - 1; i10 >= 0 && charAt(i10) == '\\'; i10--) {
                                i9++;
                            }
                            if (i9 % 2 == 0) {
                                break;
                            }
                            indexOf = indexOf(Operators.QUOTE, indexOf + 1);
                        }
                        int i11 = indexOf - i8;
                        subString = readString(sub_chars(i8, i11), i11);
                    }
                    int i12 = indexOf + 1;
                    i3 = i12 + 1;
                    charAt3 = charAt(i12);
                    newCollectionByType.add(subString);
                } else if (charAt4 != 'n' || !this.text.startsWith("ull", i8)) {
                    break;
                } else {
                    int i13 = i8 + 3;
                    i3 = i13 + 1;
                    charAt3 = charAt(i13);
                    newCollectionByType.add(null);
                }
                if (charAt3 == ',') {
                    i8 = i3 + 1;
                    charAt4 = charAt(i3);
                    i7 = -1;
                } else if (charAt3 == ']') {
                    i2 = i3 + 1;
                    charAt2 = charAt(i3);
                    while (isWhitespace(charAt2)) {
                        charAt2 = charAt(i2);
                        i2++;
                    }
                } else {
                    this.matchStat = -1;
                    return null;
                }
            }
            collection = newCollectionByType;
            charAt = charAt2;
            i = 3;
        } else if (this.text.startsWith("ull", i6)) {
            i = 3;
            int i14 = i6 + 3;
            collection = null;
            charAt = charAt(i14);
            i2 = i14 + 1;
        } else {
            this.matchStat = -1;
            return null;
        }
        this.bp = i2;
        if (charAt == ',') {
            this.ch = charAt(this.bp);
            this.matchStat = i;
            return collection;
        } else if (charAt == '}') {
            char charAt5 = charAt(this.bp);
            do {
                if (charAt5 == ',') {
                    this.token = 16;
                    int i15 = this.bp + 1;
                    this.bp = i15;
                    this.ch = charAt(i15);
                } else if (charAt5 == ']') {
                    this.token = 15;
                    int i16 = this.bp + 1;
                    this.bp = i16;
                    this.ch = charAt(i16);
                } else if (charAt5 == '}') {
                    this.token = 13;
                    int i17 = this.bp + 1;
                    this.bp = i17;
                    this.ch = charAt(i17);
                } else if (charAt5 == 26) {
                    this.token = 20;
                    this.ch = charAt5;
                } else {
                    z = false;
                    while (isWhitespace(charAt5)) {
                        int i18 = i2 + 1;
                        char charAt6 = charAt(i2);
                        this.bp = i18;
                        z = true;
                        charAt5 = charAt6;
                        i2 = i18;
                    }
                }
                this.matchStat = 4;
                return collection;
            } while (z);
            this.matchStat = -1;
            return null;
        } else {
            this.ch = c;
            this.bp = i5;
            this.matchStat = -1;
            return null;
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:68:0x0114, code lost:
        r20.matchStat = 4;
     */
    /* JADX WARN: Code restructure failed: missing block: B:69:0x0117, code lost:
        if (r11 == false) goto L75;
     */
    /* JADX WARN: Code restructure failed: missing block: B:71:0x011a, code lost:
        return -r2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:95:?, code lost:
        return r2;
     */
    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public long scanFieldLong(char[] cArr) {
        boolean z;
        int i;
        char charAt;
        this.matchStat = 0;
        int i2 = this.bp;
        char c = this.ch;
        if (!charArrayCompare(this.text, this.bp, cArr)) {
            this.matchStat = -2;
            return 0L;
        }
        int length = this.bp + cArr.length;
        int i3 = length + 1;
        char charAt2 = charAt(length);
        boolean z2 = charAt2 == '\"';
        if (z2) {
            charAt2 = charAt(i3);
            i3++;
        }
        if (charAt2 == '-') {
            z = true;
            charAt2 = charAt(i3);
            i3++;
        } else {
            z = false;
        }
        if (charAt2 >= '0') {
            char c2 = '9';
            if (charAt2 <= '9') {
                long j = charAt2 - '0';
                while (true) {
                    i = i3 + 1;
                    charAt = charAt(i3);
                    if (charAt < '0' || charAt > c2) {
                        break;
                    }
                    j = (j * 10) + (charAt - '0');
                    i3 = i;
                    c2 = '9';
                }
                if (charAt == '.') {
                    this.matchStat = -1;
                    return 0L;
                }
                if (z2) {
                    if (charAt != '\"') {
                        this.matchStat = -1;
                        return 0L;
                    }
                    int i4 = i + 1;
                    char charAt3 = charAt(i);
                    i = i4;
                    charAt = charAt3;
                }
                if (charAt == ',' || charAt == '}') {
                    this.bp = i - 1;
                }
                if (!(j >= 0 || (j == Long.MIN_VALUE && z))) {
                    this.bp = i2;
                    this.ch = c;
                    this.matchStat = -1;
                    return 0L;
                }
                while (charAt != ',') {
                    if (charAt == '}') {
                        int i5 = this.bp + 1;
                        this.bp = i5;
                        char charAt4 = charAt(i5);
                        while (true) {
                            if (charAt4 == ',') {
                                this.token = 16;
                                int i6 = this.bp + 1;
                                this.bp = i6;
                                this.ch = charAt(i6);
                                break;
                            } else if (charAt4 == ']') {
                                this.token = 15;
                                int i7 = this.bp + 1;
                                this.bp = i7;
                                this.ch = charAt(i7);
                                break;
                            } else if (charAt4 == '}') {
                                this.token = 13;
                                int i8 = this.bp + 1;
                                this.bp = i8;
                                this.ch = charAt(i8);
                                break;
                            } else if (charAt4 == 26) {
                                this.token = 20;
                                break;
                            } else if (isWhitespace(charAt4)) {
                                int i9 = this.bp + 1;
                                this.bp = i9;
                                charAt4 = charAt(i9);
                            } else {
                                this.bp = i2;
                                this.ch = c;
                                this.matchStat = -1;
                                return 0L;
                            }
                        }
                    } else if (isWhitespace(charAt)) {
                        this.bp = i;
                        int i10 = i + 1;
                        char charAt5 = charAt(i);
                        i = i10;
                        charAt = charAt5;
                    } else {
                        this.matchStat = -1;
                        return 0L;
                    }
                }
                int i11 = this.bp + 1;
                this.bp = i11;
                this.ch = charAt(i11);
                this.matchStat = 3;
                this.token = 16;
                return z ? -j : j;
            }
        }
        this.bp = i2;
        this.ch = c;
        this.matchStat = -1;
        return 0L;
    }

    /* JADX WARN: Removed duplicated region for block: B:110:0x00fd A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:81:0x010e  */
    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean scanFieldBoolean(char[] cArr) {
        char charAt;
        boolean z;
        this.matchStat = 0;
        if (!charArrayCompare(this.text, this.bp, cArr)) {
            this.matchStat = -2;
            return false;
        }
        int i = this.bp;
        int length = this.bp + cArr.length;
        int i2 = length + 1;
        char charAt2 = charAt(length);
        boolean z2 = charAt2 == '\"';
        if (z2) {
            charAt2 = charAt(i2);
            i2++;
        }
        if (charAt2 != 't') {
            if (charAt2 == 'f') {
                int i3 = i2 + 1;
                if (charAt(i2) != 'a') {
                    this.matchStat = -1;
                    return false;
                }
                int i4 = i3 + 1;
                if (charAt(i3) != 'l') {
                    this.matchStat = -1;
                    return false;
                }
                int i5 = i4 + 1;
                if (charAt(i4) != 's') {
                    this.matchStat = -1;
                    return false;
                }
                int i6 = i5 + 1;
                if (charAt(i5) != 'e') {
                    this.matchStat = -1;
                    return false;
                }
                if (z2) {
                    int i7 = i6 + 1;
                    if (charAt(i6) != '\"') {
                        this.matchStat = -1;
                        return false;
                    }
                    i6 = i7;
                }
                this.bp = i6;
                charAt = charAt(this.bp);
            } else if (charAt2 == '1') {
                if (z2) {
                    int i8 = i2 + 1;
                    if (charAt(i2) != '\"') {
                        this.matchStat = -1;
                        return false;
                    }
                    i2 = i8;
                }
                this.bp = i2;
                charAt = charAt(this.bp);
            } else if (charAt2 == '0') {
                if (z2) {
                    int i9 = i2 + 1;
                    if (charAt(i2) != '\"') {
                        this.matchStat = -1;
                        return false;
                    }
                    i2 = i9;
                }
                this.bp = i2;
                charAt = charAt(this.bp);
            } else {
                this.matchStat = -1;
                return false;
            }
            z = false;
            while (true) {
                if (charAt != ',') {
                    int i10 = this.bp + 1;
                    this.bp = i10;
                    this.ch = charAt(i10);
                    this.matchStat = 3;
                    this.token = 16;
                    break;
                } else if (charAt == '}') {
                    int i11 = this.bp + 1;
                    this.bp = i11;
                    char charAt3 = charAt(i11);
                    while (true) {
                        if (charAt3 == ',') {
                            this.token = 16;
                            int i12 = this.bp + 1;
                            this.bp = i12;
                            this.ch = charAt(i12);
                            break;
                        } else if (charAt3 == ']') {
                            this.token = 15;
                            int i13 = this.bp + 1;
                            this.bp = i13;
                            this.ch = charAt(i13);
                            break;
                        } else if (charAt3 == '}') {
                            this.token = 13;
                            int i14 = this.bp + 1;
                            this.bp = i14;
                            this.ch = charAt(i14);
                            break;
                        } else if (charAt3 == 26) {
                            this.token = 20;
                            break;
                        } else if (isWhitespace(charAt3)) {
                            int i15 = this.bp + 1;
                            this.bp = i15;
                            charAt3 = charAt(i15);
                        } else {
                            this.matchStat = -1;
                            return false;
                        }
                    }
                    this.matchStat = 4;
                } else if (isWhitespace(charAt)) {
                    int i16 = this.bp + 1;
                    this.bp = i16;
                    charAt = charAt(i16);
                } else {
                    this.bp = i;
                    charAt(this.bp);
                    this.matchStat = -1;
                    return false;
                }
            }
            return z;
        }
        int i17 = i2 + 1;
        if (charAt(i2) != 'r') {
            this.matchStat = -1;
            return false;
        }
        int i18 = i17 + 1;
        if (charAt(i17) != 'u') {
            this.matchStat = -1;
            return false;
        }
        int i19 = i18 + 1;
        if (charAt(i18) != 'e') {
            this.matchStat = -1;
            return false;
        }
        if (z2) {
            int i20 = i19 + 1;
            if (charAt(i19) != '\"') {
                this.matchStat = -1;
                return false;
            }
            i19 = i20;
        }
        this.bp = i19;
        charAt = charAt(this.bp);
        z = true;
        while (true) {
            if (charAt != ',') {
            }
            int i162 = this.bp + 1;
            this.bp = i162;
            charAt = charAt(i162);
        }
        return z;
    }

    /* JADX WARN: Code restructure failed: missing block: B:32:0x0082, code lost:
        if (r4 != '.') goto L36;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x0084, code lost:
        r16.matchStat = -1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x0086, code lost:
        return 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x0087, code lost:
        if (r7 == false) goto L41;
     */
    /* JADX WARN: Code restructure failed: missing block: B:36:0x0089, code lost:
        if (r4 == '\"') goto L40;
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x008b, code lost:
        r16.matchStat = -1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x008d, code lost:
        return 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x008e, code lost:
        r4 = charAt(r13);
        r13 = r13 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:40:0x0095, code lost:
        if (r3 >= 0) goto L44;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x0097, code lost:
        r16.matchStat = -1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:0x0099, code lost:
        return 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x009c, code lost:
        if (r4 != r17) goto L46;
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x009e, code lost:
        r16.bp = r13;
        r16.ch = charAt(r16.bp);
        r16.matchStat = 3;
        r16.token = 16;
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:0x00ad, code lost:
        if (r8 == false) goto L60;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x00b0, code lost:
        return -r3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x00b5, code lost:
        if (isWhitespace(r4) == false) goto L49;
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x00b7, code lost:
        r4 = charAt(r13);
        r13 = r13 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x00bf, code lost:
        r16.matchStat = -1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x00c1, code lost:
        if (r8 == false) goto L54;
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x00c4, code lost:
        return -r3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:95:?, code lost:
        return r3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:96:?, code lost:
        return r3;
     */
    @Override // com.alibaba.fastjson.parser.JSONLexerBase, com.alibaba.fastjson.parser.JSONLexer
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final int scanInt(char c) {
        this.matchStat = 0;
        int i = this.bp;
        int i2 = this.bp;
        int i3 = i2 + 1;
        char charAt = charAt(i2);
        while (isWhitespace(charAt)) {
            int i4 = i3 + 1;
            char charAt2 = charAt(i3);
            i3 = i4;
            charAt = charAt2;
        }
        boolean z = charAt == '\"';
        if (z) {
            int i5 = i3 + 1;
            char charAt3 = charAt(i3);
            i3 = i5;
            charAt = charAt3;
        }
        boolean z2 = charAt == '-';
        if (z2) {
            int i6 = i3 + 1;
            char charAt4 = charAt(i3);
            i3 = i6;
            charAt = charAt4;
        }
        if (charAt < '0' || charAt > '9') {
            if (charAt == 'n') {
                int i7 = i3 + 1;
                if (charAt(i3) == 'u') {
                    int i8 = i7 + 1;
                    if (charAt(i7) == 'l') {
                        int i9 = i8 + 1;
                        if (charAt(i8) == 'l') {
                            this.matchStat = 5;
                            int i10 = i9 + 1;
                            char charAt5 = charAt(i9);
                            if (z && charAt5 == '\"') {
                                int i11 = i10 + 1;
                                char charAt6 = charAt(i10);
                                i10 = i11;
                                charAt5 = charAt6;
                            }
                            while (charAt5 != ',') {
                                if (charAt5 == ']') {
                                    this.bp = i10;
                                    this.ch = charAt(this.bp);
                                    this.matchStat = 5;
                                    this.token = 15;
                                    return 0;
                                } else if (isWhitespace(charAt5)) {
                                    int i12 = i10 + 1;
                                    char charAt7 = charAt(i10);
                                    i10 = i12;
                                    charAt5 = charAt7;
                                } else {
                                    this.matchStat = -1;
                                    return 0;
                                }
                            }
                            this.bp = i10;
                            this.ch = charAt(this.bp);
                            this.matchStat = 5;
                            this.token = 16;
                            return 0;
                        }
                    }
                }
            }
            this.matchStat = -1;
            return 0;
        }
        int i13 = charAt - '0';
        while (true) {
            int i14 = i3 + 1;
            char charAt8 = charAt(i3);
            if (charAt8 < '0' || charAt8 > '9') {
                break;
            }
            int i15 = i13 * 10;
            if (i15 < i13) {
                throw new JSONException("parseInt error : " + subString(i, i14 - 1));
            }
            i13 = i15 + (charAt8 - '0');
            i3 = i14;
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:55:0x00c0  */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:57:0x00c4 -> B:52:0x00b4). Please submit an issue!!! */
    @Override // com.alibaba.fastjson.parser.JSONLexerBase, com.alibaba.fastjson.parser.JSONLexer
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public double scanDouble(char c) {
        int i;
        char charAt;
        long j;
        int i2;
        int i3;
        double parseDouble;
        int i4;
        this.matchStat = 0;
        int i5 = this.bp;
        int i6 = i5 + 1;
        char charAt2 = charAt(i5);
        boolean z = charAt2 == '\"';
        if (z) {
            int i7 = i6 + 1;
            char charAt3 = charAt(i6);
            i6 = i7;
            charAt2 = charAt3;
        }
        boolean z2 = charAt2 == '-';
        if (z2) {
            int i8 = i6 + 1;
            char charAt4 = charAt(i6);
            i6 = i8;
            charAt2 = charAt4;
        }
        if (charAt2 >= '0') {
            char c2 = '9';
            if (charAt2 <= '9') {
                long j2 = charAt2 - '0';
                while (true) {
                    i = i6 + 1;
                    charAt = charAt(i6);
                    if (charAt < '0' || charAt > '9') {
                        break;
                    }
                    j2 = (j2 * 10) + (charAt - '0');
                    i6 = i;
                }
                if (charAt == '.') {
                    int i9 = i + 1;
                    char charAt5 = charAt(i);
                    if (charAt5 < '0' || charAt5 > '9') {
                        this.matchStat = -1;
                        return 0.0d;
                    }
                    j2 = (j2 * 10) + (charAt5 - '0');
                    j = 10;
                    while (true) {
                        i4 = i9 + 1;
                        charAt = charAt(i9);
                        if (charAt < '0' || charAt > c2) {
                            break;
                        }
                        j2 = (j2 * 10) + (charAt - '0');
                        j *= 10;
                        i9 = i4;
                        c2 = '9';
                    }
                    i = i4;
                } else {
                    j = 1;
                }
                boolean z3 = charAt == 'e' || charAt == 'E';
                if (z3) {
                    int i10 = i + 1;
                    char charAt6 = charAt(i);
                    if (charAt6 == '+' || charAt6 == '-') {
                        int i11 = i10 + 1;
                        charAt = charAt(i10);
                        i = i11;
                        if (charAt >= '0' && charAt <= '9') {
                            i10 = i + 1;
                            charAt6 = charAt(i);
                        }
                    }
                    i = i10;
                    charAt = charAt6;
                    if (charAt >= '0') {
                        i10 = i + 1;
                        charAt6 = charAt(i);
                        i = i10;
                        charAt = charAt6;
                        if (charAt >= '0') {
                        }
                    }
                }
                if (!z) {
                    i2 = this.bp;
                    i3 = (i - i2) - 1;
                } else if (charAt != '\"') {
                    this.matchStat = -1;
                    return 0.0d;
                } else {
                    int i12 = i + 1;
                    char charAt7 = charAt(i);
                    i2 = this.bp + 1;
                    i3 = (i12 - i2) - 2;
                    i = i12;
                    charAt = charAt7;
                }
                if (!z3 && i3 < 18) {
                    double d = j2;
                    double d2 = j;
                    Double.isNaN(d);
                    Double.isNaN(d2);
                    parseDouble = d / d2;
                    if (z2) {
                        parseDouble = -parseDouble;
                    }
                } else {
                    parseDouble = Double.parseDouble(subString(i2, i3));
                }
                if (charAt == c) {
                    this.bp = i;
                    this.ch = charAt(this.bp);
                    this.matchStat = 3;
                    this.token = 16;
                    return parseDouble;
                }
                this.matchStat = -1;
                return parseDouble;
            }
        }
        if (charAt2 == 'n') {
            int i13 = i6 + 1;
            if (charAt(i6) == 'u') {
                int i14 = i13 + 1;
                if (charAt(i13) == 'l') {
                    int i15 = i14 + 1;
                    if (charAt(i14) == 'l') {
                        this.matchStat = 5;
                        int i16 = i15 + 1;
                        char charAt8 = charAt(i15);
                        if (z && charAt8 == '\"') {
                            int i17 = i16 + 1;
                            char charAt9 = charAt(i16);
                            i16 = i17;
                            charAt8 = charAt9;
                        }
                        while (charAt8 != ',') {
                            if (charAt8 == ']') {
                                this.bp = i16;
                                this.ch = charAt(this.bp);
                                this.matchStat = 5;
                                this.token = 15;
                                return 0.0d;
                            } else if (isWhitespace(charAt8)) {
                                int i18 = i16 + 1;
                                char charAt10 = charAt(i16);
                                i16 = i18;
                                charAt8 = charAt10;
                            } else {
                                this.matchStat = -1;
                                return 0.0d;
                            }
                        }
                        this.bp = i16;
                        this.ch = charAt(this.bp);
                        this.matchStat = 5;
                        this.token = 16;
                        return 0.0d;
                    }
                }
            }
        }
        this.matchStat = -1;
        return 0.0d;
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase, com.alibaba.fastjson.parser.JSONLexer
    public long scanLong(char c) {
        int i;
        char charAt;
        boolean z = false;
        this.matchStat = 0;
        int i2 = this.bp;
        int i3 = i2 + 1;
        char charAt2 = charAt(i2);
        boolean z2 = charAt2 == '\"';
        if (z2) {
            int i4 = i3 + 1;
            char charAt3 = charAt(i3);
            i3 = i4;
            charAt2 = charAt3;
        }
        boolean z3 = charAt2 == '-';
        if (z3) {
            int i5 = i3 + 1;
            char charAt4 = charAt(i3);
            i3 = i5;
            charAt2 = charAt4;
        }
        char c2 = '0';
        if (charAt2 >= '0' && charAt2 <= '9') {
            long j = charAt2 - '0';
            while (true) {
                i = i3 + 1;
                charAt = charAt(i3);
                if (charAt < c2 || charAt > '9') {
                    break;
                }
                j = (j * 10) + (charAt - '0');
                i3 = i;
                c2 = '0';
            }
            if (charAt == '.') {
                this.matchStat = -1;
                return 0L;
            }
            if (z2) {
                if (charAt != '\"') {
                    this.matchStat = -1;
                    return 0L;
                }
                charAt = charAt(i);
                i++;
            }
            if (j >= 0 || (j == Long.MIN_VALUE && z3)) {
                z = true;
            }
            if (!z) {
                this.matchStat = -1;
                return 0L;
            }
            while (charAt != c) {
                if (isWhitespace(charAt)) {
                    charAt = charAt(i);
                    i++;
                } else {
                    this.matchStat = -1;
                    return j;
                }
            }
            this.bp = i;
            this.ch = charAt(this.bp);
            this.matchStat = 3;
            this.token = 16;
            return z3 ? -j : j;
        }
        if (charAt2 == 'n') {
            int i6 = i3 + 1;
            if (charAt(i3) == 'u') {
                int i7 = i6 + 1;
                if (charAt(i6) == 'l') {
                    int i8 = i7 + 1;
                    if (charAt(i7) == 'l') {
                        this.matchStat = 5;
                        int i9 = i8 + 1;
                        char charAt5 = charAt(i8);
                        if (z2 && charAt5 == '\"') {
                            int i10 = i9 + 1;
                            char charAt6 = charAt(i9);
                            i9 = i10;
                            charAt5 = charAt6;
                        }
                        while (charAt5 != ',') {
                            if (charAt5 == ']') {
                                this.bp = i9;
                                this.ch = charAt(this.bp);
                                this.matchStat = 5;
                                this.token = 15;
                                return 0L;
                            } else if (isWhitespace(charAt5)) {
                                int i11 = i9 + 1;
                                char charAt7 = charAt(i9);
                                i9 = i11;
                                charAt5 = charAt7;
                            } else {
                                this.matchStat = -1;
                                return 0L;
                            }
                        }
                        this.bp = i9;
                        this.ch = charAt(this.bp);
                        this.matchStat = 5;
                        this.token = 16;
                        return 0L;
                    }
                }
            }
        }
        this.matchStat = -1;
        return 0L;
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public Date scanDate(char c) {
        char c2;
        long j;
        Date date;
        int i;
        boolean z = false;
        this.matchStat = 0;
        int i2 = this.bp;
        char c3 = this.ch;
        int i3 = this.bp;
        int i4 = i3 + 1;
        char charAt = charAt(i3);
        if (charAt == '\"') {
            int indexOf = indexOf(Operators.QUOTE, i4);
            if (indexOf == -1) {
                throw new JSONException("unclosed str");
            }
            this.bp = i4;
            if (scanISO8601DateIfMatch(false, indexOf - i4)) {
                date = this.calendar.getTime();
                c2 = charAt(indexOf + 1);
                this.bp = i2;
                while (c2 != ',' && c2 != ']') {
                    if (isWhitespace(c2)) {
                        indexOf++;
                        c2 = charAt(indexOf + 1);
                    } else {
                        this.bp = i2;
                        this.ch = c3;
                        this.matchStat = -1;
                        return null;
                    }
                }
                this.bp = indexOf + 1;
                this.ch = c2;
            } else {
                this.bp = i2;
                this.ch = c3;
                this.matchStat = -1;
                return null;
            }
        } else {
            char c4 = '9';
            char c5 = '0';
            if (charAt != '-' && (charAt < '0' || charAt > '9')) {
                if (charAt == 'n') {
                    int i5 = i4 + 1;
                    if (charAt(i4) == 'u') {
                        int i6 = i5 + 1;
                        if (charAt(i5) == 'l') {
                            int i7 = i6 + 1;
                            if (charAt(i6) == 'l') {
                                c2 = charAt(i7);
                                this.bp = i7;
                                date = null;
                            }
                        }
                    }
                }
                this.bp = i2;
                this.ch = c3;
                this.matchStat = -1;
                return null;
            }
            if (charAt == '-') {
                charAt = charAt(i4);
                i4++;
                z = true;
            }
            if (charAt < '0' || charAt > '9') {
                c2 = charAt;
                j = 0;
            } else {
                j = charAt - '0';
                while (true) {
                    i = i4 + 1;
                    c2 = charAt(i4);
                    if (c2 < c5 || c2 > c4) {
                        break;
                    }
                    j = (j * 10) + (c2 - '0');
                    i4 = i;
                    c4 = '9';
                    c5 = '0';
                }
                if (c2 == ',' || c2 == ']') {
                    this.bp = i - 1;
                }
            }
            if (j < 0) {
                this.bp = i2;
                this.ch = c3;
                this.matchStat = -1;
                return null;
            }
            if (z) {
                j = -j;
            }
            date = new Date(j);
        }
        if (c2 == ',') {
            int i8 = this.bp + 1;
            this.bp = i8;
            this.ch = charAt(i8);
            this.matchStat = 3;
            return date;
        }
        int i9 = this.bp + 1;
        this.bp = i9;
        char charAt2 = charAt(i9);
        if (charAt2 == ',') {
            this.token = 16;
            int i10 = this.bp + 1;
            this.bp = i10;
            this.ch = charAt(i10);
        } else if (charAt2 == ']') {
            this.token = 15;
            int i11 = this.bp + 1;
            this.bp = i11;
            this.ch = charAt(i11);
        } else if (charAt2 == '}') {
            this.token = 13;
            int i12 = this.bp + 1;
            this.bp = i12;
            this.ch = charAt(i12);
        } else if (charAt2 == 26) {
            this.ch = JSONLexer.EOI;
            this.token = 20;
        } else {
            this.bp = i2;
            this.ch = c3;
            this.matchStat = -1;
            return null;
        }
        this.matchStat = 4;
        return date;
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    protected final void arrayCopy(int i, char[] cArr, int i2, int i3) {
        this.text.getChars(i, i3 + i, cArr, i2);
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase, com.alibaba.fastjson.parser.JSONLexer
    public String info() {
        StringBuilder sb = new StringBuilder();
        int i = 0;
        int i2 = 1;
        int i3 = 1;
        while (i < this.bp) {
            if (this.text.charAt(i) == '\n') {
                i2++;
                i3 = 1;
            }
            i++;
            i3++;
        }
        sb.append("pos ");
        sb.append(this.bp);
        sb.append(", line ");
        sb.append(i2);
        sb.append(", column ");
        sb.append(i3);
        if (this.text.length() < 65535) {
            sb.append(this.text);
        } else {
            sb.append(this.text.substring(0, 65535));
        }
        return sb.toString();
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public String[] scanFieldStringArray(char[] cArr, int i, SymbolTable symbolTable) {
        int i2;
        char c;
        int i3 = this.bp;
        char c2 = this.ch;
        while (isWhitespace(this.ch)) {
            next();
        }
        if (cArr != null) {
            this.matchStat = 0;
            if (!charArrayCompare(cArr)) {
                this.matchStat = -2;
                return null;
            }
            int length = this.bp + cArr.length;
            int i4 = length + 1;
            char charAt = this.text.charAt(length);
            while (isWhitespace(charAt)) {
                charAt = this.text.charAt(i4);
                i4++;
            }
            if (charAt == ':') {
                i2 = i4 + 1;
                c = this.text.charAt(i4);
                while (isWhitespace(c)) {
                    c = this.text.charAt(i2);
                    i2++;
                }
            } else {
                this.matchStat = -1;
                return null;
            }
        } else {
            i2 = this.bp + 1;
            c = this.ch;
        }
        if (c == '[') {
            this.bp = i2;
            this.ch = this.text.charAt(this.bp);
            String[] strArr = i >= 0 ? new String[i] : new String[4];
            int i5 = 0;
            while (true) {
                if (isWhitespace(this.ch)) {
                    next();
                } else if (this.ch != '\"') {
                    this.bp = i3;
                    this.ch = c2;
                    this.matchStat = -1;
                    return null;
                } else {
                    String scanSymbol = scanSymbol(symbolTable, Operators.QUOTE);
                    if (i5 == strArr.length) {
                        String[] strArr2 = new String[strArr.length + (strArr.length >> 1) + 1];
                        System.arraycopy(strArr, 0, strArr2, 0, strArr.length);
                        strArr = strArr2;
                    }
                    int i6 = i5 + 1;
                    strArr[i5] = scanSymbol;
                    while (isWhitespace(this.ch)) {
                        next();
                    }
                    if (this.ch == ',') {
                        next();
                        i5 = i6;
                    } else {
                        if (strArr.length != i6) {
                            String[] strArr3 = new String[i6];
                            System.arraycopy(strArr, 0, strArr3, 0, i6);
                            strArr = strArr3;
                        }
                        while (isWhitespace(this.ch)) {
                            next();
                        }
                        if (this.ch == ']') {
                            next();
                            return strArr;
                        }
                        this.bp = i3;
                        this.ch = c2;
                        this.matchStat = -1;
                        return null;
                    }
                }
            }
        } else if (c == 'n' && this.text.startsWith("ull", this.bp + 1)) {
            this.bp += 4;
            this.ch = this.text.charAt(this.bp);
            return null;
        } else {
            this.matchStat = -1;
            return null;
        }
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public boolean matchField2(char[] cArr) {
        while (isWhitespace(this.ch)) {
            next();
        }
        if (!charArrayCompare(cArr)) {
            this.matchStat = -2;
            return false;
        }
        int length = this.bp + cArr.length;
        int i = length + 1;
        char charAt = this.text.charAt(length);
        while (isWhitespace(charAt)) {
            charAt = this.text.charAt(i);
            i++;
        }
        if (charAt == ':') {
            this.bp = i;
            this.ch = charAt(this.bp);
            return true;
        }
        this.matchStat = -2;
        return false;
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public final void skipObject() {
        skipObject(false);
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public final void skipObject(boolean z) {
        int i = this.bp;
        boolean z2 = false;
        int i2 = 0;
        while (i < this.text.length()) {
            char charAt = this.text.charAt(i);
            if (charAt == '\\') {
                if (i >= this.len - 1) {
                    this.ch = charAt;
                    this.bp = i;
                    throw new JSONException("illegal str, " + info());
                }
                i++;
            } else if (charAt == '\"') {
                z2 = !z2;
            } else if (charAt == '{') {
                if (!z2) {
                    i2++;
                }
            } else if (charAt == '}' && !z2 && i2 - 1 == -1) {
                this.bp = i + 1;
                int i3 = this.bp;
                int length = this.text.length();
                char c = JSONLexer.EOI;
                if (i3 == length) {
                    this.ch = JSONLexer.EOI;
                    this.token = 20;
                    return;
                }
                this.ch = this.text.charAt(this.bp);
                if (this.ch == ',') {
                    this.token = 16;
                    int i4 = this.bp + 1;
                    this.bp = i4;
                    if (i4 < this.text.length()) {
                        c = this.text.charAt(i4);
                    }
                    this.ch = c;
                    return;
                } else if (this.ch == '}') {
                    this.token = 13;
                    next();
                    return;
                } else if (this.ch == ']') {
                    this.token = 15;
                    next();
                    return;
                } else {
                    nextToken(16);
                    return;
                }
            }
            i++;
        }
        for (int i5 = 0; i5 < this.bp; i5++) {
            if (i5 < this.text.length() && this.text.charAt(i5) == ' ') {
                i++;
            }
        }
        if (i != this.text.length()) {
            return;
        }
        throw new JSONException("illegal str, " + info());
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public final void skipArray() {
        skipArray(false);
    }

    public final void skipArray(boolean z) {
        int i = this.bp;
        boolean z2 = false;
        int i2 = 0;
        while (i < this.text.length()) {
            char charAt = this.text.charAt(i);
            if (charAt == '\\') {
                if (i >= this.len - 1) {
                    this.ch = charAt;
                    this.bp = i;
                    throw new JSONException("illegal str, " + info());
                }
                i++;
            } else if (charAt == '\"') {
                z2 = !z2;
            } else if (charAt != '[') {
                char c = JSONLexer.EOI;
                if (charAt == '{' && z) {
                    int i3 = this.bp + 1;
                    this.bp = i3;
                    if (i3 < this.text.length()) {
                        c = this.text.charAt(i3);
                    }
                    this.ch = c;
                    skipObject(z);
                } else if (charAt == ']' && !z2 && i2 - 1 == -1) {
                    this.bp = i + 1;
                    if (this.bp == this.text.length()) {
                        this.ch = JSONLexer.EOI;
                        this.token = 20;
                        return;
                    }
                    this.ch = this.text.charAt(this.bp);
                    nextToken(16);
                    return;
                }
            } else if (!z2) {
                i2++;
            }
            i++;
        }
        if (i != this.text.length()) {
            return;
        }
        throw new JSONException("illegal str, " + info());
    }

    public final void skipString() {
        if (this.ch == '\"') {
            int i = this.bp;
            while (true) {
                i++;
                if (i < this.text.length()) {
                    char charAt = this.text.charAt(i);
                    if (charAt == '\\') {
                        if (i < this.len - 1) {
                            i++;
                        }
                    } else if (charAt == '\"') {
                        String str = this.text;
                        int i2 = i + 1;
                        this.bp = i2;
                        this.ch = str.charAt(i2);
                        return;
                    }
                } else {
                    throw new JSONException("unclosed str");
                }
            }
        } else {
            throw new UnsupportedOperationException();
        }
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public boolean seekArrayToItem(int i) {
        if (i < 0) {
            throw new IllegalArgumentException("index must > 0, but " + i);
        } else if (this.token == 20) {
            return false;
        } else {
            if (this.token != 14) {
                throw new UnsupportedOperationException();
            }
            int i2 = 0;
            while (true) {
                boolean z = true;
                if (i2 < i) {
                    skipWhitespace();
                    if (this.ch == '\"' || this.ch == '\'') {
                        skipString();
                        if (this.ch == ',') {
                            next();
                        } else if (this.ch == ']') {
                            next();
                            nextToken(16);
                            return false;
                        } else {
                            throw new JSONException("illegal json.");
                        }
                    } else {
                        if (this.ch == '{') {
                            next();
                            this.token = 12;
                            skipObject(false);
                        } else if (this.ch == '[') {
                            next();
                            this.token = 14;
                            skipArray(false);
                        } else {
                            int i3 = this.bp + 1;
                            while (true) {
                                if (i3 >= this.text.length()) {
                                    z = false;
                                    break;
                                }
                                char charAt = this.text.charAt(i3);
                                if (charAt == ',') {
                                    this.bp = i3 + 1;
                                    this.ch = charAt(this.bp);
                                    break;
                                } else if (charAt == ']') {
                                    this.bp = i3 + 1;
                                    this.ch = charAt(this.bp);
                                    nextToken();
                                    return false;
                                } else {
                                    i3++;
                                }
                            }
                            if (!z) {
                                throw new JSONException("illegal json.");
                            }
                        }
                        if (this.token != 16) {
                            if (this.token == 15) {
                                return false;
                            }
                            throw new UnsupportedOperationException();
                        }
                    }
                    i2++;
                } else {
                    nextToken();
                    return true;
                }
            }
        }
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    public int seekObjectToField(long j, boolean z) {
        int i = -1;
        if (this.token == 20) {
            return -1;
        }
        if (this.token != 13) {
            int i2 = 15;
            if (this.token != 15) {
                int i3 = 16;
                if (this.token != 12 && this.token != 16) {
                    throw new UnsupportedOperationException(JSONToken.name(this.token));
                }
                while (this.ch != '}') {
                    if (this.ch == 26) {
                        return i;
                    }
                    if (this.ch != '\"') {
                        skipWhitespace();
                    }
                    if (this.ch == '\"') {
                        long j2 = TypeUtils.fnv1a_64_magic_hashcode;
                        int i4 = this.bp + 1;
                        while (true) {
                            if (i4 >= this.text.length()) {
                                break;
                            }
                            char charAt = this.text.charAt(i4);
                            if (charAt == '\\') {
                                i4++;
                                if (i4 == this.text.length()) {
                                    throw new JSONException("unclosed str, " + info());
                                }
                                charAt = this.text.charAt(i4);
                            }
                            if (charAt == '\"') {
                                this.bp = i4 + 1;
                                this.ch = this.bp >= this.text.length() ? JSONLexer.EOI : this.text.charAt(this.bp);
                            } else {
                                j2 = (j2 ^ charAt) * TypeUtils.fnv1a_64_magic_prime;
                                i4++;
                            }
                        }
                        if (j2 == j) {
                            if (this.ch != ':') {
                                skipWhitespace();
                            }
                            if (this.ch == ':') {
                                int i5 = this.bp + 1;
                                this.bp = i5;
                                this.ch = i5 >= this.text.length() ? JSONLexer.EOI : this.text.charAt(i5);
                                if (this.ch == ',') {
                                    int i6 = this.bp + 1;
                                    this.bp = i6;
                                    this.ch = i6 >= this.text.length() ? JSONLexer.EOI : this.text.charAt(i6);
                                    this.token = i3;
                                    return 3;
                                } else if (this.ch == ']') {
                                    int i7 = this.bp + 1;
                                    this.bp = i7;
                                    this.ch = i7 >= this.text.length() ? JSONLexer.EOI : this.text.charAt(i7);
                                    this.token = i2;
                                    return 3;
                                } else if (this.ch == '}') {
                                    int i8 = this.bp + 1;
                                    this.bp = i8;
                                    this.ch = i8 >= this.text.length() ? JSONLexer.EOI : this.text.charAt(i8);
                                    this.token = 13;
                                    return 3;
                                } else if (this.ch >= '0' && this.ch <= '9') {
                                    this.sp = 0;
                                    this.pos = this.bp;
                                    scanNumber();
                                    return 3;
                                } else {
                                    nextToken(2);
                                    return 3;
                                }
                            }
                            return 3;
                        }
                        if (this.ch != ':') {
                            skipWhitespace();
                        }
                        if (this.ch == ':') {
                            int i9 = this.bp + 1;
                            this.bp = i9;
                            this.ch = i9 >= this.text.length() ? JSONLexer.EOI : this.text.charAt(i9);
                            if (this.ch != '\"' && this.ch != '\'' && this.ch != '{' && this.ch != '[' && this.ch != '0' && this.ch != '1' && this.ch != '2' && this.ch != '3' && this.ch != '4' && this.ch != '5' && this.ch != '6' && this.ch != '7' && this.ch != '8' && this.ch != '9' && this.ch != '+' && this.ch != '-') {
                                skipWhitespace();
                            }
                            if (this.ch == '-' || this.ch == '+' || (this.ch >= '0' && this.ch <= '9')) {
                                next();
                                while (this.ch >= '0' && this.ch <= '9') {
                                    next();
                                }
                                if (this.ch == '.') {
                                    next();
                                    while (this.ch >= '0' && this.ch <= '9') {
                                        next();
                                    }
                                }
                                if (this.ch == 'E' || this.ch == 'e') {
                                    next();
                                    if (this.ch == '-' || this.ch == '+') {
                                        next();
                                    }
                                    while (this.ch >= '0' && this.ch <= '9') {
                                        next();
                                    }
                                }
                                if (this.ch != ',') {
                                    skipWhitespace();
                                }
                                if (this.ch == ',') {
                                    next();
                                }
                            } else if (this.ch == '\"') {
                                skipString();
                                if (this.ch != ',' && this.ch != '}') {
                                    skipWhitespace();
                                }
                                if (this.ch == ',') {
                                    next();
                                }
                            } else if (this.ch == 't') {
                                next();
                                if (this.ch == 'r') {
                                    next();
                                    if (this.ch == 'u') {
                                        next();
                                        if (this.ch == 'e') {
                                            next();
                                        }
                                    }
                                }
                                if (this.ch != ',' && this.ch != '}') {
                                    skipWhitespace();
                                }
                                if (this.ch == ',') {
                                    next();
                                }
                            } else if (this.ch == 'n') {
                                next();
                                if (this.ch == 'u') {
                                    next();
                                    if (this.ch == 'l') {
                                        next();
                                        if (this.ch == 'l') {
                                            next();
                                        }
                                    }
                                }
                                if (this.ch != ',' && this.ch != '}') {
                                    skipWhitespace();
                                }
                                if (this.ch == ',') {
                                    next();
                                }
                            } else if (this.ch == 'f') {
                                next();
                                if (this.ch == 'a') {
                                    next();
                                    if (this.ch == 'l') {
                                        next();
                                        if (this.ch == 's') {
                                            next();
                                            if (this.ch == 'e') {
                                                next();
                                            }
                                        }
                                    }
                                }
                                if (this.ch != ',' && this.ch != '}') {
                                    skipWhitespace();
                                }
                                if (this.ch == ',') {
                                    next();
                                }
                            } else if (this.ch == '{') {
                                int i10 = this.bp + 1;
                                this.bp = i10;
                                this.ch = i10 >= this.text.length() ? JSONLexer.EOI : this.text.charAt(i10);
                                if (z) {
                                    this.token = 12;
                                    return 1;
                                }
                                skipObject(false);
                                if (this.token == 13) {
                                    return -1;
                                }
                            } else if (this.ch == '[') {
                                next();
                                if (z) {
                                    this.token = 14;
                                    return 2;
                                }
                                skipArray(false);
                                if (this.token == 13) {
                                    return -1;
                                }
                            } else {
                                throw new UnsupportedOperationException();
                            }
                            i = -1;
                            i2 = 15;
                            i3 = 16;
                        } else {
                            throw new JSONException("illegal json, " + info());
                        }
                    } else {
                        throw new UnsupportedOperationException();
                    }
                }
                next();
                nextToken();
                return i;
            }
        }
        nextToken();
        return -1;
    }

    /* JADX WARN: Code restructure failed: missing block: B:101:0x0198, code lost:
        if (r14.ch == '{') goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:103:0x019c, code lost:
        if (r14.ch == '[') goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:105:0x01a0, code lost:
        if (r14.ch == '0') goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:107:0x01a6, code lost:
        if (r14.ch == '1') goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:109:0x01ac, code lost:
        if (r14.ch == '2') goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:111:0x01b2, code lost:
        if (r14.ch == '3') goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:113:0x01b8, code lost:
        if (r14.ch == '4') goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:115:0x01be, code lost:
        if (r14.ch == '5') goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:117:0x01c4, code lost:
        if (r14.ch == '6') goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:119:0x01ca, code lost:
        if (r14.ch == '7') goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:121:0x01d0, code lost:
        if (r14.ch == '8') goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:123:0x01d4, code lost:
        if (r14.ch == '9') goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:125:0x01d8, code lost:
        if (r14.ch == '+') goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:127:0x01dc, code lost:
        if (r14.ch == '-') goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:128:0x01de, code lost:
        skipWhitespace();
     */
    /* JADX WARN: Code restructure failed: missing block: B:130:0x01e3, code lost:
        if (r14.ch == '-') goto L174;
     */
    /* JADX WARN: Code restructure failed: missing block: B:132:0x01e7, code lost:
        if (r14.ch == '+') goto L173;
     */
    /* JADX WARN: Code restructure failed: missing block: B:134:0x01eb, code lost:
        if (r14.ch < '0') goto L172;
     */
    /* JADX WARN: Code restructure failed: missing block: B:136:0x01ef, code lost:
        if (r14.ch > '9') goto L140;
     */
    /* JADX WARN: Code restructure failed: missing block: B:139:0x01f4, code lost:
        if (r14.ch != '\"') goto L143;
     */
    /* JADX WARN: Code restructure failed: missing block: B:140:0x01f6, code lost:
        skipString();
     */
    /* JADX WARN: Code restructure failed: missing block: B:141:0x01fb, code lost:
        if (r14.ch == ',') goto L166;
     */
    /* JADX WARN: Code restructure failed: missing block: B:143:0x01ff, code lost:
        if (r14.ch == '}') goto L166;
     */
    /* JADX WARN: Code restructure failed: missing block: B:144:0x0201, code lost:
        skipWhitespace();
     */
    /* JADX WARN: Code restructure failed: missing block: B:146:0x0206, code lost:
        if (r14.ch != ',') goto L171;
     */
    /* JADX WARN: Code restructure failed: missing block: B:147:0x0208, code lost:
        next();
     */
    /* JADX WARN: Code restructure failed: missing block: B:149:0x020f, code lost:
        if (r14.ch != '{') goto L146;
     */
    /* JADX WARN: Code restructure failed: missing block: B:150:0x0211, code lost:
        r2 = r14.bp + 1;
        r14.bp = r2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:151:0x021d, code lost:
        if (r2 < r14.text.length()) goto L157;
     */
    /* JADX WARN: Code restructure failed: missing block: B:153:0x0220, code lost:
        r4 = r14.text.charAt(r2);
     */
    /* JADX WARN: Code restructure failed: missing block: B:154:0x0226, code lost:
        r14.ch = r4;
        skipObject(false);
     */
    /* JADX WARN: Code restructure failed: missing block: B:156:0x022f, code lost:
        if (r14.ch != '[') goto L151;
     */
    /* JADX WARN: Code restructure failed: missing block: B:157:0x0231, code lost:
        next();
        skipArray(false);
     */
    /* JADX WARN: Code restructure failed: missing block: B:159:0x023e, code lost:
        throw new java.lang.UnsupportedOperationException();
     */
    /* JADX WARN: Code restructure failed: missing block: B:160:0x023f, code lost:
        next();
     */
    /* JADX WARN: Code restructure failed: missing block: B:162:0x0244, code lost:
        if (r14.ch < '0') goto L139;
     */
    /* JADX WARN: Code restructure failed: missing block: B:164:0x0248, code lost:
        if (r14.ch > '9') goto L101;
     */
    /* JADX WARN: Code restructure failed: missing block: B:165:0x024a, code lost:
        next();
     */
    /* JADX WARN: Code restructure failed: missing block: B:167:0x0252, code lost:
        if (r14.ch != '.') goto L112;
     */
    /* JADX WARN: Code restructure failed: missing block: B:168:0x0254, code lost:
        next();
     */
    /* JADX WARN: Code restructure failed: missing block: B:170:0x0259, code lost:
        if (r14.ch < '0') goto L111;
     */
    /* JADX WARN: Code restructure failed: missing block: B:172:0x025d, code lost:
        if (r14.ch > '9') goto L110;
     */
    /* JADX WARN: Code restructure failed: missing block: B:173:0x025f, code lost:
        next();
     */
    /* JADX WARN: Code restructure failed: missing block: B:175:0x0267, code lost:
        if (r14.ch == 'E') goto L126;
     */
    /* JADX WARN: Code restructure failed: missing block: B:177:0x026d, code lost:
        if (r14.ch != 'e') goto L116;
     */
    /* JADX WARN: Code restructure failed: missing block: B:178:0x026f, code lost:
        next();
     */
    /* JADX WARN: Code restructure failed: missing block: B:179:0x0274, code lost:
        if (r14.ch == '-') goto L138;
     */
    /* JADX WARN: Code restructure failed: missing block: B:181:0x0278, code lost:
        if (r14.ch != '+') goto L130;
     */
    /* JADX WARN: Code restructure failed: missing block: B:182:0x027a, code lost:
        next();
     */
    /* JADX WARN: Code restructure failed: missing block: B:184:0x027f, code lost:
        if (r14.ch < '0') goto L137;
     */
    /* JADX WARN: Code restructure failed: missing block: B:186:0x0283, code lost:
        if (r14.ch > '9') goto L136;
     */
    /* JADX WARN: Code restructure failed: missing block: B:187:0x0285, code lost:
        next();
     */
    /* JADX WARN: Code restructure failed: missing block: B:189:0x028b, code lost:
        if (r14.ch == ',') goto L119;
     */
    /* JADX WARN: Code restructure failed: missing block: B:190:0x028d, code lost:
        skipWhitespace();
     */
    /* JADX WARN: Code restructure failed: missing block: B:192:0x0292, code lost:
        if (r14.ch != ',') goto L125;
     */
    /* JADX WARN: Code restructure failed: missing block: B:193:0x0294, code lost:
        next();
     */
    /* JADX WARN: Code restructure failed: missing block: B:195:0x02b3, code lost:
        throw new com.alibaba.fastjson.JSONException("illegal json, " + info());
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x00a8, code lost:
        r8 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x00ab, code lost:
        if (r8 >= r15.length) goto L215;
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x00b1, code lost:
        if (r6 != r15[r8]) goto L41;
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x00b4, code lost:
        r8 = r8 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:0x00b7, code lost:
        r8 = -1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x00c0, code lost:
        if (r8 == (-1)) goto L45;
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x00c4, code lost:
        if (r14.ch == ':') goto L183;
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x00c6, code lost:
        skipWhitespace();
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x00cb, code lost:
        if (r14.ch != ':') goto L213;
     */
    /* JADX WARN: Code restructure failed: missing block: B:54:0x00cd, code lost:
        r15 = r14.bp + 1;
        r14.bp = r15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x00d9, code lost:
        if (r15 < r14.text.length()) goto L212;
     */
    /* JADX WARN: Code restructure failed: missing block: B:56:0x00db, code lost:
        r15 = com.alibaba.fastjson.parser.JSONLexer.EOI;
     */
    /* JADX WARN: Code restructure failed: missing block: B:57:0x00de, code lost:
        r15 = r14.text.charAt(r15);
     */
    /* JADX WARN: Code restructure failed: missing block: B:58:0x00e4, code lost:
        r14.ch = r15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:59:0x00e8, code lost:
        if (r14.ch != ',') goto L194;
     */
    /* JADX WARN: Code restructure failed: missing block: B:60:0x00ea, code lost:
        r15 = r14.bp + 1;
        r14.bp = r15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:61:0x00f6, code lost:
        if (r15 < r14.text.length()) goto L192;
     */
    /* JADX WARN: Code restructure failed: missing block: B:63:0x00f9, code lost:
        r4 = r14.text.charAt(r15);
     */
    /* JADX WARN: Code restructure failed: missing block: B:64:0x00ff, code lost:
        r14.ch = r4;
        r14.token = 16;
     */
    /* JADX WARN: Code restructure failed: missing block: B:66:0x0108, code lost:
        if (r14.ch != ']') goto L200;
     */
    /* JADX WARN: Code restructure failed: missing block: B:67:0x010a, code lost:
        r15 = r14.bp + 1;
        r14.bp = r15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:68:0x0116, code lost:
        if (r15 < r14.text.length()) goto L198;
     */
    /* JADX WARN: Code restructure failed: missing block: B:70:0x0119, code lost:
        r4 = r14.text.charAt(r15);
     */
    /* JADX WARN: Code restructure failed: missing block: B:71:0x011f, code lost:
        r14.ch = r4;
        r14.token = 15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:73:0x0128, code lost:
        if (r14.ch != '}') goto L206;
     */
    /* JADX WARN: Code restructure failed: missing block: B:74:0x012a, code lost:
        r15 = r14.bp + 1;
        r14.bp = r15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:75:0x0136, code lost:
        if (r15 < r14.text.length()) goto L204;
     */
    /* JADX WARN: Code restructure failed: missing block: B:77:0x0139, code lost:
        r4 = r14.text.charAt(r15);
     */
    /* JADX WARN: Code restructure failed: missing block: B:78:0x013f, code lost:
        r14.ch = r4;
        r14.token = 13;
     */
    /* JADX WARN: Code restructure failed: missing block: B:80:0x0148, code lost:
        if (r14.ch < '0') goto L211;
     */
    /* JADX WARN: Code restructure failed: missing block: B:82:0x014c, code lost:
        if (r14.ch > '9') goto L211;
     */
    /* JADX WARN: Code restructure failed: missing block: B:83:0x014e, code lost:
        r14.sp = 0;
        r14.pos = r14.bp;
        scanNumber();
     */
    /* JADX WARN: Code restructure failed: missing block: B:84:0x0158, code lost:
        nextToken(2);
     */
    /* JADX WARN: Code restructure failed: missing block: B:85:0x015c, code lost:
        r14.matchStat = 3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:86:0x015f, code lost:
        return r8;
     */
    /* JADX WARN: Code restructure failed: missing block: B:88:0x0162, code lost:
        if (r14.ch == ':') goto L48;
     */
    /* JADX WARN: Code restructure failed: missing block: B:89:0x0164, code lost:
        skipWhitespace();
     */
    /* JADX WARN: Code restructure failed: missing block: B:91:0x0169, code lost:
        if (r14.ch != ':') goto L176;
     */
    /* JADX WARN: Code restructure failed: missing block: B:92:0x016b, code lost:
        r3 = r14.bp + 1;
        r14.bp = r3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:93:0x0177, code lost:
        if (r3 < r14.text.length()) goto L175;
     */
    /* JADX WARN: Code restructure failed: missing block: B:94:0x0179, code lost:
        r3 = com.alibaba.fastjson.parser.JSONLexer.EOI;
     */
    /* JADX WARN: Code restructure failed: missing block: B:95:0x017c, code lost:
        r3 = r14.text.charAt(r3);
     */
    /* JADX WARN: Code restructure failed: missing block: B:96:0x0182, code lost:
        r14.ch = r3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:97:0x018e, code lost:
        if (r14.ch == '\"') goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:99:0x0194, code lost:
        if (r14.ch == '\'') goto L86;
     */
    @Override // com.alibaba.fastjson.parser.JSONLexerBase
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public int seekObjectToField(long[] jArr) {
        if (this.token != 12 && this.token != 16) {
            throw new UnsupportedOperationException();
        }
        while (this.ch != '}') {
            char c = this.ch;
            char c2 = JSONLexer.EOI;
            if (c == 26) {
                this.matchStat = -1;
                return -1;
            }
            if (this.ch != '\"') {
                skipWhitespace();
            }
            if (this.ch == '\"') {
                long j = TypeUtils.fnv1a_64_magic_hashcode;
                int i = this.bp;
                while (true) {
                    i++;
                    if (i >= this.text.length()) {
                        break;
                    }
                    char charAt = this.text.charAt(i);
                    if (charAt == '\\') {
                        i++;
                        if (i == this.text.length()) {
                            throw new JSONException("unclosed str, " + info());
                        }
                        charAt = this.text.charAt(i);
                    }
                    if (charAt == '\"') {
                        this.bp = i + 1;
                        this.ch = this.bp >= this.text.length() ? JSONLexer.EOI : this.text.charAt(this.bp);
                    } else {
                        j = (j ^ charAt) * TypeUtils.fnv1a_64_magic_prime;
                    }
                }
            } else {
                throw new UnsupportedOperationException();
            }
        }
        next();
        nextToken();
        this.matchStat = -1;
        return -1;
    }

    @Override // com.alibaba.fastjson.parser.JSONLexerBase, com.alibaba.fastjson.parser.JSONLexer
    public String scanTypeName(SymbolTable symbolTable) {
        int indexOf;
        if (!this.text.startsWith("\"@type\":\"", this.bp) || (indexOf = this.text.indexOf(34, this.bp + 9)) == -1) {
            return null;
        }
        this.bp += 9;
        int i = 0;
        for (int i2 = this.bp; i2 < indexOf; i2++) {
            i = (i * 31) + this.text.charAt(i2);
        }
        String addSymbol = addSymbol(this.bp, indexOf - this.bp, i, symbolTable);
        char charAt = this.text.charAt(indexOf + 1);
        if (charAt == ',' || charAt == ']') {
            this.bp = indexOf + 2;
            this.ch = this.text.charAt(this.bp);
            return addSymbol;
        }
        return null;
    }
}
