package com.taobao.weex.appfram.clipboard;

import android.content.ClipData;
import android.content.ClipboardManager;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import com.taobao.weex.annotation.JSMethod;
import com.taobao.weex.bridge.JSCallback;
import com.taobao.weex.common.WXModule;
import com.taobao.weex.utils.WXLogUtils;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.HashMap;
/* loaded from: classes23.dex */
public class WXClipboardModule extends WXModule implements IWXClipboard {
    private static final String DATA = "data";
    private static final String RESULT = "result";
    private static final String RESULT_FAILED = "failed";
    private static final String RESULT_OK = "success";
    private final String CLIP_KEY = "WEEX_CLIP_KEY_MAIN";

    @Override // com.taobao.weex.appfram.clipboard.IWXClipboard
    @JSMethod
    public void setString(String text) {
        if (text == null) {
            return;
        }
        ((ClipboardManager) this.mWXSDKInstance.getContext().getSystemService("clipboard")).setPrimaryClip(ClipData.newPlainText("WEEX_CLIP_KEY_MAIN", text));
    }

    @Override // com.taobao.weex.appfram.clipboard.IWXClipboard
    @JSMethod
    public void getString(JSCallback callback) {
        Context context = this.mWXSDKInstance.getContext();
        HashMap hashMap = new HashMap(2);
        ClipData primaryClip = ((ClipboardManager) context.getSystemService("clipboard")).getPrimaryClip();
        if (primaryClip != null && primaryClip.getItemCount() > 0) {
            CharSequence coerceToText = coerceToText(context, primaryClip.getItemAt(0));
            hashMap.put("result", coerceToText != null ? "success" : "failed");
            hashMap.put("data", coerceToText != null ? coerceToText : "");
        } else {
            hashMap.put("result", "failed");
            hashMap.put("data", "");
        }
        if (callback != null) {
            callback.invoke(hashMap);
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:37:0x0068, code lost:
        if (r7 == 0) goto L39;
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x006a, code lost:
        r7.close();
     */
    /* JADX WARN: Code restructure failed: missing block: B:54:0x0085, code lost:
        if (r7 == 0) goto L39;
     */
    /* JADX WARN: Code restructure failed: missing block: B:57:0x008c, code lost:
        return r0.toString();
     */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r1v0 */
    /* JADX WARN: Type inference failed for: r1v1 */
    /* JADX WARN: Type inference failed for: r1v11 */
    /* JADX WARN: Type inference failed for: r1v2, types: [java.io.InputStreamReader] */
    /* JADX WARN: Type inference failed for: r7v0, types: [android.content.Context] */
    /* JADX WARN: Type inference failed for: r7v1, types: [java.io.FileInputStream] */
    /* JADX WARN: Type inference failed for: r7v12, types: [java.io.FileInputStream, java.io.InputStream] */
    /* JADX WARN: Type inference failed for: r7v15 */
    /* JADX WARN: Type inference failed for: r7v16 */
    /* JADX WARN: Type inference failed for: r7v2 */
    /* JADX WARN: Type inference failed for: r7v4 */
    /* JADX WARN: Type inference failed for: r7v5 */
    /* JADX WARN: Type inference failed for: r7v6 */
    /* JADX WARN: Type inference failed for: r7v7, types: [java.io.FileInputStream] */
    /* JADX WARN: Type inference failed for: r7v9 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private CharSequence coerceToText(Context context, ClipData.Item item) {
        InputStreamReader inputStreamReader;
        IOException e;
        CharSequence text = item.getText();
        if (text != null) {
            return text;
        }
        Uri uri = item.getUri();
        ?? r1 = 0;
        r1 = null;
        r1 = 0;
        InputStreamReader inputStreamReader2 = null;
        try {
            if (uri == null) {
                Intent intent = item.getIntent();
                if (intent != null) {
                    return intent.toUri(1);
                }
                return null;
            }
            try {
                context = context.getContentResolver().openTypedAssetFileDescriptor(uri, "text/*", null).createInputStream();
            } catch (FileNotFoundException unused) {
                context = 0;
            } catch (IOException e2) {
                inputStreamReader = null;
                e = e2;
                context = 0;
            } catch (Throwable th) {
                th = th;
                context = 0;
            }
            try {
                inputStreamReader = new InputStreamReader((InputStream) context, "UTF-8");
                try {
                    StringBuilder sb = new StringBuilder(128);
                    char[] cArr = new char[8192];
                    while (true) {
                        int read = inputStreamReader.read(cArr);
                        if (read <= 0) {
                            break;
                        }
                        sb.append(cArr, 0, read);
                    }
                    String sb2 = sb.toString();
                    try {
                        inputStreamReader.close();
                    } catch (IOException unused2) {
                    }
                    if (context != 0) {
                        try {
                            context.close();
                        } catch (IOException unused3) {
                        }
                    }
                    return sb2;
                } catch (FileNotFoundException unused4) {
                    inputStreamReader2 = inputStreamReader;
                    context = context;
                    if (inputStreamReader2 != null) {
                        try {
                            inputStreamReader2.close();
                        } catch (IOException unused5) {
                        }
                    }
                } catch (IOException e3) {
                    e = e3;
                    WXLogUtils.w("ClippedData Failure loading text.", e);
                    if (inputStreamReader != null) {
                        try {
                            inputStreamReader.close();
                        } catch (IOException unused6) {
                        }
                    }
                }
            } catch (FileNotFoundException unused7) {
                context = context;
            } catch (IOException e4) {
                e = e4;
                inputStreamReader = null;
            } catch (Throwable th2) {
                th = th2;
                if (r1 != 0) {
                    try {
                        r1.close();
                    } catch (IOException unused8) {
                    }
                }
                if (context != 0) {
                    try {
                        context.close();
                    } catch (IOException unused9) {
                    }
                }
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            r1 = item;
        }
    }
}
