package com.taobao.weex.appfram.storage;

import com.taobao.weex.bridge.JSCallback;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
/* loaded from: classes8.dex */
public class StorageResultHandler {
    private static final String DATA = "data";
    private static final String RESULT = "result";
    private static final String RESULT_FAILED = "failed";
    private static final String RESULT_FAILED_INVALID_PARAM = "invalid_param";
    private static final String RESULT_FAILED_NO_HANDLER = "no_handler";
    private static final String RESULT_OK = "success";
    private static final String UNDEFINED = "undefined";

    private StorageResultHandler() {
    }

    public static Map<String, Object> getItemResult(String result) {
        HashMap hashMap = new HashMap(4);
        hashMap.put("result", result != null ? "success" : "failed");
        if (result == null) {
            result = "undefined";
        }
        hashMap.put("data", result);
        return hashMap;
    }

    public static Map<String, Object> setItemResult(boolean result) {
        HashMap hashMap = new HashMap(4);
        hashMap.put("result", result ? "success" : "failed");
        hashMap.put("data", "undefined");
        return hashMap;
    }

    public static Map<String, Object> removeItemResult(boolean result) {
        HashMap hashMap = new HashMap(4);
        hashMap.put("result", result ? "success" : "failed");
        hashMap.put("data", "undefined");
        return hashMap;
    }

    public static Map<String, Object> getLengthResult(long result) {
        HashMap hashMap = new HashMap(4);
        hashMap.put("result", "success");
        hashMap.put("data", Long.valueOf(result));
        return hashMap;
    }

    public static Map<String, Object> getAllkeysResult(List<String> result) {
        if (result == null) {
            result = new ArrayList<>(1);
        }
        HashMap hashMap = new HashMap(4);
        hashMap.put("result", "success");
        hashMap.put("data", result);
        return hashMap;
    }

    private static void handleResult(JSCallback callback, String result, Object data) {
        if (callback == null) {
            return;
        }
        HashMap hashMap = new HashMap(4);
        hashMap.put("result", result);
        hashMap.put("data", data);
        callback.invoke(hashMap);
    }

    public static void handleNoHandlerError(JSCallback callback) {
        handleResult(callback, "failed", RESULT_FAILED_NO_HANDLER);
    }

    public static void handleInvalidParam(JSCallback callback) {
        handleResult(callback, "failed", RESULT_FAILED_INVALID_PARAM);
    }
}
