package com.taobao.weex.bridge;

import android.text.TextUtils;
import java.util.HashMap;
import java.util.Stack;
/* loaded from: classes8.dex */
public class WXHashMap<K, V> extends HashMap<K, V> {
    private static final long serialVersionUID = 4294272345728974369L;
    private Stack<String> instancesStack = new Stack<>();
    private String mTag;

    @Override // java.util.HashMap, java.util.AbstractMap, java.util.Map
    public V put(K key, V value) {
        if (key != null && key.toString() != null) {
            if (this.instancesStack.contains(key)) {
                this.instancesStack.remove(key);
            }
            this.instancesStack.push(key.toString());
        }
        return (V) super.put(key, value);
    }

    @Override // java.util.HashMap, java.util.AbstractMap, java.util.Map
    public V remove(Object key) {
        return (V) super.remove(key);
    }

    public V removeFromMapAndStack(Object key) {
        this.instancesStack.remove(key);
        return (V) super.remove(key);
    }

    public String getStackTopInstanceId() {
        return this.instancesStack.isEmpty() ? "" : this.instancesStack.pop();
    }

    public void setStackTopInstance(String id) {
        if (TextUtils.isEmpty(id)) {
            return;
        }
        this.instancesStack.remove(id);
        this.instancesStack.push(id);
    }

    public Stack<String> getInstanceStack() {
        return this.instancesStack;
    }

    public String getTag() {
        return this.mTag;
    }

    public void setTag(String tag) {
        this.mTag = tag;
    }
}
