package com.taobao.weex.common;

import com.taobao.weex.bridge.ResultCallback;
import com.taobao.weex.bridge.WXJSObject;
import com.taobao.weex.bridge.WXParams;
import com.taobao.weex.dom.CSSShorthand;
import com.taobao.weex.layout.ContentBoxMeasurement;
import java.util.HashMap;
import java.util.HashSet;
/* loaded from: classes18.dex */
public interface IWXBridge extends IWXObject {
    public static final int DESTROY_INSTANCE = -1;
    public static final int INSTANCE_RENDERING = 1;
    public static final int INSTANCE_RENDERING_ERROR = 0;

    void bindMeasurementToRenderObject(long ptr);

    int callAddChildToRichtext(String instanceId, String nodeType, String ref, String parentRef, String richTextRef, HashMap<String, String> styles, HashMap<String, String> attrs);

    int callAddElement(String instanceId, String componentType, String ref, int index, String parentRef, HashMap<String, String> styles, HashMap<String, String> attributes, HashSet<String> events, float[] margins, float[] paddings, float[] borders, boolean willLayout);

    int callAddEvent(String instanceId, String ref, String event);

    int callAppendTreeCreateFinish(String instanceId, String ref);

    void callBacthEnd(String instanceId);

    void callBacthStart(String instanceId);

    int callCreateBody(String instanceId, String componentType, String ref, HashMap<String, String> styles, HashMap<String, String> attributes, HashSet<String> events, float[] margins, float[] paddings, float[] borders);

    int callCreateFinish(String instanceId);

    int callHasTransitionPros(String instanceId, String ref, HashMap<String, String> styles);

    int callLayout(String instanceId, String ref, int top, int bottom, int left, int right, int height, int width, boolean isRTL, int index);

    int callMoveElement(String instanceId, String ref, String parentref, int index);

    int callNative(String instanceId, String tasks, String callback);

    int callNative(String instanceId, byte[] tasks, String callback);

    void callNativeComponent(String instanceId, String ref, String method, byte[] arguments, byte[] options);

    Object callNativeModule(String instanceId, String module, String method, byte[] arguments, byte[] options);

    int callRefreshFinish(String instanceId, byte[] tasks, String callback);

    int callRemoveChildFromRichtext(String instanceId, String ref, String parentRef, String richTextRef);

    int callRemoveElement(String instanceId, String ref);

    int callRemoveEvent(String instanceId, String ref, String event);

    int callRenderSuccess(String instanceId);

    int callUpdateAttrs(String instanceId, String ref, HashMap<String, String> attrs);

    int callUpdateFinish(String instanceId, byte[] tasks, String callback);

    int callUpdateRichtextChildAttr(String instanceId, String ref, HashMap<String, String> attrs, String parentRef, String richTextRef);

    int callUpdateRichtextStyle(String instanceId, String ref, HashMap<String, String> styles, String parentRef, String richTextRef);

    int callUpdateStyle(String instanceId, String ref, HashMap<String, Object> styles, HashMap<String, String> paddings, HashMap<String, String> margins, HashMap<String, String> borders);

    void callVueExec(String instanceId, String name, String value);

    Object callVueExecSync(String instanceId, String name, String value);

    int createInstanceContext(String instanceId, String namespace, String function, WXJSObject[] args);

    int destoryInstance(String instanceId, String namespace, String function, WXJSObject[] args);

    int execJS(String instanceId, String namespace, String function, WXJSObject[] args);

    String execJSOnInstance(String instanceId, String script, int type);

    int execJSService(String javascript);

    void execJSWithCallback(String instanceId, String namespace, String function, WXJSObject[] args, ResultCallback callback);

    void forceLayout(String instanceId);

    long[] getFirstScreenRenderTime(String instanceId);

    ContentBoxMeasurement getMeasurementFunc(String instanceId, long renderObjectPtr);

    long[] getRenderFinishTime(String instanceId);

    int initFramework(String framework, WXParams params);

    int initFrameworkEnv(String framework, WXParams params, String cacheDir, boolean pieSupport);

    void markDirty(String instanceId, String ref, boolean dirty);

    boolean notifyLayout(String instanceId);

    void onInstanceClose(String instanceId);

    void refreshInstance(String instanceId, String namespace, String function, WXJSObject[] args);

    void registerCoreEnv(String key, String value);

    void reloadPageLayout(String instanceId);

    void removeInstanceRenderType(String instanceId);

    void reportJSException(String instanceId, String func, String exception);

    void reportNativeInitStatus(String statusCode, String errorMsg);

    void reportServerCrash(String instanceId, String crashFile);

    void resetWXBridge(boolean remoteDebug);

    void setDefaultHeightAndWidthIntoRootDom(String instanceId, float defaultWidth, float defaultHeight, boolean isWidthWrapContent, boolean isHeightWrapContent);

    void setDeviceDisplay(String instanceId, float width, float height, float scale);

    void setDeviceDisplayOfPage(String instanceId, float width, float height);

    void setFlexDirectionDef(String def);

    void setInstanceRenderType(String instanceId, String renderType);

    void setJSFrmVersion(String version);

    void setLogType(float type, boolean isPerf);

    void setMargin(String instanceId, String ref, CSSShorthand.EDGE edge, float value);

    void setPadding(String instanceId, String ref, CSSShorthand.EDGE edge, float value);

    void setPageArgument(String instanceId, String key, String value);

    void setPosition(String instanceId, String ref, CSSShorthand.EDGE edge, float value);

    void setRenderContainerWrapContent(boolean wrap, String instanceId);

    void setStyleHeight(String instanceId, String ref, float value);

    void setStyleHeight(String instanceId, String ref, float value, boolean update);

    void setStyleWidth(String instanceId, String ref, float value);

    void setStyleWidth(String instanceId, String ref, float value, boolean update);

    void setTimeoutNative(String callbackId, String time);

    void setViewPortWidth(String instanceId, float viewPortWidth);

    void takeHeapSnapshot(String filename);

    void updateInitFrameworkParams(String key, String value, String desc);
}
