package com.taobao.weex.common;

import com.taobao.weex.WXEnvironment;
import java.util.Map;
/* loaded from: classes8.dex */
public class WXJSExceptionInfo {
    private String mBundleUrl;
    private WXErrorCode mErrCode;
    private String mException;
    private Map<String, String> mExtParams;
    private String mFunction;
    private String mInstanceId;
    private String mWeexVersion = WXEnvironment.WXSDK_VERSION;
    private String mJsFrameworkVersion = WXEnvironment.JS_LIB_SDK_VERSION;
    public long time = System.currentTimeMillis();

    public WXJSExceptionInfo(String instanceId, String bundleUrl, WXErrorCode errCode, String function, String exception, Map<String, String> extParams) {
        this.mInstanceId = instanceId;
        this.mBundleUrl = bundleUrl;
        this.mErrCode = errCode;
        this.mFunction = function;
        this.mException = exception;
        this.mExtParams = extParams;
    }

    public String getInstanceId() {
        return this.mInstanceId;
    }

    public void setInstanceId(String instanceId) {
        this.mInstanceId = instanceId;
    }

    public String getBundleUrl() {
        return this.mBundleUrl;
    }

    public void setBundleUrl(String bundleUrl) {
        this.mBundleUrl = bundleUrl;
    }

    public WXErrorCode getErrCode() {
        return this.mErrCode;
    }

    public void setErrCode(WXErrorCode errCode) {
        this.mErrCode = errCode;
    }

    public String getFunction() {
        return this.mFunction;
    }

    public void setFunction(String function) {
        this.mFunction = function;
    }

    public String getException() {
        return this.mException;
    }

    public void setException(String exception) {
        this.mException = exception;
    }

    public Map<String, String> getExtParams() {
        return this.mExtParams;
    }

    public void setExtParams(Map<String, String> extParams) {
        this.mExtParams = extParams;
    }

    public String getWeexVersion() {
        return this.mWeexVersion;
    }

    public String getJsFrameworkVersion() {
        return this.mJsFrameworkVersion;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(" errCode:");
        WXErrorCode wXErrorCode = this.mErrCode;
        sb.append(wXErrorCode == null ? "unSetErrorCode" : wXErrorCode.getErrorCode());
        sb.append(",function:");
        String str = this.mFunction;
        if (str == null) {
            str = "unSetFuncName";
        }
        sb.append(str);
        sb.append(",exception:");
        String str2 = this.mException;
        if (str2 == null) {
            str2 = "unSetException";
        }
        sb.append(str2);
        return sb.toString();
    }
}
