package com.taobao.weex.common;

import android.content.Intent;
import android.text.TextUtils;
import android.view.Menu;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.annotation.JSMethod;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.utils.WXUtils;
import io.dcloud.feature.uniapp.AbsSDKInstance;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
/* loaded from: classes18.dex */
public abstract class WXModule implements IWXObject {
    public static final String ACTION_ACTIVITY_RESULT = "actionActivityResult";
    public static final String ACTION_REQUEST_PERMISSIONS_RESULT = "actionRequestPermissionsResult";
    public static final String GRANT_RESULTS = "grantResults";
    public static final String PERMISSIONS = "permissions";
    public static final String REQUEST_CODE = "requestCode";
    public static final String RESULT_CODE = "resultCode";
    private Map<String, List<String>> mEvents = new HashMap();
    private Map<String, Boolean> mKeepAlives = new HashMap();
    private String mModuleName;
    public AbsSDKInstance mUniSDKInstance;
    public WXSDKInstance mWXSDKInstance;

    public boolean onActivityBack() {
        return false;
    }

    public void onActivityCreate() {
    }

    public void onActivityDestroy() {
    }

    public void onActivityPause() {
    }

    public void onActivityResult(int requestCode, int resultCode, Intent data) {
    }

    public void onActivityResume() {
    }

    public void onActivityStart() {
    }

    public void onActivityStop() {
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        return false;
    }

    public void onRequestPermissionsResult(int requestCode, String[] permissions, int[] grantResults) {
    }

    protected final WXComponent findComponent(String ref) {
        if (this.mWXSDKInstance == null || ref == null) {
            return null;
        }
        return WXSDKManager.getInstance().getWXRenderManager().getWXComponent(this.mWXSDKInstance.getInstanceId(), ref);
    }

    @JSMethod
    public void addEventListener(String eventName, String callback, Map<String, Object> options) {
        if (TextUtils.isEmpty(eventName) || TextUtils.isEmpty(callback)) {
            return;
        }
        boolean z = false;
        if (options != null && options.size() > 0 && options.containsKey("once") && WXUtils.getBoolean(options.get("once"), false).booleanValue()) {
            z = true;
        }
        this.mKeepAlives.put(callback, Boolean.valueOf(z));
        if (this.mEvents.get(eventName) == null) {
            this.mEvents.put(eventName, new ArrayList());
        }
        this.mEvents.get(eventName).add(callback);
    }

    @JSMethod
    public void removeAllEventListeners(String eventName) {
        if (this.mEvents.containsKey(eventName)) {
            for (String str : this.mEvents.remove(eventName)) {
                this.mKeepAlives.remove(str);
            }
        }
    }

    public List<String> getEventCallbacks(String eventName) {
        return this.mEvents.get(eventName);
    }

    public boolean isOnce(String callback) {
        return this.mKeepAlives.get(callback).booleanValue();
    }

    public String getModuleName() {
        return this.mModuleName;
    }

    public void setModuleName(String moduleName) {
        this.mModuleName = moduleName;
    }
}
