package com.taobao.weex.font;

import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;
/* loaded from: classes8.dex */
public class FontAdapter {
    private List<FontListener> mFontListener = new CopyOnWriteArrayList();

    public void addFontListener(FontListener fontListener) {
        this.mFontListener.add(fontListener);
    }

    public void removeFontListener(FontListener fontListener) {
        this.mFontListener.remove(fontListener);
    }

    public void onAddFontRule(String pageId, String fontFamily, String fontUrl) {
        synchronized (this) {
            for (FontListener fontListener : this.mFontListener) {
                fontListener.onAddFontRule(pageId, fontFamily, fontUrl);
            }
        }
    }

    public void onFontLoad(String fontFaimly, String fontUrl, String filePath) {
        synchronized (this) {
            for (FontListener fontListener : this.mFontListener) {
                fontListener.onFontLoad(fontFaimly, fontUrl, filePath);
            }
        }
    }
}
