package com.taobao.weex.layout;

import com.taobao.weex.common.Destroyable;
import com.taobao.weex.ui.component.WXComponent;
import java.io.Serializable;
/* loaded from: classes18.dex */
public abstract class ContentBoxMeasurement implements Serializable, Destroyable {
    protected WXComponent mComponent;
    protected boolean mMeasureExactly;
    protected float mMeasureHeight;
    protected float mMeasureWidth;

    public abstract void layoutAfter(float computedWidth, float computedHeight);

    public abstract void layoutBefore();

    public abstract void measureInternal(float width, float height, int widthMeasureMode, int heightMeasureMode);

    public ContentBoxMeasurement() {
        this.mMeasureExactly = false;
        this.mComponent = null;
    }

    public ContentBoxMeasurement(WXComponent component) {
        this.mMeasureExactly = false;
        this.mComponent = component;
    }

    public final void measure(float width, float height, int widthMeasureMode, int heightMeasureMode) {
        measureInternal(width, height, widthMeasureMode, heightMeasureMode);
    }

    public float getWidth() {
        return this.mMeasureWidth;
    }

    public boolean getMeasureExactly() {
        return this.mMeasureExactly;
    }

    public float getHeight() {
        return this.mMeasureHeight;
    }

    @Override // com.taobao.weex.common.Destroyable
    public void destroy() {
        this.mComponent = null;
    }
}
