package com.taobao.weex.ui.component;

import android.text.Editable;
import android.text.TextWatcher;
import android.widget.TextView;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.bridge.WXBridgeManager;
import com.taobao.weex.common.Constants;
import com.taobao.weex.dom.CSSConstants;
import com.taobao.weex.dom.WXAttr;
import com.taobao.weex.layout.ContentBoxMeasurement;
import com.taobao.weex.ui.action.BasicComponentData;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.view.WXEditText;
import com.taobao.weex.utils.WXUtils;
import com.taobao.weex.utils.WXViewUtils;
import io.dcloud.feature.weex.WeexInstanceMgr;
import java.util.HashMap;
/* loaded from: classes26.dex */
public class DCTextArea extends DCWXInput {
    private WXAttr attr;
    private boolean isAutoHeight;
    private boolean isLineChange;
    boolean isShowConfirm;
    private WXComponent.OnFocusChangeListener mOnFocusChangeListener;

    @Override // com.taobao.weex.ui.component.DCWXInput
    protected int getVerticalGravity() {
        return 48;
    }

    public DCTextArea(WXSDKInstance instance, WXVContainer parent, boolean isLazy, BasicComponentData basicComponentData) {
        super(instance, parent, isLazy, basicComponentData);
        this.isAutoHeight = false;
        this.isLineChange = false;
        this.mOnFocusChangeListener = new AnonymousClass2();
        this.isShowConfirm = true;
        this.attr = basicComponentData.getAttrs();
        setContentBoxMeasurement(new ContentBoxMeasurement() { // from class: com.taobao.weex.ui.component.DCTextArea.1
            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void layoutAfter(float computedWidth, float computedHeight) {
            }

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void layoutBefore() {
            }

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void measureInternal(float width, float height, int widthMeasureMode, int heightMeasureMode) {
                if (CSSConstants.isUndefined(width)) {
                    this.mMeasureWidth = WXViewUtils.getRealPxByWidth(300.0f, DCTextArea.this.getInstance().getInstanceViewPortWidthWithFloat());
                }
                if (CSSConstants.isUndefined(height)) {
                    if (DCTextArea.this.attr.containsKey("autoHeight") && WXUtils.getBoolean(DCTextArea.this.attr.get("autoHeight"), false).booleanValue()) {
                        this.mMeasureHeight = WXViewUtils.getRealPxByWidth(DCTextArea.this.getInstance().getDefaultFontSize() * 1.4f, DCTextArea.this.getInstance().getInstanceViewPortWidthWithFloat());
                    } else {
                        this.mMeasureHeight = WXViewUtils.getRealPxByWidth(150.0f, DCTextArea.this.getInstance().getInstanceViewPortWidthWithFloat());
                    }
                }
            }
        });
    }

    @Override // com.taobao.weex.ui.component.DCWXInput, com.taobao.weex.ui.component.WXComponent
    public void addEvent(String type) {
        super.addEvent(type);
        if (type.equals("linechange")) {
            this.isLineChange = true;
        }
    }

    /* renamed from: com.taobao.weex.ui.component.DCTextArea$2  reason: invalid class name */
    /* loaded from: classes18.dex */
    class AnonymousClass2 implements WXComponent.OnFocusChangeListener {
        int count = 0;

        AnonymousClass2() {
        }

        @Override // com.taobao.weex.ui.component.WXComponent.OnFocusChangeListener
        public void onFocusChange(boolean hasFocus) {
            WXEditText hostView = DCTextArea.this.getHostView();
            if (hostView == null) {
                return;
            }
            HashMap hashMap = new HashMap(1);
            HashMap hashMap2 = new HashMap(1);
            hashMap2.put("value", hostView.getText().toString());
            if (hasFocus) {
                if (DCTextArea.this.keyboardHeight == 0.0f) {
                    fireEventForFocus(hostView);
                    return;
                }
                hashMap2.put("height", Float.valueOf(DCTextArea.this.keyboardHeight));
                hashMap2.put("value", hostView.getText().toString());
                hashMap.put("detail", hashMap2);
                DCTextArea.this.fireEvent(Constants.Event.FOCUS, hashMap);
                return;
            }
            hashMap2.put("cursor", Integer.valueOf(hostView.getSelectionStart()));
            hashMap.put("detail", hashMap2);
            DCTextArea.this.fireEvent(Constants.Event.BLUR, hashMap);
        }

        /* JADX INFO: Access modifiers changed from: private */
        public void fireEventForFocus(final TextView text) {
            DCTextArea.this.getHostView().postDelayed(new Runnable() { // from class: com.taobao.weex.ui.component.DCTextArea.2.1
                @Override // java.lang.Runnable
                public void run() {
                    if (DCTextArea.this.keyboardHeight == 0.0f) {
                        AnonymousClass2.this.count++;
                        if (AnonymousClass2.this.count <= 3) {
                            AnonymousClass2.this.fireEventForFocus(text);
                            return;
                        }
                        HashMap hashMap = new HashMap(1);
                        HashMap hashMap2 = new HashMap(1);
                        hashMap2.put("value", text.getText().toString());
                        hashMap2.put("height", Float.valueOf(DCTextArea.this.keyboardHeight));
                        hashMap.put("detail", hashMap2);
                        DCTextArea.this.fireEvent(Constants.Event.FOCUS, hashMap);
                        return;
                    }
                    AnonymousClass2.this.count = 0;
                    HashMap hashMap3 = new HashMap(1);
                    HashMap hashMap4 = new HashMap(1);
                    hashMap4.put("value", text.getText().toString());
                    hashMap4.put("height", Float.valueOf(DCTextArea.this.keyboardHeight));
                    hashMap3.put("detail", hashMap4);
                    DCTextArea.this.fireEvent(Constants.Event.FOCUS, hashMap3);
                }
            }, 200L);
        }
    }

    @Override // com.taobao.weex.ui.component.DCWXInput
    protected void setFocusAndBlur() {
        if (ismHasFocusChangeListener(this.mOnFocusChangeListener)) {
            return;
        }
        addFocusChangeListener(this.mOnFocusChangeListener);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.DCWXInput, com.taobao.weex.ui.component.WXComponent
    public void onHostViewInitialized(WXEditText host) {
        this.isNeedConfirm = false;
        host.setAllowDisableMovement(false);
        super.onHostViewInitialized(host);
        try {
            ConfirmBar.getInstance().createConfirmBar(getContext(), WeexInstanceMgr.self().findWebview(getInstance()).obtainApp());
            ConfirmBar.getInstance().addComponent(this);
        } catch (Exception unused) {
        }
        if (this.attr.containsKey("autoHeight") && WXUtils.getBoolean(this.attr.get("autoHeight"), false).booleanValue()) {
            WXBridgeManager.getInstance().setStyleHeight(getInstanceId(), getRef(), WXViewUtils.getRealPxByWidth(getInstance().getDefaultFontSize() * 1.4f, getInstance().getInstanceViewPortWidthWithFloat()));
        }
        watchLine();
    }

    private void watchLine() {
        addTextChangedListener(new TextWatcher() { // from class: com.taobao.weex.ui.component.DCTextArea.3
            int line = 0;

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
            }

            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence s, int start, int count1, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence s, int start, int before, int count) {
                if (DCTextArea.this.getHostView().getLineCount() != this.line) {
                    this.line = DCTextArea.this.getHostView().getLineCount();
                    int extendedPaddingTop = DCTextArea.this.getHostView().getExtendedPaddingTop() + DCTextArea.this.getHostView().getExtendedPaddingBottom();
                    float lineTop = DCTextArea.this.getHostView().getLayout().getLineTop(DCTextArea.this.getHostView().getLineCount()) + extendedPaddingTop;
                    if (extendedPaddingTop == 0 && DCTextArea.this.isAutoHeight) {
                        lineTop = WXViewUtils.getRealPxByWidth(DCTextArea.this.getInstance().getDefaultFontSize() * 1.4f, DCTextArea.this.getInstance().getInstanceViewPortWidthWithFloat()) + DCTextArea.this.getHostView().getLayout().getLineTop(DCTextArea.this.getHostView().getLineCount() - 1);
                    }
                    if (DCTextArea.this.isAutoHeight && lineTop > 0.0f) {
                        WXBridgeManager.getInstance().setStyleHeight(DCTextArea.this.getInstanceId(), DCTextArea.this.getRef(), lineTop);
                        WXBridgeManager.getInstance().notifyLayout(DCTextArea.this.getInstanceId());
                        WXBridgeManager.getInstance().forceLayout(DCTextArea.this.getInstanceId());
                    }
                    if (DCTextArea.this.isLineChange) {
                        HashMap hashMap = new HashMap(3);
                        hashMap.put("lineCount", Integer.valueOf(this.line));
                        hashMap.put("height", Float.valueOf(WXViewUtils.getWebPxByWidth(lineTop, DCTextArea.this.getInstance().getInstanceViewPortWidthWithFloat())));
                        hashMap.put("heightRpx", Float.valueOf(lineTop));
                        HashMap hashMap2 = new HashMap(1);
                        hashMap2.put("detail", hashMap);
                        DCTextArea.this.fireEvent("linechange", hashMap2);
                    }
                }
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.DCWXInput
    public void appleStyleAfterCreated(final WXEditText editText) {
        super.appleStyleAfterCreated(editText);
        editText.setSingleLine(false);
        editText.setMinLines(1);
        editText.setMaxLines(100);
        editText.setInputType(131073);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.DCWXInput, com.taobao.weex.ui.component.WXComponent
    public void setHostLayoutParams(WXEditText host, int width, int height, int left, int right, int top, int bottom) {
        super.setHostLayoutParams(host, width, height, left, right, top, bottom);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.DCWXInput, com.taobao.weex.ui.component.WXComponent
    public boolean setProperty(String key, Object param) {
        this.isConfirmHold = WXUtils.getBoolean(param, true).booleanValue();
        return super.setProperty(key, param);
    }

    @Override // com.taobao.weex.ui.component.DCWXInput
    public void setType(String type) {
        if (getHostView() == null || type == null || getHostView() == null || this.mType.equals(type)) {
            return;
        }
        getHostView().setInputType(131073);
    }

    @WXComponentProp(name = "autoHeight")
    public void setAutoHeight(boolean isAuto) {
        this.isAutoHeight = isAuto;
    }

    @Override // com.taobao.weex.ui.component.DCWXInput
    public void setSingleLine(boolean singleLine) {
        getHostView().setSingleLine(false);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.DCWXInput
    public float getMeasureHeight() {
        if (this.isAutoHeight) {
            return getMeasuredLineHeight();
        }
        return super.getMeasureHeight();
    }

    @WXComponentProp(name = "showConfirmBar")
    public void setShowConfirmBar(final boolean isShowC) {
        this.isShowConfirm = isShowC;
    }

    @Override // com.taobao.weex.ui.component.DCWXInput, com.taobao.weex.ui.component.WXComponent
    public void destroy() {
        super.destroy();
        ConfirmBar.getInstance().removeComponent(this);
    }
}
