package com.taobao.weex.ui.component.helper;

import com.taobao.weex.ui.component.Scrollable;
import com.taobao.weex.ui.component.WXComponent;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
/* loaded from: classes8.dex */
public class WXStickyHelper {
    private Scrollable scrollable;

    public WXStickyHelper(Scrollable scrollable) {
        this.scrollable = scrollable;
    }

    public void bindStickStyle(WXComponent component, Map<String, Map<String, WXComponent>> mStickyMap) {
        Scrollable parentScroller = component.getParentScroller();
        if (parentScroller == null) {
            return;
        }
        Map<String, WXComponent> map = mStickyMap.get(parentScroller.getRef());
        if (map == null) {
            map = new ConcurrentHashMap<>();
        }
        if (map.containsKey(component.getRef())) {
            return;
        }
        map.put(component.getRef(), component);
        mStickyMap.put(parentScroller.getRef(), map);
    }

    public void unbindStickStyle(WXComponent component, Map<String, Map<String, WXComponent>> mStickyMap) {
        Map<String, WXComponent> map;
        Scrollable parentScroller = component.getParentScroller();
        if (parentScroller == null || (map = mStickyMap.get(parentScroller.getRef())) == null) {
            return;
        }
        map.remove(component.getRef());
    }
}
