package com.taobao.weex.ui.component.list.template;

import android.text.TextUtils;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.component.WXVContainer;
import com.taobao.weex.ui.component.list.WXCell;
import java.util.List;
/* loaded from: classes8.dex */
public class Selector {
    public static void queryElementAll(WXComponent component, String selector, List<WXComponent> componentList) {
        if (TextUtils.isEmpty(selector)) {
            return;
        }
        String[] split = selector.replaceAll("\\[|]", "").split("=");
        if (split.length <= 0) {
            return;
        }
        String str = split[0];
        String trim = split.length > 1 ? split[1].trim() : null;
        if (component instanceof WXVContainer) {
            WXVContainer wXVContainer = (WXVContainer) component;
            for (int i = 0; i < wXVContainer.getChildCount(); i++) {
                queryElementAllByAttrs(wXVContainer.getChild(i), str, trim, componentList);
            }
        }
    }

    public static void closest(WXComponent component, String selector, List<WXComponent> componentList) {
        if (TextUtils.isEmpty(selector)) {
            return;
        }
        String[] split = selector.replaceAll("\\[|]", "").split("=");
        if (split.length <= 0) {
            return;
        }
        closestByAttrs(component, split[0], split.length > 1 ? split[1].trim() : null, componentList);
    }

    private static void closestByAttrs(WXComponent component, String key, String value, List<WXComponent> componentList) {
        if (matchAttrs(component, key, value)) {
            componentList.add(component);
        }
        if ((component instanceof WXCell) || (component instanceof WXRecyclerTemplateList)) {
            return;
        }
        queryElementAllByAttrs(component.getParent(), key, value, componentList);
    }

    private static void queryElementAllByAttrs(WXComponent component, String key, String value, List<WXComponent> componentList) {
        if (matchAttrs(component, key, value)) {
            componentList.add(component);
        }
        if (component instanceof WXVContainer) {
            WXVContainer wXVContainer = (WXVContainer) component;
            for (int i = 0; i < wXVContainer.getChildCount(); i++) {
                queryElementAllByAttrs(wXVContainer.getChild(i), key, value, componentList);
            }
        }
    }

    private static boolean matchAttrs(WXComponent component, String key, String value) {
        if (!component.isWaste() && component.getAttrs().containsKey(key)) {
            if (TextUtils.isEmpty(value)) {
                return true;
            }
            Object obj = component.getAttrs().get(key);
            if (obj == null) {
                return false;
            }
            return value.equals(obj.toString());
        }
        return false;
    }
}
