package com.taobao.weex.ui.view.listview.adapter;

import android.graphics.Canvas;
import android.view.View;
import androidx.recyclerview.widget.RecyclerView;
/* loaded from: classes19.dex */
public class TransformItemDecoration extends RecyclerView.ItemDecoration {
    float mAlpha;
    boolean mIsVertical;
    int mRotation;
    float mScaleX;
    float mScaleY;
    int mXTranslate;
    int mYTranslate;

    public TransformItemDecoration(boolean isVertical, float alpha, int translateX, int translateY, int rotation, float scaleX, float scaleY) {
        this.mIsVertical = true;
        this.mAlpha = -1.0f;
        this.mXTranslate = 0;
        this.mYTranslate = 0;
        this.mRotation = 0;
        this.mScaleX = 0.0f;
        this.mScaleY = 0.0f;
        this.mIsVertical = isVertical;
        this.mAlpha = alpha;
        this.mXTranslate = translateX;
        this.mYTranslate = translateY;
        this.mRotation = rotation;
        this.mScaleX = scaleX;
        this.mScaleY = scaleY;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.ItemDecoration
    public void onDrawOver(Canvas c, RecyclerView parent, RecyclerView.State state) {
        super.onDrawOver(c, parent, state);
        int width = parent.getWidth();
        int height = parent.getHeight();
        int childCount = parent.getChildCount();
        for (int i = 0; i < childCount; i++) {
            updateItem(parent.getChildAt(i), width, height);
        }
    }

    private void updateItem(View child, int width, int height) {
        int width2;
        int left;
        if (this.mIsVertical) {
            int height2 = child.getHeight();
            left = child.getTop() + (height2 / 2);
            width2 = height2;
            width = height;
        } else {
            width2 = child.getWidth();
            left = child.getLeft() + (width2 / 2);
        }
        float min = Math.min(1.0f, Math.max(-1.0f, (1.0f / ((width2 + width) / 2)) * (left - (width / 2))));
        float f = this.mAlpha;
        if (f > 0.0f) {
            child.setAlpha(1.0f - (f * Math.abs(min)));
        }
        float f2 = this.mScaleX;
        if (f2 > 0.0f || this.mScaleY > 0.0f) {
            child.setScaleX(1.0f - (f2 * Math.abs(min)));
            child.setScaleY(1.0f - (this.mScaleY * Math.abs(min)));
        }
        int i = this.mRotation;
        if (i != 0) {
            child.setRotation(i * min);
        }
        int i2 = this.mXTranslate;
        if (i2 != 0) {
            child.setTranslationX(i2 * Math.abs(min));
        }
        int i3 = this.mYTranslate;
        if (i3 != 0) {
            child.setTranslationY(i3 * Math.abs(min));
        }
    }
}
