package com.taobao.weex.utils;

import java.lang.reflect.InvocationHandler;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.lang.reflect.Proxy;
/* loaded from: classes8.dex */
public class WXInterception {

    /* loaded from: classes8.dex */
    private interface Intercepted {
    }

    private WXInterception() {
    }

    /* JADX WARN: Multi-variable type inference failed */
    public static <T> T proxy(final Object delegatee, final Class<T> interface_class, final InterceptionHandler<T> handler) throws IllegalArgumentException {
        if (delegatee instanceof Intercepted) {
            return delegatee;
        }
        handler.setDelegate(delegatee);
        return (T) Proxy.newProxyInstance(WXInterception.class.getClassLoader(), new Class[]{interface_class, Intercepted.class}, handler);
    }

    public static <T> T proxy(final Object delegatee, final InterceptionHandler<T> handler, final Class<?>... interfaces) throws IllegalArgumentException {
        handler.setDelegate(delegatee);
        return (T) Proxy.newProxyInstance(WXInterception.class.getClassLoader(), interfaces, handler);
    }

    /* loaded from: classes8.dex */
    public static abstract class InterceptionHandler<T> implements InvocationHandler {
        private T mDelegate;

        @Override // java.lang.reflect.InvocationHandler
        public Object invoke(final Object proxy, final Method method, final Object[] args) throws Throwable {
            try {
                return method.invoke(delegate(), args);
            } catch (IllegalAccessException e) {
                WXLogUtils.e("", e);
                return null;
            } catch (IllegalArgumentException e2) {
                WXLogUtils.e("", e2);
                return null;
            } catch (InvocationTargetException e3) {
                throw e3.getTargetException();
            }
        }

        protected T delegate() {
            return this.mDelegate;
        }

        void setDelegate(final T delegate) {
            this.mDelegate = delegate;
        }
    }
}
