package com.taobao.weex.utils;

import android.text.TextUtils;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.parser.Feature;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Type;
import java.math.BigDecimal;
/* loaded from: classes8.dex */
public class WXReflectionUtils {
    public static Object parseArgument(Type paramClazz, Object value) {
        if (value != null) {
            if (value.getClass() == paramClazz) {
                return value;
            }
            if ((paramClazz instanceof Class) && ((Class) paramClazz).isAssignableFrom(value.getClass())) {
                return value;
            }
        }
        if (paramClazz == String.class) {
            return value instanceof String ? value : JSON.toJSONString(value);
        } else if (paramClazz == Integer.TYPE) {
            return value.getClass().isAssignableFrom(Integer.TYPE) ? value : Integer.valueOf(WXUtils.getInt(value));
        } else if (paramClazz == Long.TYPE) {
            return value.getClass().isAssignableFrom(Long.TYPE) ? value : Long.valueOf(WXUtils.getLong(value));
        } else if (paramClazz == Double.TYPE) {
            return value.getClass().isAssignableFrom(Double.TYPE) ? value : Double.valueOf(WXUtils.getDouble(value));
        } else if (paramClazz == Float.TYPE) {
            return value.getClass().isAssignableFrom(Float.TYPE) ? value : Float.valueOf(WXUtils.getFloat(value));
        } else if (paramClazz == JSONArray.class && value != null && value.getClass() == JSONArray.class) {
            return value;
        } else {
            if (paramClazz == JSONObject.class && value != null && value.getClass() == JSONObject.class) {
                return value;
            }
            return JSON.parseObject(value instanceof String ? (String) value : JSON.toJSONString(value), paramClazz, new Feature[0]);
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:39:0x0098 A[Catch: Exception -> 0x00ad, TryCatch #0 {Exception -> 0x00ad, blocks: (B:6:0x000a, B:8:0x0012, B:10:0x0016, B:37:0x0090, B:39:0x0098, B:43:0x00aa, B:42:0x00a2, B:12:0x001a, B:14:0x0022, B:17:0x002b, B:19:0x0033, B:22:0x003c, B:24:0x0044, B:27:0x004d, B:29:0x0055, B:33:0x0060, B:34:0x0069, B:35:0x0077, B:36:0x0084), top: B:46:0x000a }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static void setValue(Object obj, String fieldName, Object value) {
        Object valueOf;
        if (obj != null && !TextUtils.isEmpty(fieldName)) {
            try {
                Field declaredField = getDeclaredField(obj, fieldName);
                if ((value instanceof BigDecimal) || (value instanceof Number) || (value instanceof String)) {
                    if (declaredField.getType() != Float.class && declaredField.getType() != Float.TYPE) {
                        if (declaredField.getType() != Double.class && declaredField.getType() != Double.TYPE) {
                            if (declaredField.getType() != Integer.class && declaredField.getType() != Integer.TYPE) {
                                if (declaredField.getType() != Boolean.class) {
                                    if (declaredField.getType() == Boolean.TYPE) {
                                    }
                                }
                                valueOf = Boolean.valueOf(value.toString());
                                if ((declaredField.getType() != Boolean.TYPE || declaredField.getType() == Boolean.class) && value != null) {
                                    valueOf = Boolean.valueOf(value.toString());
                                }
                                setProperty(obj, declaredField, valueOf);
                            }
                            valueOf = Integer.valueOf((int) Double.parseDouble(value.toString()));
                            if (declaredField.getType() != Boolean.TYPE) {
                            }
                            valueOf = Boolean.valueOf(value.toString());
                            setProperty(obj, declaredField, valueOf);
                        }
                        valueOf = Double.valueOf(Double.parseDouble(value.toString()));
                        if (declaredField.getType() != Boolean.TYPE) {
                        }
                        valueOf = Boolean.valueOf(value.toString());
                        setProperty(obj, declaredField, valueOf);
                    }
                    valueOf = Float.valueOf(Float.parseFloat(value.toString()));
                    if (declaredField.getType() != Boolean.TYPE) {
                    }
                    valueOf = Boolean.valueOf(value.toString());
                    setProperty(obj, declaredField, valueOf);
                }
                valueOf = value;
                if (declaredField.getType() != Boolean.TYPE) {
                }
                valueOf = Boolean.valueOf(value.toString());
                setProperty(obj, declaredField, valueOf);
            } catch (Exception unused) {
            }
        }
    }

    public static Field getDeclaredField(Object object, String fieldName) {
        for (Class<?> cls = object.getClass(); cls != Object.class; cls = cls.getSuperclass()) {
            try {
                return cls.getDeclaredField(fieldName);
            } catch (Exception unused) {
            }
        }
        return null;
    }

    public static void setProperty(Object bean, Field field, Object value) throws IllegalAccessException, InvocationTargetException, NoSuchMethodException {
        if (bean == null || field == null) {
            return;
        }
        try {
            field.setAccessible(true);
            field.set(bean, value);
        } catch (Exception unused) {
        }
    }
}
