package io.dcloud.common.util;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Matrix;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
/* loaded from: classes10.dex */
public class CompressUtil {
    public static String compressImage(String str, String str2, boolean z, Context context) {
        Bitmap decodeByteArray;
        ByteArrayOutputStream byteArrayOutputStream;
        try {
            byte[] inputStream2ByteArr = inputStream2ByteArr(str, context);
            BitmapFactory.Options options = new BitmapFactory.Options();
            options.inJustDecodeBounds = true;
            BitmapFactory.decodeByteArray(inputStream2ByteArr, 0, inputStream2ByteArr.length, options);
            options.inJustDecodeBounds = false;
            options.inPreferredConfig = Bitmap.Config.RGB_565;
            Bitmap.CompressFormat compressFormat = z ? Bitmap.CompressFormat.PNG : Bitmap.CompressFormat.JPEG;
            int i = options.outWidth;
            if (i < 1080 && options.outHeight < 1080) {
                decodeByteArray = BitmapFactory.decodeByteArray(inputStream2ByteArr, 0, inputStream2ByteArr.length, options);
                byteArrayOutputStream = new ByteArrayOutputStream();
                decodeByteArray.compress(compressFormat, 75, byteArrayOutputStream);
            } else {
                int i2 = options.outHeight;
                if (i2 >= 1080 && i >= 1080) {
                    Matrix matrix = new Matrix();
                    int i3 = options.outWidth;
                    int i4 = options.outHeight;
                    float f = 1080.0f / (i3 > i4 ? i4 : i3);
                    matrix.setScale(f, f);
                    Bitmap decodeByteArray2 = BitmapFactory.decodeByteArray(inputStream2ByteArr, 0, inputStream2ByteArr.length, options);
                    decodeByteArray = Bitmap.createBitmap(decodeByteArray2, 0, 0, decodeByteArray2.getWidth(), decodeByteArray2.getHeight(), matrix, true);
                    byteArrayOutputStream = new ByteArrayOutputStream();
                    decodeByteArray.compress(compressFormat, 70, byteArrayOutputStream);
                } else {
                    float f2 = i / (i2 * 1.0f);
                    if (f2 <= 2.0f && f2 >= 0.5d) {
                        Matrix matrix2 = new Matrix();
                        int i5 = options.outWidth;
                        int i6 = options.outHeight;
                        float f3 = 1080.0f / (i5 > i6 ? i5 : i6);
                        matrix2.setScale(f3, f3);
                        Bitmap decodeByteArray3 = BitmapFactory.decodeByteArray(inputStream2ByteArr, 0, inputStream2ByteArr.length, options);
                        decodeByteArray = Bitmap.createBitmap(decodeByteArray3, 0, 0, decodeByteArray3.getWidth(), decodeByteArray3.getHeight(), matrix2, true);
                        byteArrayOutputStream = new ByteArrayOutputStream();
                        decodeByteArray.compress(compressFormat, 75, byteArrayOutputStream);
                    }
                    decodeByteArray = BitmapFactory.decodeByteArray(inputStream2ByteArr, 0, inputStream2ByteArr.length, options);
                    byteArrayOutputStream = new ByteArrayOutputStream();
                    decodeByteArray.compress(compressFormat, 73, byteArrayOutputStream);
                }
            }
            try {
                try {
                    File file = new File(str2);
                    File parentFile = file.getParentFile();
                    if (parentFile != null && !parentFile.exists() && !parentFile.mkdirs()) {
                        try {
                            byteArrayOutputStream.close();
                        } catch (Exception unused) {
                        }
                        return "";
                    } else if (!file.exists() && !file.createNewFile()) {
                        try {
                            byteArrayOutputStream.close();
                        } catch (Exception unused2) {
                        }
                        return "";
                    } else {
                        FileOutputStream fileOutputStream = new FileOutputStream(file);
                        fileOutputStream.write(byteArrayOutputStream.toByteArray());
                        fileOutputStream.close();
                        try {
                            ExifInterface exifInterface = new ExifInterface(new ByteArrayInputStream(inputStream2ByteArr));
                            ExifInterface exifInterface2 = new ExifInterface(file);
                            exifInterface2.setAttribute("Orientation", exifInterface.getAttribute("Orientation"));
                            exifInterface2.saveAttributes();
                        } catch (Exception unused3) {
                        }
                        try {
                            byteArrayOutputStream.close();
                        } catch (Exception unused4) {
                        }
                        decodeByteArray.recycle();
                        return str2;
                    }
                } catch (Exception unused5) {
                    return "";
                }
            } catch (Exception unused6) {
                byteArrayOutputStream.close();
                return "";
            }
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    private static byte[] inputStream2ByteArr(String str, Context context) throws IOException {
        InputStream imageFileStream;
        File file = new File(str);
        if (!file.exists()) {
            return null;
        }
        try {
            if (FileUtil.checkPrivatePath(context, str)) {
                imageFileStream = new FileInputStream(file);
            } else {
                imageFileStream = FileUtil.getImageFileStream(context, file);
            }
            if (imageFileStream == null) {
                imageFileStream = new FileInputStream(file);
            }
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            byte[] bArr = new byte[1024];
            while (true) {
                int read = imageFileStream.read(bArr);
                if (read != -1) {
                    byteArrayOutputStream.write(bArr, 0, read);
                } else {
                    imageFileStream.close();
                    byteArrayOutputStream.close();
                    return byteArrayOutputStream.toByteArray();
                }
            }
        } catch (Exception unused) {
            return null;
        }
    }
}
