package io.dcloud.common.util;

import android.content.ContentResolver;
import android.content.Context;
import android.content.SharedPreferences;
import android.database.Cursor;
import android.net.Uri;
import android.os.Build;
import android.os.Environment;
import android.provider.Settings;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import androidx.core.content.ContextCompat;
import com.taobao.weex.el.parse.Operators;
import io.dcloud.common.adapter.io.DHFile;
import io.dcloud.common.adapter.util.DeviceInfo;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.common.adapter.util.PlatformUtil;
import io.dcloud.common.adapter.util.SP;
import io.dcloud.f.a;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.UUID;
import org.json.JSONException;
import org.json.JSONObject;
/* loaded from: classes11.dex */
public class TelephonyUtil {
    private static String AIDKEY = "aid";
    private static String AId = "";
    private static String IMEI1_KEY = "II1";
    private static String IMEI2_KEY = "II2";
    private static String[] MultiIMEITemp = null;
    private static String MultiIMEI_KEY = "mmikey";
    private static final String OLD_UUID_FILE_NAME = ".imei.txt";
    public static final String TAG = "TelephonyUtil";
    private static final String UUID_FILE_NAME = ".DC4278477faeb9.txt";
    private static boolean isGetAId = false;
    private static boolean isGetMultiIMEI = false;
    private static String randomId = null;
    private static String sImei = "";
    private static String sOriginalImeiAndBakInfo;
    private static Boolean isGetRdId = Boolean.FALSE;
    private static String sIMSI = null;
    private static boolean isGetIMSI = false;
    private static String IMSI_KEY = "isi";
    private static String sMac = null;
    private static boolean isGetMac = false;
    private static String MAC_KEY = "mc";
    private static String mImei = "";

    private static boolean checkPseudoData(String str) {
        if (PdrUtil.isEmpty(str) || str.contains("000000")) {
            return true;
        }
        str.hashCode();
        char c = 65535;
        switch (str.hashCode()) {
            case -627373694:
                if (str.equals("020000000000")) {
                    c = 0;
                    break;
                }
                break;
            case -337781687:
                if (str.equals("9F89C84A559F573636A47FF8DAED0D33")) {
                    c = 1;
                    break;
                }
                break;
            case 1197925380:
                if (str.equals("E3F5536A141811DB40EFD6400F1D0A4E")) {
                    c = 2;
                    break;
                }
                break;
            case 1428967488:
                if (str.equals("00000000-0000-0000-0000-000000000000")) {
                    c = 3;
                    break;
                }
                break;
        }
        switch (c) {
            case 0:
            case 1:
            case 2:
            case 3:
                return true;
            default:
                return false;
        }
    }

    private static String createRandomBSFile(Context context, File file, File file2, String str) throws IOException {
        if (!file.getParentFile().exists()) {
            file.getParentFile().mkdirs();
            file.createNewFile();
        }
        String replaceAll = UUID.randomUUID().toString().replaceAll(Operators.SUB, "").replaceAll("\n", "");
        byte[] bytes = replaceAll.getBytes();
        try {
            FileOutputStream fileOutputStream = new FileOutputStream(file);
            fileOutputStream.write(bytes);
            fileOutputStream.flush();
            fileOutputStream.close();
            if (!FileUtil.needMediaStoreOpenFile(context) && file2 != null) {
                DHFile.copyFile(file.getPath(), file2.getPath());
            }
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        } catch (IOException e2) {
            e2.printStackTrace();
        }
        return replaceAll;
    }

    public static String getAId(Context context) {
        if (!isGetAId) {
            if (ContextCompat.checkSelfPermission(context, "android.permission.READ_PHONE_STATE") != 0) {
                return AId;
            }
            SharedPreferences orCreateBundle = SP.getOrCreateBundle(context, SP.N_DEVICE_INFO);
            if (orCreateBundle.contains(AIDKEY)) {
                String string = orCreateBundle.getString(AIDKEY, null);
                if (!PdrUtil.isEmpty(string)) {
                    AId = Base64.decodeString(string, true, 10);
                }
            } else {
                String string2 = Settings.Secure.getString(context.getContentResolver(), a.a("aWZsemdhbFdhbA=="));
                AId = string2;
                SP.setBundleData(orCreateBundle, AIDKEY, PdrUtil.isEmpty(string2) ? AId : Base64.encodeString(AId, true, 10));
            }
            isGetAId = true;
        }
        return AId;
    }

    private static String getAPSubId(Context context) {
        if (Build.VERSION.SDK_INT < 29) {
            if (!AppRuntime.hasPrivacyForNotShown(context)) {
                return "";
            }
            try {
                Object invokeMethod = ReflectUtils.invokeMethod(context.getSystemService("phone"), a.a("b218W31qe2t6YWptekFs"), new Class[0], new Object[0]);
                if (invokeMethod != null) {
                    return (String) invokeMethod;
                }
            } catch (Exception unused) {
            }
        }
        return null;
    }

    /* JADX WARN: Removed duplicated region for block: B:14:0x0034  */
    /* JADX WARN: Removed duplicated region for block: B:25:0x0057 A[RETURN] */
    /* JADX WARN: Removed duplicated region for block: B:26:0x0058  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static String getDCloudDeviceID(Context context) {
        String str;
        String bundleData = SP.getBundleData(context, BaseInfo.PDR, "android_device_dcloud_id");
        if (!checkPseudoData(bundleData)) {
            return bundleData;
        }
        if (Build.VERSION.SDK_INT > 28 && !PdrUtil.isEmpty(DeviceInfo.oaids)) {
            String[] split = DeviceInfo.oaids.split("\\|");
            if (split.length > 0) {
                str = split[0];
                if (checkPseudoData(str)) {
                    String[] strArr = MultiIMEITemp;
                    str = strArr != null ? TextUtils.join(",", strArr) : "";
                    if (checkPseudoData(str)) {
                        str = getRandomId(context);
                        if (checkPseudoData(str)) {
                            str = "";
                        }
                    }
                }
                if (PdrUtil.isEmpty(str)) {
                    String md5LowerCase32Bit = Md5Utils.md5LowerCase32Bit(str);
                    SP.setBundleData(context, BaseInfo.PDR, "android_device_dcloud_id", md5LowerCase32Bit);
                    return md5LowerCase32Bit;
                }
                return "";
            }
        }
        str = "";
        if (checkPseudoData(str)) {
        }
        if (PdrUtil.isEmpty(str)) {
        }
    }

    public static String getIMEI(Context context) {
        return getIMEI(context, true);
    }

    public static String getIMEIS(Context context) {
        try {
            String[] multiIMEI = getMultiIMEI(context);
            if (multiIMEI != null) {
                return TextUtils.join(",", multiIMEI);
            }
        } catch (Exception unused) {
        }
        return "";
    }

    public static String getIMSI(Context context) {
        if (context == null) {
            return "";
        }
        if (ContextCompat.checkSelfPermission(context, "android.permission.READ_PHONE_STATE") != 0) {
            return "";
        }
        boolean hasPrivacyForNotShown = AppRuntime.hasPrivacyForNotShown(context);
        if (!isGetIMSI && !hasPrivacyForNotShown) {
            String str = sIMSI;
            if (str != null) {
                return str;
            }
            SharedPreferences orCreateBundle = SP.getOrCreateBundle(context, SP.N_DEVICE_INFO);
            if (orCreateBundle.contains(IMSI_KEY)) {
                String string = orCreateBundle.getString(IMSI_KEY, null);
                if (!PdrUtil.isEmpty(string)) {
                    sIMSI = Base64.decodeString(string, true, 10);
                }
            } else {
                int subId = getSubId(0, context);
                int subId2 = getSubId(1, context);
                if (subId == -1 && subId2 == -1) {
                    sIMSI = getAPSubId(context);
                } else {
                    String str2 = (String) getPhoneInfo(subId, context);
                    String str3 = (String) getPhoneInfo(subId2, context);
                    if (!PdrUtil.isEmpty(str2)) {
                        sIMSI = str2;
                        if (!PdrUtil.isEmpty(str3) && !str2.equals(str3)) {
                            sIMSI += "," + str3;
                        }
                    } else if (!PdrUtil.isEmpty(str3)) {
                        sIMSI = str3;
                    } else {
                        sIMSI = getAPSubId(context);
                    }
                }
                SP.setBundleData(orCreateBundle, IMSI_KEY, PdrUtil.isEmpty(sIMSI) ? sIMSI : Base64.encodeString(sIMSI, true, 10));
            }
            isGetIMSI = true;
            return sIMSI;
        }
        return sIMSI;
    }

    /* JADX WARN: Removed duplicated region for block: B:41:0x00c4  */
    /* JADX WARN: Removed duplicated region for block: B:46:0x00da  */
    /* JADX WARN: Removed duplicated region for block: B:47:0x00e1  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static String[] getMultiIMEI(Context context) {
        String str;
        String str2;
        if (ContextCompat.checkSelfPermission(context, "android.permission.READ_PHONE_STATE") != 0) {
            return null;
        }
        if (AppRuntime.hasPrivacyForNotShown(context)) {
            return MultiIMEITemp;
        }
        if (isGetMultiIMEI) {
            return MultiIMEITemp;
        }
        SharedPreferences orCreateBundle = SP.getOrCreateBundle(context, SP.N_DEVICE_INFO);
        if (orCreateBundle.contains(MultiIMEI_KEY)) {
            String string = orCreateBundle.getString(MultiIMEI_KEY, null);
            if (PdrUtil.isEmpty(string)) {
                str = null;
                str2 = null;
            } else {
                try {
                    JSONObject jSONObject = new JSONObject(Base64.decodeString(string, true, 10));
                    str = jSONObject.optString(IMEI1_KEY);
                    try {
                        str2 = jSONObject.optString(IMEI2_KEY);
                    } catch (JSONException unused) {
                        str2 = null;
                        isGetMultiIMEI = true;
                        if (isUnValid(str)) {
                        }
                        if (!isUnValid(str)) {
                        }
                        isGetMultiIMEI = true;
                        return MultiIMEITemp;
                    }
                } catch (JSONException unused2) {
                    str = null;
                }
            }
            isGetMultiIMEI = true;
        } else {
            TelephonyManager telephonyManager = (TelephonyManager) context.getSystemService("phone");
            try {
                String str3 = (String) PlatformUtil.invokeMethod(telephonyManager.getClass().getName(), "getDeviceId", telephonyManager);
                String str4 = (String) PlatformUtil.invokeMethod(telephonyManager.getClass().getName(), "getDeviceId", telephonyManager, new Class[]{Integer.TYPE}, new Object[]{1});
                if (isUnValid(str3)) {
                    str3 = null;
                }
                try {
                    str2 = !isUnValid(str4) ? str4 : null;
                    try {
                        JSONObject jSONObject2 = new JSONObject();
                        jSONObject2.put(IMEI1_KEY, str3);
                        jSONObject2.put(IMEI2_KEY, str2);
                        SP.setBundleData(orCreateBundle, MultiIMEI_KEY, Base64.encodeString(jSONObject2.toString(), true, 10));
                    } catch (Exception unused3) {
                        str = str3;
                        if (isUnValid(str)) {
                        }
                        if (!isUnValid(str)) {
                        }
                        isGetMultiIMEI = true;
                        return MultiIMEITemp;
                    }
                } catch (Exception unused4) {
                    str2 = null;
                }
            } catch (Exception unused5) {
                str = null;
                str2 = null;
            }
        }
        if (isUnValid(str) && !isUnValid(str2)) {
            MultiIMEITemp = new String[]{str, str2};
        } else if (!isUnValid(str)) {
            MultiIMEITemp = new String[]{str};
        } else if (!isUnValid(str2)) {
            MultiIMEITemp = new String[]{str2};
        } else {
            MultiIMEITemp = null;
        }
        isGetMultiIMEI = true;
        return MultiIMEITemp;
    }

    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:8:0x003c -> B:9:0x003d). Please submit an issue!!! */
    private static Object getPhoneInfo(int i, Context context) {
        Object systemService;
        String a;
        int i2;
        try {
            systemService = context.getSystemService("phone");
            a = a.a("b218W31qe2t6YWptekFs");
            i2 = Build.VERSION.SDK_INT;
        } catch (Exception unused) {
        }
        if (i2 > 21) {
            return ReflectUtils.invokeMethod(systemService, a, new Class[]{Integer.TYPE}, new Object[]{Integer.valueOf(i)});
        }
        if (i2 == 21) {
            return ReflectUtils.invokeMethod(systemService, a, new Class[]{Long.TYPE}, new Object[]{Integer.valueOf(i)});
        }
        return null;
    }

    /* JADX WARN: Removed duplicated region for block: B:39:0x00e8 A[Catch: Exception -> 0x010e, all -> 0x011f, TryCatch #0 {Exception -> 0x010e, blocks: (B:31:0x00c4, B:37:0x00e2, B:39:0x00e8, B:41:0x00f2, B:42:0x00fc, B:34:0x00cb, B:36:0x00da), top: B:56:0x00c4 }] */
    /* JADX WARN: Removed duplicated region for block: B:45:0x0114 A[Catch: all -> 0x011f, Exception -> 0x0121, TryCatch #1 {Exception -> 0x0121, blocks: (B:7:0x000e, B:10:0x0037, B:12:0x0054, B:15:0x0060, B:17:0x0068, B:19:0x0089, B:21:0x00a7, B:23:0x00ad, B:25:0x00b2, B:27:0x00b8, B:43:0x010e, B:45:0x0114, B:46:0x0119), top: B:58:0x000e, outer: #2 }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static String getRandomId(Context context) {
        boolean needMediaStoreOpenFile;
        String sb;
        File file;
        String str;
        File file2;
        String savePublicFile;
        if (isGetRdId.booleanValue()) {
            return randomId;
        }
        String str2 = null;
        try {
            needMediaStoreOpenFile = FileUtil.needMediaStoreOpenFile(context);
            StringBuilder sb2 = new StringBuilder();
            sb2.append(context.getFilesDir());
            String str3 = File.separator;
            sb2.append(str3);
            sb2.append(OLD_UUID_FILE_NAME);
            sb = sb2.toString();
            file = new File(sb);
            if (!file.exists()) {
                sb = context.getFilesDir() + str3 + UUID_FILE_NAME;
                file = new File(sb);
            }
            if ("mounted".equalsIgnoreCase(Environment.getExternalStorageState()) && !needMediaStoreOpenFile && ContextCompat.checkSelfPermission(context, "android.permission.WRITE_EXTERNAL_STORAGE") == 0) {
                str = Environment.getExternalStorageDirectory() + str3 + OLD_UUID_FILE_NAME;
                file2 = new File(str);
                if (!file2.exists()) {
                    str = Environment.getExternalStorageDirectory() + str3 + UUID_FILE_NAME;
                    file2 = new File(str);
                }
            } else {
                str = null;
                file2 = null;
            }
            if (file.isDirectory()) {
                file.delete();
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (file2 != null && file2.exists() && file2.length() > 0) {
            if (needMediaStoreOpenFile) {
                if (Build.VERSION.SDK_INT >= 29) {
                    if (!TextUtils.isEmpty(str2)) {
                        if (!file.getParentFile().exists()) {
                            file.getParentFile().mkdirs();
                            file.createNewFile();
                        }
                        FileOutputStream fileOutputStream = new FileOutputStream(file);
                        fileOutputStream.write(str2.getBytes());
                        fileOutputStream.flush();
                        fileOutputStream.close();
                    }
                    if (TextUtils.isEmpty(str2)) {
                        savePublicFile = savePublicFile(file, file2, sb, str, context);
                    }
                    randomId = str2;
                    isGetRdId = Boolean.TRUE;
                    return str2;
                }
            }
            str2 = IOUtil.toString(new FileInputStream(file2));
            if (!PdrUtil.isEmpty(str2)) {
                str2 = str2.replace("\n", "");
            }
            if (!TextUtils.isEmpty(str2)) {
            }
            if (TextUtils.isEmpty(str2)) {
            }
            randomId = str2;
            isGetRdId = Boolean.TRUE;
            return str2;
        }
        savePublicFile = savePublicFile(file, file2, sb, str, context);
        str2 = savePublicFile;
        randomId = str2;
        isGetRdId = Boolean.TRUE;
        return str2;
    }

    public static String getSBBS(Context context, boolean z, boolean z2) {
        return getSBBS(context, z, z2, true);
    }

    public static String getSimOperator(Context context) {
        if (!AppRuntime.hasPrivacyForNotShown(context)) {
            TelephonyManager telephonyManager = (TelephonyManager) context.getSystemService("phone");
            if (telephonyManager.getSimState() == 5) {
                return telephonyManager.getSimOperator();
            }
        }
        return "";
    }

    private static int getSubId(int i, Context context) {
        Uri parse = Uri.parse("content://telephony/siminfo");
        ContentResolver contentResolver = context.getContentResolver();
        Cursor cursor = null;
        try {
            cursor = contentResolver.query(parse, new String[]{"_id", "sim_id"}, "sim_id = ?", new String[]{String.valueOf(i)}, null);
        } catch (Exception unused) {
            if (cursor == null) {
                return -1;
            }
        } catch (Throwable th) {
            if (cursor != null) {
                cursor.close();
            }
            throw th;
        }
        if (cursor != null && cursor.moveToFirst()) {
            int i2 = cursor.getInt(cursor.getColumnIndex("_id"));
            cursor.close();
            return i2;
        }
        if (cursor == null) {
            return -1;
        }
        cursor.close();
        return -1;
    }

    @Deprecated
    public static String getWifiData(Context context) {
        Object invokeMethod;
        String str = null;
        if (AppRuntime.hasPrivacyForNotShown(context)) {
            return null;
        }
        if (isGetMac) {
            return sMac;
        }
        SharedPreferences orCreateBundle = SP.getOrCreateBundle(context, SP.N_DEVICE_INFO);
        if (orCreateBundle.contains(MAC_KEY)) {
            String string = orCreateBundle.getString(MAC_KEY, null);
            if (!PdrUtil.isEmpty(string)) {
                sMac = Base64.decodeString(string, true, 10);
            }
        } else {
            Object systemService = context.getSystemService(a.a("f2FuYQ=="));
            if (systemService != null && (invokeMethod = ReflectUtils.invokeMethod(systemService, a.a("b218S2dmZm1rfGFnZkFmbmc"), new Class[0], new Object[0])) != null) {
                Object invokeMethod2 = ReflectUtils.invokeMethod(invokeMethod, a.a("b218RWlrSWxsem17ew"), new Class[0], new Object[0]);
                String str2 = invokeMethod2 != null ? (String) invokeMethod2 : null;
                if (!TextUtils.isEmpty(str2)) {
                    str = str2.replace(":", "");
                }
            }
            sMac = str;
            SP.setBundleData(orCreateBundle, MAC_KEY, PdrUtil.isEmpty(str) ? sMac : Base64.encodeString(sMac, true, 10));
        }
        isGetMac = true;
        return sMac;
    }

    private static boolean isUnValid(String str) {
        return TextUtils.isEmpty(str) || str.contains("Unknown") || str.contains("00000000");
    }

    private static String savePublicFile(File file, File file2, String str, String str2, Context context) throws IOException {
        String str3;
        if (file.exists() && file.length() > 0) {
            try {
                str3 = IOUtil.toString(new FileInputStream(file));
            } catch (Exception unused) {
                str3 = null;
            }
            try {
                if (!PdrUtil.isEmpty(str3)) {
                    str3 = str3.replaceAll("\n", "");
                }
                if (file2 != null && !FileUtil.needMediaStoreOpenFile(context)) {
                    if (!file2.getParentFile().exists()) {
                        file2.getParentFile().mkdirs();
                        file2.createNewFile();
                    }
                    DHFile.copyFile(str, str2);
                    return str3;
                }
                return str3;
            } catch (Exception unused2) {
                return str3 == null ? createRandomBSFile(context, file, file2, UUID_FILE_NAME) : str3;
            }
        }
        return createRandomBSFile(context, file, file2, UUID_FILE_NAME);
    }

    public static String updateIMEI(Context context) {
        if (!PdrUtil.isEmpty(mImei)) {
            return mImei;
        }
        String[] multiIMEI = getMultiIMEI(context);
        if (multiIMEI != null) {
            StringBuilder sb = new StringBuilder();
            for (String str : multiIMEI) {
                sb.append(str);
                sb.append(",");
            }
            if (sb.lastIndexOf(",") >= sb.length() - 1) {
                String sb2 = sb.deleteCharAt(sb.length() - 1).toString();
                mImei = sb2;
                return sb2;
            }
            String sb3 = sb.toString();
            mImei = sb3;
            return sb3;
        }
        mImei = "";
        return "";
    }

    public static String getIMEI(Context context, boolean z) {
        return getIMEI(context, z, false);
    }

    /* JADX WARN: Code restructure failed: missing block: B:107:0x0128, code lost:
        if (android.text.TextUtils.isEmpty(r4) != false) goto L47;
     */
    /* JADX WARN: Code restructure failed: missing block: B:109:0x012b, code lost:
        r2 = r4.replace("\n", "");
     */
    /* JADX WARN: Code restructure failed: missing block: B:110:0x012f, code lost:
        r0.append(r2);
        r0.append("|");
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x0071, code lost:
        if (r9 != false) goto L109;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x0097, code lost:
        if (r9 == false) goto L26;
     */
    /* JADX WARN: Code restructure failed: missing block: B:49:0x0099, code lost:
        r0.append(r4);
        r0.append("|");
     */
    /* JADX WARN: Code restructure failed: missing block: B:68:0x00cf, code lost:
        if (android.text.TextUtils.isEmpty(r11) != false) goto L72;
     */
    /* JADX WARN: Code restructure failed: missing block: B:77:0x00df, code lost:
        if (android.text.TextUtils.isEmpty(r11) != false) goto L72;
     */
    /* JADX WARN: Code restructure failed: missing block: B:78:0x00e1, code lost:
        r11 = "";
     */
    /* JADX WARN: Code restructure failed: missing block: B:79:0x00e2, code lost:
        r0.append(r11);
        r0.append("|");
     */
    /* JADX WARN: Code restructure failed: missing block: B:99:0x0119, code lost:
        if (android.text.TextUtils.isEmpty(r4) != false) goto L47;
     */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:112:0x0137  */
    /* JADX WARN: Removed duplicated region for block: B:114:0x013e  */
    /* JADX WARN: Removed duplicated region for block: B:96:0x0111 A[Catch: all -> 0x011c, Exception -> 0x011e, TRY_LEAVE, TryCatch #0 {Exception -> 0x011e, blocks: (B:94:0x010b, B:96:0x0111), top: B:123:0x010b, outer: #8 }] */
    /* JADX WARN: Removed duplicated region for block: B:98:0x0115  */
    /* JADX WARN: Type inference failed for: r11v1 */
    /* JADX WARN: Type inference failed for: r11v10 */
    /* JADX WARN: Type inference failed for: r11v9 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static String getSBBS(Context context, boolean z, boolean z2, boolean z3) {
        String str;
        String str2;
        String str3;
        boolean isUnValid;
        StringBuffer stringBuffer = new StringBuffer();
        if (z) {
            stringBuffer.append("|");
        }
        str = "";
        if (context == null) {
            return z ? "|||||" : "";
        }
        ?? r11 = z3;
        if (AppRuntime.hasPrivacyForNotShown(context)) {
            r11 = 0;
        }
        if (z && !TextUtils.isEmpty(sOriginalImeiAndBakInfo)) {
            return sOriginalImeiAndBakInfo;
        }
        if (!isUnValid(sImei) && !z) {
            return sImei;
        }
        if (isUnValid(sImei) || z) {
            try {
                if (r11 != 0) {
                    try {
                        String[] multiIMEI = getMultiIMEI(context);
                        if (multiIMEI == null || multiIMEI.length <= 0) {
                            str2 = "";
                        } else {
                            str2 = multiIMEI[0];
                            try {
                                if (multiIMEI.length > 1) {
                                    str2 = str2 + "," + multiIMEI[1];
                                }
                            } catch (Exception e) {
                                e = e;
                                Logger.e(TAG, "getsbbs exception==" + e.getMessage());
                            }
                        }
                        sImei = str2;
                    } catch (Exception e2) {
                        e = e2;
                        str2 = "";
                    } catch (Throwable th) {
                        th = th;
                        if (z) {
                            stringBuffer.append(str);
                            stringBuffer.append("|");
                        }
                        throw th;
                    }
                } else if (z) {
                    stringBuffer.append("|");
                }
            } catch (Throwable th2) {
                th = th2;
                str = null;
            }
        }
        if (z) {
            stringBuffer.append("|");
        }
        boolean isUnValid2 = isUnValid(sImei);
        String str4 = null;
        if (z) {
            try {
                if (r11 != 0) {
                    try {
                        str3 = getAId(context);
                        if (isUnValid2) {
                            try {
                                sImei = str3;
                            } catch (Exception e3) {
                                e = e3;
                                e.printStackTrace();
                                if (z) {
                                }
                                isUnValid = isUnValid(sImei);
                                if (!isUnValid) {
                                }
                                try {
                                    try {
                                        str4 = getRandomId(context);
                                        if (isUnValid) {
                                        }
                                        if (z) {
                                        }
                                    } catch (Exception e4) {
                                        e4.printStackTrace();
                                        if (z) {
                                        }
                                    }
                                    if (!z) {
                                    }
                                } catch (Throwable th3) {
                                    if (z) {
                                        stringBuffer.append(TextUtils.isEmpty(str4) ? "" : str4.replace("\n", ""));
                                        stringBuffer.append("|");
                                    }
                                    throw th3;
                                }
                            }
                        }
                        if (z) {
                        }
                    } catch (Exception e5) {
                        e = e5;
                        str3 = null;
                    } catch (Throwable th4) {
                        th = th4;
                        if (z) {
                            stringBuffer.append(TextUtils.isEmpty(str4) ? "" : str4);
                            stringBuffer.append("|");
                        }
                        throw th;
                    }
                } else if (z) {
                    stringBuffer.append("|");
                }
            } catch (Throwable th5) {
                th = th5;
                str4 = r11;
            }
        }
        isUnValid = isUnValid(sImei);
        if (!isUnValid || z) {
            str4 = getRandomId(context);
            if (isUnValid) {
                sImei = str4;
            }
            if (z) {
            }
        }
        if (!z) {
            String stringBuffer2 = stringBuffer.toString();
            sOriginalImeiAndBakInfo = stringBuffer2;
            return stringBuffer2;
        }
        return sImei;
    }

    public static String getIMEI(Context context, boolean z, boolean z2) {
        return getSBBS(context, z, z2);
    }
}
