package io.dcloud.feature.contacts;

import android.content.Context;
import android.os.Build;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.util.PermissionUtil;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.util.Deprecated_JSUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.common.util.PdrUtil;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
/* loaded from: classes11.dex */
public class JsContactsMgr {
    private static final String INVALID_ARGUMENT_ERROR = "1";
    private static final String IO_ERROR = "4";
    private static final String NOT_SUPPORTED_ERROR = "5";
    private static final String PENDING_OPERATION_ERROR = "3";
    private static final String PERMISSION_DENIED_ERROR = "20";
    private static final String TIMEOUT_ERROR = "2";
    private static final String UNKNOWN_ERROR = "0";
    private ContactAccessor mContactAccessor;

    /* JADX INFO: Access modifiers changed from: package-private */
    public void dispose(String pAppid) {
    }

    public JsContactsMgr(Context pContext) {
        this.mContactAccessor = new ContactAccessorImpl(pContext);
    }

    /* JADX WARN: Removed duplicated region for block: B:30:0x0085 A[Catch: JSONException -> 0x0075, TryCatch #0 {JSONException -> 0x0075, blocks: (B:28:0x007d, B:30:0x0085, B:32:0x008e, B:26:0x0079), top: B:42:0x0079 }] */
    /* JADX WARN: Removed duplicated region for block: B:31:0x008d  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public String execute(final IWebview pWebViewImpl, String pActionName, final String[] pJsArgs) {
        JSONArray jSONArray;
        JSONArray jSONArray2;
        if (Build.VERSION.RELEASE.startsWith("1.")) {
            Deprecated_JSUtil.execCallback(pWebViewImpl, pJsArgs[0], NOT_SUPPORTED_ERROR, JSUtil.ERROR, false, false);
        }
        this.mContactAccessor.mApp = pWebViewImpl.getActivity();
        this.mContactAccessor.mView = pWebViewImpl;
        if (pActionName.equals("getAddressBook")) {
            PermissionUtil.usePermission(pWebViewImpl.getActivity(), "contacts", "android.permission.READ_CONTACTS", 2, new PermissionUtil.Request() { // from class: io.dcloud.feature.contacts.JsContactsMgr.1
                @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
                public void onGranted(String streamPerName) {
                    Deprecated_JSUtil.execCallback(pWebViewImpl, pJsArgs[0], "", JSUtil.OK, false, false);
                }

                @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
                public void onDenied(String streamPerName) {
                    Deprecated_JSUtil.execCallback(pWebViewImpl, pJsArgs[0], JsContactsMgr.PERMISSION_DENIED_ERROR, JSUtil.ERROR, false, false);
                }
            });
        } else if (pActionName.equals("search")) {
            try {
            } catch (Exception e) {
                e = e;
                jSONArray = null;
            }
            if (PdrUtil.isEmpty(pJsArgs[1])) {
                jSONArray2 = new JSONArray();
                Deprecated_JSUtil.execCallback(pWebViewImpl, pJsArgs[0], this.mContactAccessor.search(jSONArray2, !PdrUtil.isEmpty(pJsArgs[2]) ? new JSONObject(pJsArgs[2]) : null).toString(), JSUtil.OK, true, false);
            } else {
                if (pJsArgs[1].indexOf(91) >= 0) {
                    jSONArray = new JSONArray(pJsArgs[1]);
                } else {
                    jSONArray = new JSONArray();
                    try {
                        jSONArray.put(0, pJsArgs[1]);
                    } catch (Exception e2) {
                        e = e2;
                        try {
                            e.printStackTrace();
                            jSONArray2 = jSONArray;
                            Deprecated_JSUtil.execCallback(pWebViewImpl, pJsArgs[0], this.mContactAccessor.search(jSONArray2, !PdrUtil.isEmpty(pJsArgs[2]) ? new JSONObject(pJsArgs[2]) : null).toString(), JSUtil.OK, true, false);
                        } catch (JSONException e3) {
                            e3.printStackTrace();
                            Deprecated_JSUtil.execCallback(pWebViewImpl, pJsArgs[0], INVALID_ARGUMENT_ERROR, JSUtil.ERROR, false, false);
                        }
                        return null;
                    }
                }
                jSONArray2 = jSONArray;
                Deprecated_JSUtil.execCallback(pWebViewImpl, pJsArgs[0], this.mContactAccessor.search(jSONArray2, !PdrUtil.isEmpty(pJsArgs[2]) ? new JSONObject(pJsArgs[2]) : null).toString(), JSUtil.OK, true, false);
            }
        } else if (pActionName.equals("save")) {
            PermissionUtil.usePermission(pWebViewImpl.getActivity(), "contacts", "android.permission.WRITE_CONTACTS", 2, new PermissionUtil.Request() { // from class: io.dcloud.feature.contacts.JsContactsMgr.2
                @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
                public void onGranted(String streamPerName) {
                    try {
                        JSONObject jSONObject = new JSONObject(pJsArgs[1]);
                        if (JsContactsMgr.this.mContactAccessor.save(jSONObject)) {
                            Deprecated_JSUtil.execCallback(pWebViewImpl, pJsArgs[0], jSONObject.toString(), JSUtil.OK, true, false);
                        } else {
                            Deprecated_JSUtil.execCallback(pWebViewImpl, pJsArgs[0], JsContactsMgr.INVALID_ARGUMENT_ERROR, JSUtil.ERROR, false, false);
                        }
                    } catch (JSONException e4) {
                        e4.printStackTrace();
                        Deprecated_JSUtil.execCallback(pWebViewImpl, pJsArgs[0], JsContactsMgr.INVALID_ARGUMENT_ERROR, JSUtil.ERROR, false, false);
                    }
                }

                @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
                public void onDenied(String streamPerName) {
                    Deprecated_JSUtil.execCallback(pWebViewImpl, pJsArgs[0], JsContactsMgr.PERMISSION_DENIED_ERROR, JSUtil.ERROR, false, false);
                }
            });
        } else if (pActionName.equals(AbsoluteConst.XML_REMOVE)) {
            PermissionUtil.usePermission(pWebViewImpl.getActivity(), "contacts", "android.permission.WRITE_CONTACTS", 2, new PermissionUtil.Request() { // from class: io.dcloud.feature.contacts.JsContactsMgr.3
                @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
                public void onGranted(String streamPerName) {
                    if (JsContactsMgr.this.mContactAccessor.remove(pJsArgs[1])) {
                        Deprecated_JSUtil.execCallback(pWebViewImpl, pJsArgs[0], "", JSUtil.OK, false, false);
                    } else {
                        Deprecated_JSUtil.execCallback(pWebViewImpl, pJsArgs[0], "0", JSUtil.ERROR, false, false);
                    }
                }

                @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
                public void onDenied(String streamPerName) {
                    Deprecated_JSUtil.execCallback(pWebViewImpl, pJsArgs[0], JsContactsMgr.PERMISSION_DENIED_ERROR, JSUtil.ERROR, false, false);
                }
            });
        }
        return null;
    }
}
