package io.dcloud.feature.nativeObj.richtext;

import android.graphics.Rect;
import android.graphics.Typeface;
import android.text.Layout;
import android.text.Spannable;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.method.LinkMovementMethod;
import android.view.MotionEvent;
import android.widget.TextView;
import com.facebook.common.callercontext.ContextChain;
import com.taobao.weex.el.parse.Operators;
import com.taobao.weex.ui.component.WXBasicComponentType;
import io.dcloud.common.DHInterface.ICallBack;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.util.BaseInfo;
import io.dcloud.common.util.Deprecated_JSUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.feature.nativeObj.NativeTypefaceFactory;
import io.dcloud.feature.nativeObj.richtext.dom.DomElement;
import io.dcloud.feature.nativeObj.richtext.dom.HrDomElement;
import io.dcloud.feature.nativeObj.richtext.dom.ImgDomElement;
import io.dcloud.feature.nativeObj.richtext.dom.TextDomElement;
import io.dcloud.feature.nativeObj.richtext.span.AHrefSpan;
import io.dcloud.feature.nativeObj.richtext.span.ClickSpanAble;
import io.dcloud.feature.nativeObj.richtext.span.ImgSpan;
import io.dcloud.feature.uniapp.adapter.AbsURIAdapter;
import java.io.File;
import java.io.IOException;
import java.io.StringReader;
import org.json.JSONObject;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
import org.xmlpull.v1.XmlPullParserFactory;
/* loaded from: classes12.dex */
public class RichTextParser {

    /* loaded from: classes12.dex */
    public static class LinkMovementMethodExt extends LinkMovementMethod {
        ClickSpanAble[] downLinks = null;
        long downTime = 0;
        float downX;
        float downY;
        IAssets mAssets;
        ICallBack mObserver;
        IWebview mWebview;

        LinkMovementMethodExt(IWebview iWebview, ICallBack iCallBack, IAssets iAssets) {
            this.mWebview = null;
            this.mObserver = null;
            this.mAssets = null;
            this.mWebview = iWebview;
            this.mObserver = iCallBack;
            this.mAssets = iAssets;
        }

        @Override // android.text.method.LinkMovementMethod, android.text.method.ScrollingMovementMethod, android.text.method.BaseMovementMethod, android.text.method.MovementMethod
        public boolean onTouchEvent(TextView textView, Spannable spannable, MotionEvent motionEvent) {
            ImgSpan[] imgSpanArr;
            boolean z;
            ImgSpan[] imgSpanArr2;
            String str;
            String str2;
            ImgSpan imgSpan;
            String str3;
            int action = motionEvent.getAction();
            int x = ((int) motionEvent.getX()) - textView.getTotalPaddingLeft();
            int y = ((int) motionEvent.getY()) - textView.getTotalPaddingTop();
            int scrollX = x + textView.getScrollX();
            int scrollY = y + textView.getScrollY();
            Layout layout = textView.getLayout();
            int lineForVertical = layout.getLineForVertical(scrollY);
            int offsetForHorizontal = layout.getOffsetForHorizontal(lineForVertical, scrollX);
            Rect rect = new Rect((int) layout.getLineLeft(lineForVertical), layout.getLineTop(lineForVertical), (int) layout.getLineRight(lineForVertical), layout.getLineBottom(lineForVertical));
            textView.setTag(AbsoluteConst.FALSE);
            boolean z2 = true;
            if (rect.contains(scrollX, scrollY)) {
                ClickSpanAble[] clickSpanAbleArr = (ClickSpanAble[]) spannable.getSpans(offsetForHorizontal, offsetForHorizontal, ClickSpanAble.class);
                if (clickSpanAbleArr != null && clickSpanAbleArr.length != 0) {
                    if (action == 1) {
                        ClickSpanAble[] clickSpanAbleArr2 = this.downLinks;
                        if (clickSpanAbleArr2 != null && clickSpanAbleArr2.length >= clickSpanAbleArr.length && !this.mAssets.isClick()) {
                            for (int i = 0; i < clickSpanAbleArr.length; i++) {
                                ClickSpanAble clickSpanAble = clickSpanAbleArr[i];
                                if (clickSpanAble == this.downLinks[i]) {
                                    spannable.getSpanFlags(clickSpanAble);
                                    int spanStart = spannable.getSpanStart(clickSpanAble);
                                    int spanEnd = spannable.getSpanEnd(clickSpanAble);
                                    int i2 = (spanStart == 0 || spanEnd == spannable.length() || clickSpanAbleArr.length == 1) ? 18 : 18;
                                    if ((i2 == 17 && offsetForHorizontal >= spanStart && offsetForHorizontal < spanEnd) || ((i2 == 18 && offsetForHorizontal >= spanStart && offsetForHorizontal <= spanEnd) || ((i2 == 33 && offsetForHorizontal > spanStart && offsetForHorizontal < spanEnd) || (i2 == 34 && offsetForHorizontal > spanStart && offsetForHorizontal <= spanEnd)))) {
                                        clickSpanAble.onClick(textView, this.mWebview);
                                        ICallBack iCallBack = this.mObserver;
                                        if (iCallBack != null) {
                                            iCallBack.onCallBack(0, clickSpanAble);
                                        }
                                    }
                                }
                            }
                        }
                        this.downLinks = null;
                    } else if (action == 0) {
                        this.downLinks = clickSpanAbleArr;
                        this.downX = motionEvent.getX();
                        this.downY = motionEvent.getY();
                    } else if (action == 2 && (Math.abs(motionEvent.getX() - this.downX) > 20.0f || Math.abs(motionEvent.getY() - this.downY) > 20.0f)) {
                        this.downLinks = null;
                    }
                    for (ClickSpanAble clickSpanAble2 : clickSpanAbleArr) {
                        if (clickSpanAble2.hasClickEvent()) {
                            textView.setTag(AbsoluteConst.TRUE);
                            imgSpanArr2 = clickSpanAbleArr;
                            z = true;
                            break;
                        }
                    }
                }
                imgSpanArr = clickSpanAbleArr;
            } else {
                imgSpanArr = null;
            }
            z = false;
            imgSpanArr2 = imgSpanArr;
            if (this.mAssets.isClick()) {
                textView.setTag(AbsoluteConst.TRUE);
                if (action != 0) {
                    if ((action == 1 || action == 3) && System.currentTimeMillis() - this.downTime < 800) {
                        String str4 = "";
                        if (imgSpanArr2 == null || imgSpanArr2.length <= 0 || (imgSpan = imgSpanArr2[0]) == null) {
                            str = "";
                            str2 = str;
                        } else {
                            str2 = imgSpan.getHref();
                            if (imgSpan instanceof ImgSpan) {
                                str4 = imgSpan.getSrc();
                                str3 = WXBasicComponentType.IMG;
                            } else if (imgSpan instanceof AHrefSpan) {
                                str3 = "a";
                            } else {
                                str = "";
                            }
                            String str5 = str3;
                            str = str4;
                            str4 = str5;
                        }
                        String str6 = "{\"tagName\":\"" + str4 + "\",\"href\":\"" + str2 + "\",\"src\":\"" + str + "\"}";
                        Deprecated_JSUtil.execCallback(this.mWebview, this.mAssets.getOnClickCallBackId(), str6, JSUtil.OK, true, true);
                        if (this.mWebview.getOpener() != null) {
                            Deprecated_JSUtil.execCallback(this.mWebview.getOpener(), this.mAssets.getOnClickCallBackId(), str6, JSUtil.OK, true, true);
                        }
                    }
                } else {
                    this.downTime = System.currentTimeMillis();
                }
            } else {
                z2 = z;
            }
            return z2 ? z2 : super.onTouchEvent(textView, spannable, motionEvent);
        }
    }

    private static void handleEndTag(IAssets iAssets, TextView textView, SpannableStringBuilder spannableStringBuilder, DomElement domElement) {
        domElement.makeSpan(iAssets, textView, spannableStringBuilder);
    }

    private static DomElement handleStartTag(XmlPullParser xmlPullParser) {
        DomElement textDomElement;
        String name = xmlPullParser.getName();
        if (name.equalsIgnoreCase("script") || name.equalsIgnoreCase(AbsURIAdapter.LINK) || name.equalsIgnoreCase("iframe") || name.equalsIgnoreCase("style") || name.equalsIgnoreCase("meta")) {
            return null;
        }
        if (WXBasicComponentType.IMG.equalsIgnoreCase(name)) {
            textDomElement = new ImgDomElement();
        } else if ("hr".equalsIgnoreCase(name)) {
            textDomElement = new HrDomElement();
        } else if ("br".equalsIgnoreCase(name)) {
            textDomElement = new DomElement();
        } else if (!"a".equalsIgnoreCase(name) && !AbsURIAdapter.FONT.equalsIgnoreCase(name) && !ContextChain.TAG_PRODUCT.equalsIgnoreCase(name)) {
            textDomElement = new TextDomElement();
        } else {
            textDomElement = new TextDomElement();
        }
        textDomElement.parseDomElement(xmlPullParser);
        return textDomElement;
    }

    static SpannableStringBuilder makeSpannableStringBuilder(IAssets iAssets, TextView textView, String str) {
        SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder();
        try {
            XmlPullParserFactory newInstance = XmlPullParserFactory.newInstance();
            newInstance.setNamespaceAware(true);
            XmlPullParser newPullParser = newInstance.newPullParser();
            newPullParser.setInput(new StringReader(str));
            int eventType = newPullParser.getEventType();
            DomElement domElement = null;
            DomElement domElement2 = null;
            while (eventType != 1) {
                if (eventType == 0) {
                    try {
                        System.out.print("Start document");
                    } catch (IOException e) {
                        e.printStackTrace();
                    } catch (XmlPullParserException e2) {
                        e2.printStackTrace();
                    }
                } else if (eventType == 2) {
                    System.out.println("start-tag=<" + newPullParser.getName() + Operators.G);
                    domElement = handleStartTag(newPullParser);
                    if (domElement != null) {
                        domElement.parentDomElement = domElement2;
                        domElement2 = domElement;
                    }
                } else if (eventType == 3) {
                    System.out.println("end-tag=</" + newPullParser.getName() + Operators.G);
                    if (domElement != null) {
                        if (!(domElement instanceof TextDomElement) || ((domElement instanceof TextDomElement) && TextUtils.isEmpty(((TextDomElement) domElement).text))) {
                            handleEndTag(iAssets, textView, spannableStringBuilder, domElement);
                        }
                        domElement = domElement.parentDomElement;
                        domElement2 = domElement;
                    }
                } else if (eventType == 4) {
                    System.out.println("[Text:" + newPullParser.getText() + Operators.ARRAY_END_STR);
                    if (domElement != null && (domElement instanceof TextDomElement)) {
                        ((TextDomElement) domElement).text = newPullParser.getText();
                        if (!TextUtils.isEmpty(((TextDomElement) domElement).text)) {
                            handleEndTag(iAssets, textView, spannableStringBuilder, domElement);
                        }
                    }
                }
                eventType = newPullParser.next();
            }
        } catch (XmlPullParserException e3) {
            e3.printStackTrace();
        }
        return spannableStringBuilder;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static void updateFromHTML(IAssets iAssets, IWebview iWebview, TextView textView, String str, JSONObject jSONObject) {
        updateFromHTML(iAssets, iWebview, textView, str, jSONObject, null);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static void updateFromHTML(IAssets iAssets, IWebview iWebview, TextView textView, String str, JSONObject jSONObject, ICallBack iCallBack) {
        String convert2AbsFullPath;
        Typeface create;
        if (jSONObject != null) {
            if (jSONObject.has("family") && (create = Typeface.create(jSONObject.optString("family"), 0)) != null) {
                textView.setTypeface(create);
            }
            if (jSONObject.has("__onClickCallBackId__") && !PdrUtil.isEmpty(jSONObject.optString("__onClickCallBackId__"))) {
                iAssets.setClick(true);
                iAssets.setOnClickCallBackId(jSONObject.optString("__onClickCallBackId__"));
            }
            if (jSONObject.has("fontSrc")) {
                String optString = jSONObject.optString("fontSrc", "");
                if (optString.contains("__wap2app.ttf")) {
                    convert2AbsFullPath = BaseInfo.sBaseWap2AppTemplatePath + "wap2app__template/__wap2app.ttf";
                    if (!new File(convert2AbsFullPath).exists()) {
                        convert2AbsFullPath = iWebview.obtainApp().convert2AbsFullPath(iWebview.obtainFullUrl(), optString);
                    }
                } else {
                    convert2AbsFullPath = iWebview.obtainApp().convert2AbsFullPath(iWebview.obtainFullUrl(), optString);
                }
                Typeface typeface = NativeTypefaceFactory.getTypeface(iWebview.obtainApp(), convert2AbsFullPath);
                if (typeface != null) {
                    textView.setTypeface(typeface);
                }
            }
            if (jSONObject.has(AbsoluteConst.JSON_KEY_ALIGN)) {
                String optString2 = jSONObject.optString(AbsoluteConst.JSON_KEY_ALIGN, "");
                if ("center".equalsIgnoreCase(optString2)) {
                    textView.setGravity(1);
                } else if ("right".equalsIgnoreCase(optString2)) {
                    textView.setGravity(5);
                } else {
                    textView.setGravity(3);
                }
            }
        }
        textView.setText(makeSpannableStringBuilder(iAssets, textView, str.replaceAll("&nbsp", Operators.SPACE_STR)));
        textView.setMovementMethod(new LinkMovementMethodExt(iWebview, iCallBack, iAssets));
    }
}
