package io.dcloud.feature.uniapp;

import com.taobao.weex.WXEnvironment;
import com.taobao.weex.WXSDKEngine;
import com.taobao.weex.bridge.WXModuleManager;
import com.taobao.weex.common.Destroyable;
import com.taobao.weex.common.WXException;
import com.taobao.weex.ui.ExternalLoaderComponentHolder;
import com.taobao.weex.ui.SimpleComponentHolder;
import com.taobao.weex.ui.WXComponentRegistry;
import io.dcloud.feature.uniapp.bridge.UniModuleFactory;
import io.dcloud.feature.uniapp.common.TypeUniModuleFactory;
import io.dcloud.feature.uniapp.common.UniDestroyableModule;
import io.dcloud.feature.uniapp.common.UniException;
import io.dcloud.feature.uniapp.common.UniModule;
import io.dcloud.feature.uniapp.ui.IExternalUniComponentGetter;
import io.dcloud.feature.uniapp.ui.IExternalUniModuleGetter;
import io.dcloud.feature.uniapp.ui.IFUniComponentHolder;
import io.dcloud.feature.uniapp.ui.component.UniComponent;
import io.dcloud.feature.uniapp.ui.component.UniVContainer;
import java.util.HashMap;
/* loaded from: classes24.dex */
public class UniSDKEngine extends WXSDKEngine {

    /* loaded from: classes26.dex */
    public static abstract class DestroyableUniModule extends UniModule implements Destroyable {
    }

    /* loaded from: classes26.dex */
    public static abstract class DestroyableUniModuleFactory<T extends UniDestroyableModule> extends TypeUniModuleFactory<T> {
        public DestroyableUniModuleFactory(Class<T> clz) {
            super(clz);
        }
    }

    public static boolean registerUniVContainer(String type, Class<? extends UniVContainer> clazz) throws WXException {
        return WXComponentRegistry.registerComponent(type, new SimpleComponentHolder(clazz), new HashMap());
    }

    public static boolean registerUniComponent(String type, Class<? extends UniComponent> clazz) throws WXException {
        return WXComponentRegistry.registerComponent(type, new SimpleComponentHolder(clazz), new HashMap());
    }

    public static boolean registerUniComponent(String type, Class<? extends UniComponent> clazz, boolean appendTree) throws UniException {
        return registerComponent(clazz, appendTree, type);
    }

    public static boolean registerUniComponent(String type, IExternalUniComponentGetter componentGetter, boolean appendTree) throws UniException {
        return registerComponent(new ExternalLoaderComponentHolder(type, componentGetter), appendTree, type);
    }

    public static boolean registerUniComponent(Class<? extends UniComponent> clazz, boolean appendTree, String... names) throws UniException {
        return registerComponent(clazz, appendTree, names);
    }

    public static boolean registerUniComponent(IFUniComponentHolder holder, boolean appendTree, String... names) throws UniException {
        return registerComponent(holder, appendTree, names);
    }

    public static <T extends UniModule> boolean registerUniModule(String moduleName, Class<T> moduleClass, boolean global) throws UniException {
        return registerModule(moduleName, moduleClass, global);
    }

    public static <T extends UniModule> boolean registerUniModuleWithFactory(String moduleName, DestroyableUniModuleFactory factory, boolean global) throws UniException {
        return registerModule(moduleName, factory, global);
    }

    public static <T extends UniModule> boolean registerModuleWithFactory(String moduleName, IExternalUniModuleGetter factory, boolean global) throws WXException {
        return registerModule(moduleName, factory.getExternalModuleClass(moduleName, WXEnvironment.getApplication()), global);
    }

    public static <T extends UniModule> boolean registerUniModule(String moduleName, UniModuleFactory factory, boolean global) throws WXException {
        return WXModuleManager.registerModule(moduleName, factory, global);
    }

    public static boolean registerUniModule(String moduleName, Class<? extends UniModule> moduleClass) throws WXException {
        return registerModule(moduleName, (Class) moduleClass, false);
    }
}
