package io.dcloud.feature.weex;

import android.app.Application;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.ViewGroup;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.bridge.WXBridgeManager;
import com.taobao.weex.bridge.WXModuleManager;
import io.dcloud.common.DHInterface.AbsMgr;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.DHInterface.ICallBack;
import io.dcloud.common.DHInterface.IWaiter;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.DHInterface.ReceiveSystemEventVoucher;
import io.dcloud.common.DHInterface.StandardFeature;
import io.dcloud.common.adapter.ui.AdaUniWebView;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.common.util.PdrUtil;
import java.util.HashMap;
import org.json.JSONException;
/* loaded from: classes26.dex */
public class WeexFeature extends StandardFeature implements IWaiter, ReceiveSystemEventVoucher {
    boolean isRegisterAllEvent = false;
    IApp mApp;

    @Override // io.dcloud.common.DHInterface.StandardFeature, io.dcloud.common.DHInterface.BaseFeature, io.dcloud.common.DHInterface.IFeature
    public void init(AbsMgr pFeatureMgr, String pFeatureName) {
        super.init(pFeatureMgr, pFeatureName);
        WeexInstanceMgr.self().init(pFeatureMgr);
    }

    @Override // io.dcloud.common.DHInterface.BaseFeature, io.dcloud.common.DHInterface.IBoot
    public void onStart(Context pContext, Bundle pSavedInstanceState, String[] pRuntimeArgs) {
        super.onStart(pContext, pSavedInstanceState, pRuntimeArgs);
        if (pContext instanceof Application) {
            WeexInstanceMgr.self().initWeexEnv((Application) pContext);
        }
    }

    @Override // io.dcloud.common.DHInterface.BaseFeature, io.dcloud.common.DHInterface.IBoot
    public void onResume() {
        super.onResume();
        WeexInstanceMgr.self().onActivityResume();
    }

    @Override // io.dcloud.common.DHInterface.BaseFeature, io.dcloud.common.DHInterface.IBoot
    public void onPause() {
        super.onPause();
        WeexInstanceMgr.self().onActivityPause();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // io.dcloud.common.DHInterface.BaseFeature
    public void onRequestPermissionsResult(int requestCode, String[] permissions, int[] grantResults) {
        super.onRequestPermissionsResult(requestCode, permissions, grantResults);
        WeexInstanceMgr.self().onRequestPermissionsResult(requestCode, permissions, grantResults);
    }

    public void onDestroy() {
        IApp iApp = this.mApp;
        if (iApp != null && iApp.getQuitModel() == 2) {
            WeexInstanceMgr.self().onActivityDestroy(false);
        } else {
            WeexInstanceMgr.self().onActivityDestroy();
        }
        WeexInstanceMgr.self().setUniServiceCreated(false, null);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // io.dcloud.common.DHInterface.BaseFeature
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        WeexInstanceMgr.self().onActivityResult(requestCode, resultCode, data);
    }

    public void registerAllEvent(IApp app) {
        this.mApp = app;
        if (this.isRegisterAllEvent) {
            return;
        }
        this.isRegisterAllEvent = true;
        unregisterSysEvent(app);
        registerSysEvent(this.mApp);
    }

    @Override // io.dcloud.common.DHInterface.BaseFeature, io.dcloud.common.DHInterface.IFeature
    public void dispose(String pAppid) {
        super.dispose(pAppid);
        if (this.mApp != null) {
            onDestroy();
            if (this.isRegisterAllEvent) {
                unregisterSysEvent(this.mApp);
                this.isRegisterAllEvent = false;
                this.mApp = null;
            }
        }
    }

    @Override // io.dcloud.common.DHInterface.IWaiter
    public Object doForFeature(String actionType, Object args) {
        JSONObject registerJsModules;
        WXSDKInstance findWXSDKInstance;
        WXBaseWrapper findWXBaseWrapper;
        actionType.hashCode();
        char c = 65535;
        switch (actionType.hashCode()) {
            case -2004248131:
                if (actionType.equals("onKeyboardHeightChange")) {
                    c = 0;
                    break;
                }
                break;
            case -1209764397:
                if (actionType.equals("setUniNViewModuleReladyCallBack")) {
                    c = 1;
                    break;
                }
                break;
            case -982897726:
                if (actionType.equals("updateReload")) {
                    c = 2;
                    break;
                }
                break;
            case -852986777:
                if (actionType.equals("findWebviewByInstanceId")) {
                    c = 3;
                    break;
                }
                break;
            case -623580498:
                if (actionType.equals("getUniNViewModules")) {
                    c = 4;
                    break;
                }
                break;
            case -163799780:
                if (actionType.equals("callNativeModuleSync")) {
                    c = 5;
                    break;
                }
                break;
            case -149733713:
                if (actionType.equals("weexViewUpdate")) {
                    c = 6;
                    break;
                }
                break;
            case 369306469:
                if (actionType.equals("postMessageToUniNView")) {
                    c = 7;
                    break;
                }
                break;
            case 594866751:
                if (actionType.equals("createUniNView")) {
                    c = '\b';
                    break;
                }
                break;
            case 715247196:
                if (actionType.equals("createServiceUniNView")) {
                    c = '\t';
                    break;
                }
                break;
            case 2133581413:
                if (actionType.equals("updateServiceReload")) {
                    c = '\n';
                    break;
                }
                break;
        }
        switch (c) {
            case 0:
                Object[] objArr = (Object[]) args;
                int intValue = ((Integer) objArr[1]).intValue();
                WXBaseWrapper findWXBaseWrapper2 = WeexInstanceMgr.self().findWXBaseWrapper((String) objArr[0]);
                if (findWXBaseWrapper2 != null) {
                    HashMap hashMap = new HashMap();
                    hashMap.put("height", Integer.valueOf((int) (intValue / findWXBaseWrapper2.mWebview.getScale())));
                    findWXBaseWrapper2.fireGlobalEvent("KeyboardHeightChange", hashMap);
                }
                return WeexInstanceMgr.self().findWebviewByInstanceId((String) ((Object[]) args)[0]);
            case 1:
                WeexInstanceMgr.self().setUniNViewModuleReladyCallBack((ICallBack) ((Object[]) args)[0]);
                return null;
            case 2:
                WXViewWrapper findPathByWrapper = WeexInstanceMgr.self().findPathByWrapper((String) ((Object[]) args)[0]);
                if (findPathByWrapper != null) {
                    findPathByWrapper.reload();
                }
                return null;
            case 3:
                return WeexInstanceMgr.self().findWebviewByInstanceId((String) ((Object[]) args)[0]);
            case 4:
                String uniNViewModules = WeexInstanceMgr.self().getUniNViewModules();
                return (uniNViewModules != null || (registerJsModules = WXModuleManager.getRegisterJsModules()) == null) ? uniNViewModules : registerJsModules.toJSONString();
            case 5:
                Object[] objArr2 = (Object[]) args;
                IWebview iWebview = (IWebview) objArr2[0];
                String str = (String) objArr2[1];
                String str2 = (String) objArr2[2];
                String str3 = (String) objArr2[3];
                JSONObject parseObject = JSON.parseObject((String) objArr2[4]);
                if (PdrUtil.isEmpty(str)) {
                    str = str2;
                }
                if (str3.equalsIgnoreCase(str)) {
                    findWXSDKInstance = WeexInstanceMgr.self().findWXSDKInstance(str3);
                } else {
                    findWXSDKInstance = WeexInstanceMgr.self().findWXSDKInstance(str);
                }
                if (findWXSDKInstance != null) {
                    return callNativeModule(findWXSDKInstance.getInstanceId(), parseObject);
                }
                return null;
            case 6:
                Object[] objArr3 = (Object[]) args;
                IWebview iWebview2 = (IWebview) objArr3[0];
                ViewGroup viewGroup = (ViewGroup) objArr3[1];
                org.json.JSONObject jSONObject = (org.json.JSONObject) objArr3[2];
                String str4 = (String) objArr3[3];
                if (PdrUtil.isEmpty(str4)) {
                    str4 = iWebview2.obtainApp().obtainAppId();
                }
                if (jSONObject.has(AbsoluteConst.XML_PATH) && !PdrUtil.isEmpty(jSONObject.optString(AbsoluteConst.XML_PATH))) {
                    WXBaseWrapper findWXBaseWrapper3 = WeexInstanceMgr.self().findWXBaseWrapper(str4);
                    org.json.JSONObject jSONObject2 = new org.json.JSONObject();
                    String optString = jSONObject.optString(AbsoluteConst.XML_PATH);
                    if (iWebview2.isUniWebView()) {
                        ((AdaUniWebView) iWebview2).setNVuePath(optString);
                    }
                    try {
                        jSONObject2.put("js", optString);
                        jSONObject2.put("data", jSONObject);
                    } catch (JSONException e) {
                        e.printStackTrace();
                    }
                    if (findWXBaseWrapper3 != null) {
                        findWXBaseWrapper3.loadTemplate(jSONObject2);
                    } else {
                        createUniNView(iWebview2, viewGroup, str4, jSONObject2);
                    }
                }
                return null;
            case 7:
                Object[] objArr4 = (Object[]) args;
                String str5 = (String) objArr4[1];
                String str6 = (String) objArr4[2];
                String str7 = (String) objArr4[3];
                JSONObject parseObject2 = JSON.parseObject((String) objArr4[4]);
                HashMap hashMap2 = new HashMap();
                hashMap2.put("targetId", str6);
                hashMap2.put("originId", ((IWebview) objArr4[0]).getWebviewUUID());
                hashMap2.put("data", parseObject2);
                if (PdrUtil.isEmpty(str5)) {
                    str5 = str6;
                }
                if (str7.equalsIgnoreCase(str5)) {
                    findWXBaseWrapper = WeexInstanceMgr.self().findWXBaseWrapper(str7);
                } else {
                    findWXBaseWrapper = WeexInstanceMgr.self().findWXBaseWrapper(str5);
                }
                if (findWXBaseWrapper != null) {
                    findWXBaseWrapper.fireGlobalEvent("plusMessage", hashMap2);
                }
                return null;
            case '\b':
                return createWeexWindow((Object[]) args);
            case '\t':
                return createWeexService((Object[]) args);
            case '\n':
                WeexInstanceMgr.self().reloadWXServiceWrapper();
                return null;
            default:
                return null;
        }
    }

    private void createUniNView(IWebview webview, ViewGroup parent, String weexId, org.json.JSONObject info) {
        createUniNView(webview, parent, weexId, info, WXBaseWrapper.DE_INDEX);
    }

    private void createUniNView(IWebview webview, ViewGroup parent, String weexId, org.json.JSONObject info, int zIndex) {
        WeexInstanceMgr.self().createWeexView(webview, parent, info, weexId, zIndex);
    }

    private Object createWeexWindow(Object[] args) {
        IWebview iWebview = (IWebview) args[0];
        registerAllEvent(iWebview.obtainApp());
        return WeexInstanceMgr.self().createWeexView(iWebview, (ViewGroup) args[1], (org.json.JSONObject) args[2], (String) args[3], WXViewWrapper.DE_INDEX);
    }

    private Object createWeexService(Object[] args) {
        IApp iApp = (IApp) args[0];
        registerAllEvent(iApp);
        ViewGroup viewGroup = (ViewGroup) args[2];
        String str = (String) args[3];
        return WeexInstanceMgr.self().createWeexService(iApp, viewGroup, str, (org.json.JSONObject) args[1]);
    }

    public String callNativeModule(String instanceId, JSONObject data) {
        Object callNativeModule = WXBridgeManager.getInstance().callNativeModule(instanceId, data.getString("plugin"), data.getString("method"), JSON.parseArray(data.getString("args")), (JSONObject) null);
        if (callNativeModule != null) {
            if (callNativeModule instanceof JSONObject) {
                return JSUtil.wrapJsVar(JSONUtil.createJSONObject(((JSONObject) callNativeModule).toJSONString()));
            }
            if (callNativeModule instanceof HashMap) {
                return JSUtil.wrapJsVar(JSONUtil.createJSONObject(new JSONObject((HashMap) callNativeModule).toJSONString()));
            }
            if (callNativeModule instanceof JSONArray) {
                return JSUtil.wrapJsVar(JSONUtil.createJSONArray(((JSONArray) callNativeModule).toJSONString()));
            }
            if (callNativeModule instanceof String) {
                return JSUtil.wrapJsVar(String.valueOf(callNativeModule));
            }
            if (callNativeModule instanceof org.json.JSONObject) {
                return JSUtil.wrapJsVar((org.json.JSONObject) callNativeModule);
            }
            if (callNativeModule instanceof org.json.JSONArray) {
                return JSUtil.wrapJsVar((org.json.JSONArray) callNativeModule);
            }
        }
        return JSUtil.wrapJsVar("");
    }
}
