package io.dcloud.feature.weex.adapter;

import android.content.Context;
import com.taobao.weex.bridge.WXBridgeManager;
import com.taobao.weex.ui.view.WXFrameLayout;
/* loaded from: classes24.dex */
public class ScalableView extends WXFrameLayout {
    int mHeight;
    int mWidth;

    public ScalableView(Context context) {
        super(context);
        this.mWidth = 0;
        this.mHeight = 0;
    }

    @Override // android.view.View
    protected void onSizeChanged(final int w, final int h, int oldw, int oldh) {
        super.onSizeChanged(w, h, oldw, oldh);
        try {
            if ((getComponent() instanceof ScalableViewComponent) && ((ScalableViewComponent) getComponent()).isScalable()) {
                if (this.mHeight == h && this.mWidth == w) {
                    return;
                }
                WXBridgeManager.getInstance().post(new Runnable() { // from class: io.dcloud.feature.weex.adapter.ScalableView.1
                    @Override // java.lang.Runnable
                    public void run() {
                        if (ScalableView.this.getComponent() == null || ScalableView.this.getComponent().getInstance() == null) {
                            return;
                        }
                        WXBridgeManager.getInstance().setStyleHeight(ScalableView.this.getComponent().getInstanceId(), ScalableView.this.getComponent().getRef(), h, true);
                        WXBridgeManager.getInstance().setStyleWidth(ScalableView.this.getComponent().getInstanceId(), ScalableView.this.getComponent().getRef(), w, true);
                        ScalableView.this.mWidth = w;
                        ScalableView.this.mHeight = h;
                    }
                });
            }
        } catch (Exception unused) {
        }
    }
}
