package io.dcloud.feature.weex.adapter;

import android.content.Context;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.ui.ComponentCreator;
import com.taobao.weex.ui.action.BasicComponentData;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.component.WXDiv;
import com.taobao.weex.ui.component.WXVContainer;
import com.taobao.weex.ui.view.WXFrameLayout;
/* loaded from: classes27.dex */
public class ScalableViewComponent extends WXDiv {
    private boolean isScalable;

    public ScalableViewComponent(WXSDKInstance instance, WXVContainer parent, BasicComponentData basicComponentData) {
        super(instance, parent, basicComponentData);
        this.isScalable = false;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXDiv, com.taobao.weex.ui.component.WXComponent
    public WXFrameLayout initComponentHostView(Context context) {
        ScalableView scalableView = new ScalableView(context);
        scalableView.holdComponent((WXDiv) this);
        return scalableView;
    }

    public boolean isScalable() {
        return this.isScalable;
    }

    public void setScalable(boolean scalable) {
        this.isScalable = scalable;
    }

    /* loaded from: classes21.dex */
    public static class Ceator implements ComponentCreator {
        @Override // com.taobao.weex.ui.ComponentCreator
        public WXComponent createInstance(WXSDKInstance instance, WXVContainer parent, BasicComponentData basicComponentData) {
            return new ScalableViewComponent(instance, parent, basicComponentData);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXComponent
    public void setHostLayoutParams(WXFrameLayout host, int width, int height, int left, int right, int top, int bottom) {
        if (isScalable()) {
            super.setHostLayoutParams((ScalableViewComponent) host, -1, -1, left, right, top, bottom);
        } else {
            super.setHostLayoutParams((ScalableViewComponent) host, width, height, left, right, top, bottom);
        }
    }
}
