package io.dcloud.feature.weex.extend;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.taobao.weex.annotation.JSMethod;
import com.taobao.weex.bridge.JSCallback;
import com.taobao.weex.common.WXModule;
import com.taobao.weex.ui.component.WXBasicComponentType;
import io.dcloud.common.DHInterface.ICallBack;
import io.dcloud.common.core.ui.TabBarWebview;
import io.dcloud.common.core.ui.TabBarWebviewMgr;
import java.util.HashMap;
/* loaded from: classes24.dex */
public class DCTabBarModule extends WXModule {
    @JSMethod
    public void append(JSONObject op, final JSCallback callback) {
        TabBarWebview launchTabBar = TabBarWebviewMgr.getInstance().getLaunchTabBar();
        if (launchTabBar != null) {
            launchTabBar.append(op.getString("id"), new ICallBack() { // from class: io.dcloud.feature.weex.extend.DCTabBarModule.1
                @Override // io.dcloud.common.DHInterface.ICallBack
                public Object onCallBack(int pType, Object pArgs) {
                    HashMap hashMap = new HashMap();
                    hashMap.put("code", Integer.valueOf(pType));
                    callback.invoke(hashMap);
                    return null;
                }
            });
        }
    }

    @JSMethod(uiThread = false)
    public boolean isValid() {
        return TabBarWebviewMgr.getInstance().getLaunchTabBar() != null;
    }

    @JSMethod
    public void hideTabBar(JSONObject op) {
        TabBarWebview launchTabBar = TabBarWebviewMgr.getInstance().getLaunchTabBar();
        if (launchTabBar != null) {
            launchTabBar.hideTabBar(op);
        }
    }

    @JSMethod
    public void showTabBar(JSONObject op) {
        TabBarWebview launchTabBar = TabBarWebviewMgr.getInstance().getLaunchTabBar();
        if (launchTabBar != null) {
            launchTabBar.showTabBar(op);
        }
    }

    @JSMethod
    public void setTabBarStyle(JSONObject style) {
        TabBarWebview launchTabBar = TabBarWebviewMgr.getInstance().getLaunchTabBar();
        if (launchTabBar != null) {
            launchTabBar.setStyle(style);
        }
    }

    @JSMethod
    public void setTabBarItem(JSONObject item) {
        TabBarWebview launchTabBar = TabBarWebviewMgr.getInstance().getLaunchTabBar();
        if (launchTabBar != null) {
            launchTabBar.setItem(item);
            launchTabBar.updateMidButton(null);
        }
    }

    @JSMethod
    public void setTabBarBadge(JSONObject badge) {
        TabBarWebview launchTabBar = TabBarWebviewMgr.getInstance().getLaunchTabBar();
        if (launchTabBar != null) {
            launchTabBar.setTabBarBadge(badge);
        }
    }

    @JSMethod
    public void removeTabBarBadge(JSONObject op) {
        TabBarWebview launchTabBar = TabBarWebviewMgr.getInstance().getLaunchTabBar();
        if (launchTabBar == null || !launchTabBar.isVisible()) {
            return;
        }
        launchTabBar.removeTabBarBadge(op);
    }

    @JSMethod
    public void showTabBarRedDot(JSONObject op) {
        TabBarWebview launchTabBar = TabBarWebviewMgr.getInstance().getLaunchTabBar();
        if (launchTabBar == null || !launchTabBar.isVisible()) {
            return;
        }
        launchTabBar.showTabBarRedDot(op);
    }

    @JSMethod
    public void hideTabBarRedDot(JSONObject op) {
        TabBarWebview launchTabBar = TabBarWebviewMgr.getInstance().getLaunchTabBar();
        if (launchTabBar == null || !launchTabBar.isVisible()) {
            return;
        }
        launchTabBar.hideTabBarRedDot(op);
    }

    @JSMethod
    public void setMask(JSONObject style) {
        TabBarWebview launchTabBar = TabBarWebviewMgr.getInstance().getLaunchTabBar();
        if (launchTabBar != null) {
            launchTabBar.setMask(style);
        }
    }

    @JSMethod(uiThread = false)
    public boolean isTabBarVisible() {
        TabBarWebview launchTabBar = TabBarWebviewMgr.getInstance().getLaunchTabBar();
        return launchTabBar != null && launchTabBar.isVisible();
    }

    @JSMethod(uiThread = false)
    public String getTabBarHeight() {
        return TabBarWebviewMgr.getInstance().getLaunchTabBar().getTabBarHeight();
    }

    @JSMethod
    public void switchSelect(JSONObject op) {
        TabBarWebview launchTabBar = TabBarWebviewMgr.getInstance().getLaunchTabBar();
        if (launchTabBar != null) {
            launchTabBar.switchSelect(op.getIntValue("index"));
        }
    }

    @JSMethod
    public void setTabBarItems(JSONObject op) {
        JSONObject jSONObject;
        JSONArray jSONArray;
        TabBarWebview launchTabBar = TabBarWebviewMgr.getInstance().getLaunchTabBar();
        if (launchTabBar != null) {
            if (op.containsKey(WXBasicComponentType.LIST) && (jSONArray = op.getJSONArray(WXBasicComponentType.LIST)) != null) {
                int size = jSONArray.size();
                for (int i = 0; i < size; i++) {
                    JSONObject jSONObject2 = (JSONObject) jSONArray.get(i);
                    if (jSONObject2 != null) {
                        jSONObject2.put("index", (Object) Integer.valueOf(i));
                        launchTabBar.setItem(jSONObject2);
                    }
                }
            }
            if (op.containsKey("midButton") && (jSONObject = op.getJSONObject("midButton")) != null) {
                launchTabBar.updateMidButton(jSONObject);
            } else {
                launchTabBar.updateMidButton(null);
            }
        }
    }

    @JSMethod
    public void onClick(final JSCallback callback) {
        TabBarWebview launchTabBar = TabBarWebviewMgr.getInstance().getLaunchTabBar();
        if (launchTabBar != null) {
            launchTabBar.setClickCallBack(new ICallBack() { // from class: io.dcloud.feature.weex.extend.DCTabBarModule.2
                @Override // io.dcloud.common.DHInterface.ICallBack
                public Object onCallBack(int pType, Object pArgs) {
                    JSONObject jSONObject = new JSONObject();
                    jSONObject.put("index", (Object) Integer.valueOf(pType));
                    callback.invokeAndKeepAlive(jSONObject);
                    return null;
                }
            });
        }
    }

    @JSMethod
    public void onDoubleClick(final JSCallback callback) {
        TabBarWebview launchTabBar = TabBarWebviewMgr.getInstance().getLaunchTabBar();
        if (launchTabBar != null) {
            launchTabBar.setDoubleClickCallBack(new ICallBack() { // from class: io.dcloud.feature.weex.extend.DCTabBarModule.3
                @Override // io.dcloud.common.DHInterface.ICallBack
                public Object onCallBack(int pType, Object pArgs) {
                    JSONObject jSONObject = new JSONObject();
                    jSONObject.put("index", (Object) Integer.valueOf(pType));
                    callback.invokeAndKeepAlive(jSONObject);
                    return null;
                }
            });
        }
    }

    @JSMethod
    public void onMidButtonClick(final JSCallback callback) {
        TabBarWebview launchTabBar = TabBarWebviewMgr.getInstance().getLaunchTabBar();
        if (launchTabBar != null) {
            launchTabBar.setMidButtonClickCallBack(new ICallBack() { // from class: io.dcloud.feature.weex.extend.DCTabBarModule.4
                @Override // io.dcloud.common.DHInterface.ICallBack
                public Object onCallBack(int pType, Object pArgs) {
                    JSONObject jSONObject = new JSONObject();
                    jSONObject.put("index", (Object) Integer.valueOf(pType));
                    callback.invokeAndKeepAlive(jSONObject);
                    return null;
                }
            });
        }
    }

    @JSMethod
    public void onMaskClick(final JSCallback callback) {
        TabBarWebview launchTabBar = TabBarWebviewMgr.getInstance().getLaunchTabBar();
        if (launchTabBar != null) {
            launchTabBar.setMaskButtonClickCallBack(new ICallBack() { // from class: io.dcloud.feature.weex.extend.DCTabBarModule.5
                @Override // io.dcloud.common.DHInterface.ICallBack
                public Object onCallBack(int pType, Object pArgs) {
                    callback.invokeAndKeepAlive(new JSONObject());
                    return null;
                }
            });
        }
    }
}
