package io.dcloud.feature.weex.extend;

import android.net.Uri;
import android.text.TextUtils;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.taobao.weex.annotation.JSMethod;
import com.taobao.weex.bridge.JSCallback;
import com.taobao.weex.bridge.SimpleJSCallback;
import com.taobao.weex.common.Constants;
import com.taobao.weex.ui.component.WXImage;
import io.dcloud.common.DHInterface.ICallBack;
import io.dcloud.common.DHInterface.IMgr;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.util.MessageHandler;
import io.dcloud.feature.internal.sdk.SDK;
import io.dcloud.feature.uniapp.common.UniModule;
import io.dcloud.feature.weex.EnumStateCode;
import io.dcloud.feature.weex.WeexInstanceMgr;
import java.util.HashMap;
/* loaded from: classes26.dex */
public class DCUniMPModule extends UniModule {
    @JSMethod
    public void showUniMP(final String appId, final JSCallback callback) {
        MessageHandler.post(new Runnable() { // from class: io.dcloud.feature.weex.extend.DCUniMPModule.1
            @Override // java.lang.Runnable
            public void run() {
                try {
                    if (SDK.isUniMP) {
                        JSCallback jSCallback = callback;
                        if (jSCallback != null) {
                            jSCallback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_PERMISSION));
                        }
                    } else if (TextUtils.isEmpty(appId)) {
                        JSCallback jSCallback2 = callback;
                        if (jSCallback2 != null) {
                            jSCallback2.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_INVALID_PARAMETER));
                        }
                    } else {
                        IWebview findWebview = WeexInstanceMgr.self().findWebview(DCUniMPModule.this.mWXSDKInstance);
                        if (findWebview != null) {
                            WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{findWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "showUniMP", new Object[]{appId, new ICallBack() { // from class: io.dcloud.feature.weex.extend.DCUniMPModule.1.1
                                @Override // io.dcloud.common.DHInterface.ICallBack
                                public Object onCallBack(int pType, Object pArgs) {
                                    HashMap hashMap = new HashMap();
                                    if (pType >= 0) {
                                        hashMap.put("type", WXImage.SUCCEED);
                                        hashMap.put("code", 0);
                                    } else {
                                        hashMap.put("type", Constants.Event.FAIL);
                                        hashMap.put("code", Integer.valueOf(pType));
                                        hashMap.put("message", pArgs != null ? pArgs.toString() : "Unknown error");
                                    }
                                    if (callback != null) {
                                        callback.invoke(hashMap);
                                        return null;
                                    }
                                    return null;
                                }
                            }}});
                        }
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        });
    }

    @JSMethod
    public void closeUniMP(final String appId, final JSCallback callback) {
        MessageHandler.post(new Runnable() { // from class: io.dcloud.feature.weex.extend.DCUniMPModule.2
            @Override // java.lang.Runnable
            public void run() {
                try {
                    if (SDK.isUniMP) {
                        JSCallback jSCallback = callback;
                        if (jSCallback != null) {
                            jSCallback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_PERMISSION));
                        }
                    } else if (TextUtils.isEmpty(appId)) {
                        JSCallback jSCallback2 = callback;
                        if (jSCallback2 != null) {
                            jSCallback2.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_INVALID_PARAMETER));
                        }
                    } else {
                        IWebview findWebview = WeexInstanceMgr.self().findWebview(DCUniMPModule.this.mWXSDKInstance);
                        if (findWebview != null) {
                            WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{findWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "closeUniMP", new Object[]{appId, new ICallBack() { // from class: io.dcloud.feature.weex.extend.DCUniMPModule.2.1
                                @Override // io.dcloud.common.DHInterface.ICallBack
                                public Object onCallBack(int pType, Object pArgs) {
                                    HashMap hashMap = new HashMap();
                                    if (pType >= 0) {
                                        hashMap.put("type", WXImage.SUCCEED);
                                        hashMap.put("code", 0);
                                    } else {
                                        hashMap.put("type", Constants.Event.FAIL);
                                        hashMap.put("code", Integer.valueOf(pType));
                                        hashMap.put("message", pArgs != null ? pArgs.toString() : "Unknown error");
                                    }
                                    if (callback != null) {
                                        callback.invoke(hashMap);
                                        return null;
                                    }
                                    return null;
                                }
                            }}});
                        }
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        });
    }

    @JSMethod
    public void hideUniMP(final String appId, final JSCallback callback) {
        MessageHandler.post(new Runnable() { // from class: io.dcloud.feature.weex.extend.DCUniMPModule.3
            @Override // java.lang.Runnable
            public void run() {
                try {
                    if (SDK.isUniMP) {
                        JSCallback jSCallback = callback;
                        if (jSCallback != null) {
                            jSCallback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_PERMISSION));
                        }
                    } else if (TextUtils.isEmpty(appId)) {
                        JSCallback jSCallback2 = callback;
                        if (jSCallback2 != null) {
                            jSCallback2.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_INVALID_PARAMETER));
                        }
                    } else {
                        IWebview findWebview = WeexInstanceMgr.self().findWebview(DCUniMPModule.this.mWXSDKInstance);
                        if (findWebview != null) {
                            WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{findWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "hideUniMP", new Object[]{appId, new ICallBack() { // from class: io.dcloud.feature.weex.extend.DCUniMPModule.3.1
                                @Override // io.dcloud.common.DHInterface.ICallBack
                                public Object onCallBack(int pType, Object pArgs) {
                                    HashMap hashMap = new HashMap();
                                    if (pType >= 0) {
                                        hashMap.put("type", WXImage.SUCCEED);
                                        hashMap.put("code", 0);
                                    } else {
                                        hashMap.put("type", Constants.Event.FAIL);
                                        hashMap.put("code", Integer.valueOf(pType));
                                        hashMap.put("message", pArgs != null ? pArgs.toString() : "Unknown error");
                                    }
                                    if (callback != null) {
                                        callback.invoke(hashMap);
                                        return null;
                                    }
                                    return null;
                                }
                            }}});
                        }
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        });
    }

    @JSMethod
    public void setDefaultMenuItems(String opStr, final JSCallback callback) {
        JSONObject jSONObject;
        try {
            jSONObject = JSON.parseObject(opStr);
        } catch (Exception unused) {
            jSONObject = null;
        }
        if (SDK.isUniMPSDK()) {
            return;
        }
        if (jSONObject == null) {
            if (callback != null) {
                callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_INVALID_PARAMETER));
                return;
            }
            return;
        }
        ICallBack iCallBack = new ICallBack() { // from class: io.dcloud.feature.weex.extend.DCUniMPModule.4
            @Override // io.dcloud.common.DHInterface.ICallBack
            public Object onCallBack(int pType, Object pArgs) {
                JSONObject parseObject = JSON.parseObject(String.valueOf(pArgs));
                String string = parseObject.getString("appId");
                String string2 = parseObject.getString("id");
                if (!TextUtils.isEmpty(string) && !TextUtils.isEmpty(string2)) {
                    HashMap hashMap = new HashMap();
                    hashMap.put("appId", string);
                    hashMap.put("id", string2);
                    JSCallback jSCallback = callback;
                    if (jSCallback != null) {
                        jSCallback.invokeAndKeepAlive(hashMap);
                    }
                }
                return null;
            }
        };
        IWebview findWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance);
        if (findWebview != null) {
            WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{findWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "setDefaultMenuItems", new Object[]{opStr, iCallBack}});
        }
    }

    @JSMethod
    public void openUniMP(final String opStr, final JSCallback callback) {
        MessageHandler.post(new Runnable() { // from class: io.dcloud.feature.weex.extend.DCUniMPModule.5
            @Override // java.lang.Runnable
            public void run() {
                JSONObject jSONObject;
                try {
                    jSONObject = JSON.parseObject(opStr);
                } catch (Exception unused) {
                    jSONObject = null;
                }
                try {
                    if (SDK.isUniMP) {
                        JSCallback jSCallback = callback;
                        if (jSCallback != null) {
                            jSCallback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_PERMISSION));
                        }
                    } else if (jSONObject == null) {
                        JSCallback jSCallback2 = callback;
                        if (jSCallback2 != null) {
                            jSCallback2.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_INVALID_PARAMETER));
                        }
                    } else {
                        IWebview findWebview = WeexInstanceMgr.self().findWebview(DCUniMPModule.this.mWXSDKInstance);
                        if (findWebview != null) {
                            ICallBack iCallBack = new ICallBack() { // from class: io.dcloud.feature.weex.extend.DCUniMPModule.5.1
                                @Override // io.dcloud.common.DHInterface.ICallBack
                                public Object onCallBack(int pType, Object pArgs) {
                                    HashMap hashMap = new HashMap();
                                    if (pType >= 0) {
                                        hashMap.put("type", WXImage.SUCCEED);
                                        hashMap.put("code", 0);
                                    } else {
                                        hashMap.put("type", Constants.Event.FAIL);
                                        hashMap.put("code", Integer.valueOf(pType));
                                        hashMap.put("message", pArgs != null ? pArgs.toString() : "Unknown error");
                                    }
                                    if (callback != null) {
                                        callback.invoke(hashMap);
                                        return null;
                                    }
                                    return null;
                                }
                            };
                            jSONObject.put("appInfo", (Object) findWebview.obtainApp().obtainAppInfo());
                            WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{findWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "openUniMP", new Object[]{jSONObject.toJSONString(), iCallBack}});
                        }
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        });
    }

    @JSMethod
    public void installUniMP(String opStr, final JSCallback callback) {
        JSONObject jSONObject;
        try {
            jSONObject = JSON.parseObject(opStr);
        } catch (Exception unused) {
            jSONObject = null;
        }
        if (SDK.isUniMPSDK()) {
            if (callback != null) {
                callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_PERMISSION));
            }
        } else if (jSONObject == null) {
            if (callback != null) {
                callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_INVALID_PARAMETER));
            }
        } else {
            String string = jSONObject.getString("appid");
            String string2 = jSONObject.getString("wgtFile");
            String string3 = jSONObject.containsKey(Constants.Value.PASSWORD) ? jSONObject.getString(Constants.Value.PASSWORD) : "";
            if (!TextUtils.isEmpty(string2)) {
                Uri rewriteUri = this.mUniSDKInstance.rewriteUri(Uri.parse(string2), "file");
                if (rewriteUri != null) {
                    string2 = rewriteUri.getPath();
                }
            } else if (callback != null) {
                callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_RESOURCE_EXIST));
            }
            ICallBack iCallBack = new ICallBack() { // from class: io.dcloud.feature.weex.extend.DCUniMPModule.6
                @Override // io.dcloud.common.DHInterface.ICallBack
                public Object onCallBack(int pType, Object pArgs) {
                    HashMap hashMap = new HashMap();
                    if (pType >= 0) {
                        hashMap.put("type", WXImage.SUCCEED);
                        hashMap.put("code", 0);
                    } else {
                        hashMap.put("type", Constants.Event.FAIL);
                        hashMap.put("code", Integer.valueOf(pType));
                        hashMap.put("message", pArgs != null ? pArgs.toString() : "Unknown error");
                    }
                    JSCallback jSCallback = callback;
                    if (jSCallback != null) {
                        jSCallback.invoke(hashMap);
                        return null;
                    }
                    return null;
                }
            };
            IWebview findWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance);
            if (findWebview != null) {
                WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{findWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "installUniMP", new Object[]{string, string2, string3, iCallBack}});
            }
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v3, types: [com.alibaba.fastjson.JSONObject] */
    @JSMethod
    public void sendUniMPEvent(String appid, String event, String data, final JSCallback callback) {
        if (TextUtils.isEmpty(appid) || TextUtils.isEmpty(event)) {
            if (callback != null) {
                callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_INVALID_PARAMETER));
            }
        } else if (SDK.isUniMPSDK()) {
            if (callback != null) {
                callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_PERMISSION));
            }
        } else {
            ?? parseObject = JSON.parseObject(data);
            if (parseObject != 0) {
                data = parseObject;
            }
            ICallBack iCallBack = new ICallBack() { // from class: io.dcloud.feature.weex.extend.DCUniMPModule.7
                @Override // io.dcloud.common.DHInterface.ICallBack
                public Object onCallBack(int pType, Object pArgs) {
                    HashMap hashMap = new HashMap();
                    if (pType >= 0) {
                        hashMap.put("type", WXImage.SUCCEED);
                        hashMap.put("code", 0);
                    } else {
                        hashMap.put("type", Constants.Event.FAIL);
                        hashMap.put("code", Integer.valueOf(pType));
                        hashMap.put("message", pArgs != null ? pArgs.toString() : "Unknown error");
                    }
                    JSCallback jSCallback = callback;
                    if (jSCallback != null) {
                        jSCallback.invoke(hashMap);
                        return null;
                    }
                    return null;
                }
            };
            IWebview findWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance);
            if (findWebview != null) {
                WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{findWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "sendUniMPEvent", new Object[]{appid, event, data, iCallBack}});
            }
        }
    }

    @JSMethod
    public void getUniMPVersion(String appid, final JSCallback callback) {
        new HashMap();
        if (SDK.isUniMPSDK()) {
            if (callback != null) {
                callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_PERMISSION));
                return;
            }
            return;
        }
        if ((TextUtils.isEmpty(appid) || !appid.startsWith("__UNI__")) && callback != null) {
            callback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_INVALID_PARAMETER));
        }
        IWebview findWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance);
        if (findWebview != null) {
            WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{findWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "getUniMPVersion", new Object[]{appid, new ICallBack() { // from class: io.dcloud.feature.weex.extend.DCUniMPModule.8
                @Override // io.dcloud.common.DHInterface.ICallBack
                public Object onCallBack(int pType, Object pArgs) {
                    if (pArgs == null) {
                        JSCallback jSCallback = callback;
                        if (jSCallback != null) {
                            jSCallback.invoke(EnumStateCode.obtainMap(EnumStateCode.FAIL_BY_NO_RESOURCE_EXIST));
                            return null;
                        }
                        return null;
                    }
                    JSONObject parseObject = JSON.parseObject(pArgs.toString());
                    JSCallback jSCallback2 = callback;
                    if (jSCallback2 != null) {
                        jSCallback2.invoke(EnumStateCode.obtainMap(EnumStateCode.SUCCESS_NO_BODY, "versionInfo", parseObject));
                        return null;
                    }
                    return null;
                }
            }}});
        }
    }

    @JSMethod
    public void onUniMPEventReceive(JSCallback callback) {
        IWebview findWebview;
        if (SDK.isUniMPSDK() || (findWebview = WeexInstanceMgr.self().findWebview(this.mWXSDKInstance)) == null || !(callback instanceof SimpleJSCallback)) {
            return;
        }
        WeexInstanceMgr.self().doForFeature(IMgr.MgrType.FeatureMgr, 10, new Object[]{findWebview.obtainApp(), WeexInstanceMgr.self().getUniMPFeature(), "onUniMPEventReceive", new Object[]{findWebview.obtainApp().obtainAppId(), this.mWXSDKInstance.getInstanceId(), ((SimpleJSCallback) callback).getCallbackId()}});
    }
}
