package io.dcloud.feature.weex.extend;

import android.content.Context;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import androidx.viewpager.widget.ViewPager;
import com.taobao.weex.ui.view.WXCircleViewPager;
/* loaded from: classes24.dex */
public class DCWXCircleViewPager extends WXCircleViewPager {
    private boolean isVertical;
    private int pointCounr;

    public DCWXCircleViewPager(Context context) {
        super(context);
        this.isVertical = false;
        this.pointCounr = 0;
    }

    public DCWXCircleViewPager(Context context, AttributeSet attrs) {
        super(context, attrs);
        this.isVertical = false;
        this.pointCounr = 0;
    }

    private MotionEvent swapTouchEvent(MotionEvent event) {
        float width = getWidth();
        float height = getHeight();
        event.setLocation((event.getY() / height) * width, (event.getX() / width) * height);
        return event;
    }

    public boolean isVertical() {
        return this.isVertical;
    }

    public void setVertical(boolean vertical) {
        this.isVertical = vertical;
        if (vertical) {
            setPageTransformer(false, new ViewPager.PageTransformer() { // from class: io.dcloud.feature.weex.extend.DCWXCircleViewPager.1
                @Override // androidx.viewpager.widget.ViewPager.PageTransformer
                public void transformPage(View view, float position) {
                    view.setTranslationX(view.getWidth() * (-position));
                    view.setTranslationY(position * view.getHeight());
                }
            });
        } else {
            setPageTransformer(false, null);
        }
    }

    @Override // com.taobao.weex.ui.view.WXCircleViewPager, androidx.viewpager.widget.ViewPager, android.view.ViewGroup
    public boolean onInterceptTouchEvent(MotionEvent event) {
        try {
            if (this.isVertical) {
                boolean onInterceptTouchEvent = super.onInterceptTouchEvent(swapTouchEvent(event));
                swapTouchEvent(event);
                return onInterceptTouchEvent;
            }
            return super.onInterceptTouchEvent(event);
        } catch (ArrayIndexOutOfBoundsException e) {
            e.printStackTrace();
            return super.onInterceptTouchEvent(event);
        } catch (IllegalArgumentException e2) {
            e2.printStackTrace();
            return super.onInterceptTouchEvent(event);
        }
    }

    public int getPointCounr() {
        return this.pointCounr;
    }

    /* JADX WARN: Code restructure failed: missing block: B:15:0x002a, code lost:
        if (r4 != 3) goto L12;
     */
    @Override // com.taobao.weex.ui.view.WXCircleViewPager, androidx.viewpager.widget.ViewPager, android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean onTouchEvent(MotionEvent ev) {
        int action = ev.getAction();
        if (action == 0) {
            this.pointCounr = ev.getPointerCount();
        } else if (action == 1 || action == 3) {
            this.pointCounr = 0;
        }
        if (this.isVertical) {
            ViewGroup viewGroup = (ViewGroup) getParent();
            int action2 = ev.getAction();
            if (action2 != 1) {
                if (action2 == 2) {
                    viewGroup.requestDisallowInterceptTouchEvent(true);
                }
                return super.onTouchEvent(swapTouchEvent(ev));
            }
            viewGroup.requestDisallowInterceptTouchEvent(false);
            return super.onTouchEvent(swapTouchEvent(ev));
        }
        return super.onTouchEvent(ev);
    }
}
