package io.dcloud.feature.weex_switch;

import android.content.Context;
import android.graphics.Color;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.common.Constants;
import com.taobao.weex.dom.CSSConstants;
import com.taobao.weex.layout.ContentBoxMeasurement;
import com.taobao.weex.ui.action.BasicComponentData;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.component.WXComponentProp;
import com.taobao.weex.ui.component.WXVContainer;
import com.taobao.weex.utils.WXViewUtils;
import io.dcloud.feature.weex_switch.SwitchButton;
import java.util.HashMap;
/* loaded from: classes26.dex */
public class DCWXSwitchGroup extends WXComponent<SwitchGroup> {
    public DCWXSwitchGroup(final WXSDKInstance instance, WXVContainer parent, BasicComponentData basicComponentData) {
        super(instance, parent, basicComponentData);
        setContentBoxMeasurement(new ContentBoxMeasurement() { // from class: io.dcloud.feature.weex_switch.DCWXSwitchGroup.1
            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void layoutAfter(float computedWidth, float computedHeight) {
            }

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void layoutBefore() {
            }

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void measureInternal(float width, float height, int widthMeasureMode, int heightMeasureMode) {
                int realPxByWidth = (int) WXViewUtils.getRealPxByWidth(31.0f, DCWXSwitchGroup.this.getInstance().getInstanceViewPortWidthWithFloat());
                int realPxByWidth2 = (int) WXViewUtils.getRealPxByWidth(51.0f, DCWXSwitchGroup.this.getInstance().getInstanceViewPortWidthWithFloat());
                if (CSSConstants.isUndefined(height)) {
                    width = realPxByWidth2;
                    height = realPxByWidth;
                }
                this.mMeasureWidth = width;
                this.mMeasureHeight = height;
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXComponent
    public SwitchGroup initComponentHostView(Context context) {
        return new SwitchGroup(context);
    }

    @WXComponentProp(name = Constants.Name.CHECKED)
    public void setChecked(boolean checked) {
        ((SwitchButton) getHostView().getChildAt(0)).setChecked(checked);
    }

    @Override // com.taobao.weex.ui.component.WXComponent
    @WXComponentProp(name = Constants.Name.DISABLED)
    public void setDisabled(boolean disabled) {
        ((SwitchButton) getHostView().getChildAt(0)).setEnabled(!disabled);
    }

    @WXComponentProp(name = "color")
    public void setColor(String color) {
        ((SwitchButton) getHostView().getChildAt(0)).setCheckedColor(Color.parseColor(color));
    }

    @Override // com.taobao.weex.ui.component.WXComponent
    public void addEvent(String type) {
        super.addEvent(type);
        if (type == null || !type.equals(Constants.Event.CHANGE) || getHostView() == null) {
            return;
        }
        ((SwitchButton) getHostView().getChildAt(0)).setOnCheckedChangeListener(new SwitchButton.OnCheckedChangeListener() { // from class: io.dcloud.feature.weex_switch.DCWXSwitchGroup.2
            @Override // io.dcloud.feature.weex_switch.SwitchButton.OnCheckedChangeListener
            public void onCheckedChanged(SwitchButton view, boolean isChecked) {
                HashMap hashMap = new HashMap();
                HashMap hashMap2 = new HashMap();
                hashMap2.put("value", isChecked + "");
                hashMap.put("detail", hashMap2);
                DCWXSwitchGroup.this.fireEvent(Constants.Event.CHANGE, hashMap);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXComponent
    public void removeEventFromView(String type) {
        super.removeEventFromView(type);
        if (getHostView() == null || !Constants.Event.CHANGE.equals(type)) {
            return;
        }
        ((SwitchButton) getHostView().getChildAt(0)).setOnCheckedChangeListener(null);
    }
}
