package io.dcloud.feature.weex_text;

import android.text.Html;
import android.text.Spannable;
import android.text.Spanned;
import android.text.style.AlignmentSpan;
import com.taobao.weex.dom.TextDecorationSpan;
import com.taobao.weex.dom.WXAttr;
import com.taobao.weex.dom.WXCustomStyleSpan;
import com.taobao.weex.dom.WXLineHeightSpan;
import com.taobao.weex.el.parse.Operators;
import com.taobao.weex.layout.measurefunc.TextContentBoxMeasurement;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.component.WXTextDecoration;
import com.taobao.weex.utils.WXViewUtils;
import io.dcloud.common.constant.AbsoluteConst;
/* loaded from: classes26.dex */
public class DCTextContentBoxMeasurement extends TextContentBoxMeasurement {
    private boolean decode;
    private String space;

    public DCTextContentBoxMeasurement(WXComponent component) {
        super(component);
        this.space = "";
        this.decode = false;
    }

    @Override // com.taobao.weex.layout.measurefunc.TextContentBoxMeasurement, com.taobao.weex.layout.ContentBoxMeasurement
    public void layoutBefore() {
        WXAttr attrs = this.mComponent.getAttrs();
        this.space = (String) attrs.get("space");
        this.decode = Boolean.valueOf(attrs.containsKey("decode") ? attrs.get("decode").toString() : AbsoluteConst.FALSE).booleanValue();
        super.layoutBefore();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.taobao.weex.layout.measurefunc.TextContentBoxMeasurement
    public Spanned createSpanned(String text) {
        String str = this.space;
        if (str != null) {
            if (str.equals("ensp")) {
                text = Html.fromHtml(text.replaceAll(Operators.SPACE_STR, "&ensp;")).toString();
            } else if (this.space.equals("emsp")) {
                text = Html.fromHtml(text.replaceAll(Operators.SPACE_STR, "&emsp;")).toString();
            }
        }
        return super.createSpanned(text);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.taobao.weex.layout.measurefunc.TextContentBoxMeasurement
    public void updateSpannable(Spannable spannable, int spanFlag) {
        if (this.mComponent == null || this.mComponent.getInstance() == null) {
            return;
        }
        int length = spannable.length();
        if (this.mFontSize == -1) {
            this.mTextPaint.setTextSize(WXViewUtils.getRealPxByWidth(this.mComponent.getInstance().getDefaultFontSize(), this.mComponent.getInstance().getInstanceViewPortWidthWithFloat()));
        } else {
            this.mTextPaint.setTextSize(this.mFontSize);
        }
        if (this.mLineHeight != -1) {
            setSpan(spannable, new WXLineHeightSpan(this.mLineHeight), 0, length, spanFlag);
        }
        setSpan(spannable, new AlignmentSpan.Standard(this.mAlignment), 0, length, spanFlag);
        if (this.mFontStyle != -1 || this.mFontWeight != -1 || this.mFontFamily != null) {
            setSpan(spannable, new WXCustomStyleSpan(this.mFontStyle, this.mFontWeight, this.mFontFamily), 0, length, spanFlag);
        }
        if (this.mIsColorSet) {
            this.mTextPaint.setColor(this.mColor);
        }
        if (this.mTextDecoration == WXTextDecoration.UNDERLINE || this.mTextDecoration == WXTextDecoration.LINETHROUGH) {
            setSpan(spannable, new TextDecorationSpan(this.mTextDecoration), 0, length, spanFlag);
        }
    }
}
