package io.dcloud.js.gallery;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.ClipData;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.graphics.BitmapFactory;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.os.Environment;
import android.os.Parcelable;
import android.text.TextUtils;
import androidx.core.app.ActivityCompat;
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
import com.bumptech.glide.Glide;
import com.bumptech.glide.RequestBuilder;
import com.bumptech.glide.request.target.CustomTarget;
import com.bumptech.glide.request.transition.Transition;
import com.dmcbig.mediapicker.PickerConfig;
import com.dmcbig.mediapicker.entity.Media;
import com.taobao.weex.common.Constants;
import com.taobao.weex.el.parse.Operators;
import io.dcloud.common.DHInterface.AbsMgr;
import io.dcloud.common.DHInterface.IActivityHandler;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.DHInterface.IFeature;
import io.dcloud.common.DHInterface.ISysEventListener;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.io.DHFile;
import io.dcloud.common.adapter.util.ContentUriUtil;
import io.dcloud.common.adapter.util.DeviceInfo;
import io.dcloud.common.adapter.util.PermissionUtil;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.constant.DOMException;
import io.dcloud.common.util.AppRuntime;
import io.dcloud.common.util.BaseInfo;
import io.dcloud.common.util.Deprecated_JSUtil;
import io.dcloud.common.util.FileUtil;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.common.util.PdrUtil;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.IOException;
import java.net.URI;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.regex.Pattern;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
/* loaded from: classes21.dex */
public class GalleryFeatureImpl implements IFeature {
    private static String a = Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DCIM).getAbsolutePath() + "/Camera/";
    private static int b = 1001;
    private static int c = 1002;
    private static int d = 1003;
    private static int e = 1004;
    private static IWebview f;
    private ArrayList<BroadcastReceiver> h;
    AbsMgr g = null;
    private boolean i = false;

    /* loaded from: classes21.dex */
    class a extends PermissionUtil.Request {
        final /* synthetic */ String[] a;
        final /* synthetic */ IWebview b;
        final /* synthetic */ String c;

        a(String[] strArr, IWebview iWebview, String str) {
            this.a = strArr;
            this.b = iWebview;
            this.c = str;
        }

        @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
        public void onDenied(String str) {
            if ("android.permission.READ_MEDIA_VIDEO".equals(str)) {
                return;
            }
            if (!(ActivityCompat.checkSelfPermission(this.b.getContext(), "android.permission.READ_MEDIA_VISUAL_USER_SELECTED") == -1)) {
                onGranted("android.permission.READ_MEDIA_IMAGES");
                return;
            }
            Deprecated_JSUtil.execCallback(this.b, this.a[0], DOMException.toJSON(12, DOMException.MSG_NO_PERMISSION), JSUtil.ERROR, true, false);
        }

        @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
        public void onGranted(String str) {
            String[] strArr = this.a;
            boolean z = false;
            if (strArr.length >= 2) {
                String str2 = strArr[1];
                if (!PdrUtil.isEmpty(str2)) {
                    try {
                        z = new JSONObject(str2).optBoolean("multiple", false);
                    } catch (JSONException e) {
                        e.printStackTrace();
                    }
                }
            }
            if (GalleryFeatureImpl.this.i) {
                return;
            }
            if (!z) {
                GalleryFeatureImpl.this.b(this.b, this.c, this.a);
            } else {
                GalleryFeatureImpl.this.a(this.b, this.c, this.a);
            }
            GalleryFeatureImpl.this.i = true;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes24.dex */
    public class b extends PermissionUtil.StreamPermissionRequest {
        final /* synthetic */ String a;
        final /* synthetic */ IApp b;
        final /* synthetic */ IWebview c;
        final /* synthetic */ String d;
        final /* synthetic */ String[] e;

        /* loaded from: classes26.dex */
        class a extends CustomTarget<byte[]> {
            a() {
            }

            @Override // com.bumptech.glide.request.target.Target
            /* renamed from: a */
            public void onResourceReady(byte[] bArr, Transition<? super byte[]> transition) {
                String downloadFilename = PdrUtil.getDownloadFilename(null, "image/*", b.this.a);
                if (!downloadFilename.contains(Operators.DOT_STR) || FileUtil.getFileTypeForSuffix(downloadFilename.substring(downloadFilename.lastIndexOf(Operators.DOT_STR) + 1)) == null) {
                    BitmapFactory.Options options = new BitmapFactory.Options();
                    options.inJustDecodeBounds = true;
                    BitmapFactory.decodeByteArray(bArr, 0, bArr.length, options);
                    String str = options.outMimeType;
                    if (!PdrUtil.isEmpty(str)) {
                        String[] split = str.split("/");
                        if (split.length > 1 && !PdrUtil.isEmpty(split[1]) && !split[1].contains("*")) {
                            downloadFilename = downloadFilename + "_" + System.currentTimeMillis() + Operators.DOT_STR + split[1];
                        }
                    }
                }
                String str2 = GalleryFeatureImpl.a + downloadFilename;
                ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(bArr);
                if (!FileUtil.needMediaStoreOpenFile(b.this.b.getActivity())) {
                    FileUtil.writeStream2File(byteArrayInputStream, new File(str2));
                } else {
                    Uri copyMediaFileToDCIM = FileUtil.copyMediaFileToDCIM(b.this.c.getContext(), byteArrayInputStream, downloadFilename);
                    if (copyMediaFileToDCIM != null) {
                        str2 = FileUtil.getPathFromUri(b.this.c.getContext(), copyMediaFileToDCIM);
                    } else {
                        String json = DOMException.toJSON(12, "SAVE ERROR");
                        b bVar = b.this;
                        Deprecated_JSUtil.execCallback(bVar.c, bVar.d, json, JSUtil.ERROR, true, false);
                    }
                }
                String convert2WebviewFullPath = b.this.b.convert2WebviewFullPath(null, str2);
                try {
                    JSONObject jSONObject = new JSONObject();
                    jSONObject.put("file", convert2WebviewFullPath);
                    jSONObject.put(AbsoluteConst.XML_PATH, convert2WebviewFullPath);
                    b bVar2 = b.this;
                    JSUtil.execCallback(bVar2.c, bVar2.d, jSONObject, JSUtil.OK, false);
                    b.this.c.getContext().sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.parse(DeviceInfo.FILE_PROTOCOL + str2)));
                } catch (JSONException unused) {
                }
            }

            @Override // com.bumptech.glide.request.target.Target
            public void onLoadCleared(Drawable drawable) {
            }

            @Override // com.bumptech.glide.request.target.CustomTarget, com.bumptech.glide.request.target.Target
            public void onLoadFailed(Drawable drawable) {
                String json = DOMException.toJSON(12, "UNKOWN ERROR");
                b bVar = b.this;
                Deprecated_JSUtil.execCallback(bVar.c, bVar.d, json, JSUtil.ERROR, true, false);
            }
        }

        /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
        b(IApp iApp, String str, IApp iApp2, IWebview iWebview, String str2, String[] strArr) {
            super(iApp);
            this.a = str;
            this.b = iApp2;
            this.c = iWebview;
            this.d = str2;
            this.e = strArr;
        }

        @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
        public void onDenied(String str) {
            Deprecated_JSUtil.execCallback(this.c, this.d, DOMException.toJSON(12, DOMException.MSG_NO_PERMISSION), JSUtil.ERROR, true, false);
        }

        @Override // io.dcloud.common.adapter.util.PermissionUtil.Request
        public void onGranted(String str) {
            try {
                String str2 = this.a;
                if (str2 != null) {
                    if (PdrUtil.isNetPath(str2)) {
                        Glide.with(this.b.getActivity()).as(byte[].class).load(this.a).into((RequestBuilder) new a());
                        return;
                    }
                    String convert2AbsFullPath = this.b.convert2AbsFullPath(this.c.obtainFullUrl(), this.e[0]);
                    if (!FileUtil.checkPrivatePath(this.b.getActivity(), convert2AbsFullPath) && !FileUtil.isFilePathForPublic(this.b.getActivity(), convert2AbsFullPath)) {
                        Deprecated_JSUtil.execCallback(this.c, this.d, DOMException.toJSON(12, DOMException.MSG_PATH_NOT_PRIVATE_ERROR), JSUtil.ERROR, true, false);
                        return;
                    }
                    boolean z = true;
                    String str3 = GalleryFeatureImpl.a + convert2AbsFullPath.substring(convert2AbsFullPath.lastIndexOf("/") + 1);
                    if (Build.VERSION.SDK_INT >= 29) {
                        if (!FileUtil.needMediaStoreOpenFile(this.b.getActivity())) {
                            if (1 == DHFile.copyFile(convert2AbsFullPath, str3)) {
                            }
                            z = false;
                        } else {
                            Uri copyMediaFileToDCIM = FileUtil.copyMediaFileToDCIM(this.c.getContext(), convert2AbsFullPath);
                            if (copyMediaFileToDCIM != null) {
                                str3 = FileUtil.getPathFromUri(this.c.getContext(), copyMediaFileToDCIM);
                            }
                            z = false;
                        }
                    } else {
                        if (1 == DHFile.copyFile(convert2AbsFullPath, str3)) {
                        }
                        z = false;
                    }
                    if (z) {
                        String convert2WebviewFullPath = this.b.convert2WebviewFullPath(null, str3);
                        JSONObject jSONObject = new JSONObject();
                        jSONObject.put("file", convert2WebviewFullPath);
                        jSONObject.put(AbsoluteConst.XML_PATH, convert2WebviewFullPath);
                        JSUtil.execCallback(this.c, this.d, jSONObject, JSUtil.OK, false);
                        this.c.getContext().sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.parse(DeviceInfo.FILE_PROTOCOL + str3)));
                        return;
                    }
                    Deprecated_JSUtil.execCallback(this.c, this.d, DOMException.toJSON(12, "UNKOWN ERROR3"), JSUtil.ERROR, true, false);
                    return;
                }
                throw new IOException();
            } catch (Exception e) {
                e.printStackTrace();
                Deprecated_JSUtil.execCallback(this.c, this.d, DOMException.toJSON(12, "UNKOWN ERROR4"), JSUtil.ERROR, true, false);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes21.dex */
    public class c implements ISysEventListener {
        final /* synthetic */ IApp a;
        final /* synthetic */ IWebview b;
        final /* synthetic */ String c;

        c(IApp iApp, IWebview iWebview, String str) {
            this.a = iApp;
            this.b = iWebview;
            this.c = str;
        }

        /* JADX WARN: Multi-variable type inference failed */
        /* JADX WARN: Removed duplicated region for block: B:36:0x00b1  */
        /* JADX WARN: Removed duplicated region for block: B:37:0x00b3  */
        /* JADX WARN: Type inference failed for: r3v10, types: [java.lang.String[]] */
        /* JADX WARN: Type inference failed for: r3v11 */
        /* JADX WARN: Type inference failed for: r3v4 */
        /* JADX WARN: Type inference failed for: r3v5 */
        /* JADX WARN: Type inference failed for: r3v7, types: [int] */
        /* JADX WARN: Type inference failed for: r3v9, types: [java.lang.String[]] */
        @Override // io.dcloud.common.DHInterface.ISysEventListener
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public boolean onExecute(ISysEventListener.SysEventType sysEventType, Object obj) {
            ?? r3;
            String[] mediasToJSONArray;
            String imageAbsolutePath;
            Object[] objArr = (Object[]) obj;
            int intValue = ((Integer) objArr[0]).intValue();
            ((Integer) objArr[1]).intValue();
            Intent intent = (Intent) objArr[2];
            ISysEventListener.SysEventType sysEventType2 = ISysEventListener.SysEventType.onActivityResult;
            if (sysEventType == sysEventType2) {
                this.a.unregisterSysEventListener(this, sysEventType2);
                if (intValue != GalleryFeatureImpl.c) {
                    r3 = GalleryFeatureImpl.d;
                    if (intValue == r3) {
                        if (intent != null) {
                            ClipData clipData = intent.getClipData();
                            try {
                                if (clipData != null) {
                                    int itemCount = clipData.getItemCount();
                                    r3 = new String[itemCount];
                                    for (int i = 0; i < itemCount; i++) {
                                        r3[i] = ContentUriUtil.getImageAbsolutePath(this.b.getActivity(), clipData.getItemAt(i).getUri());
                                    }
                                } else if (intent.getData() != null) {
                                    if (PdrUtil.isDeviceRootDir(intent.getData().getPath())) {
                                        imageAbsolutePath = intent.getData().getPath();
                                    } else {
                                        imageAbsolutePath = ContentUriUtil.getImageAbsolutePath(this.b.getActivity(), intent.getData());
                                    }
                                    if (imageAbsolutePath != null) {
                                        r3 = new String[1];
                                        r3[0] = imageAbsolutePath;
                                    }
                                }
                            } catch (Exception unused) {
                            }
                            GalleryFeatureImpl.this.a(this.a, this.b, this.c, intent != null ? r3 : null, true);
                        }
                    } else if (intValue == GalleryFeatureImpl.e) {
                        mediasToJSONArray = GalleryFeatureImpl.this.mediasToJSONArray(intent.getParcelableArrayListExtra(PickerConfig.EXTRA_RESULT));
                    }
                    r3 = 0;
                    GalleryFeatureImpl.this.a(this.a, this.b, this.c, intent != null ? r3 : null, true);
                } else {
                    mediasToJSONArray = intent.getStringArrayExtra("all_path");
                }
                r3 = mediasToJSONArray;
                GalleryFeatureImpl.this.a(this.a, this.b, this.c, intent != null ? r3 : null, true);
            }
            return false;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes13.dex */
    public class d extends BroadcastReceiver {
        final /* synthetic */ Activity a;

        d(Activity activity) {
            this.a = activity;
        }

        @Override // android.content.BroadcastReceiver
        public void onReceive(Context context, Intent intent) {
            String stringExtra = intent.getStringExtra("_onMaxedId");
            if (TextUtils.isEmpty(stringExtra)) {
                if (GalleryFeatureImpl.this.h != null) {
                    GalleryFeatureImpl.this.h.remove(this);
                }
                LocalBroadcastManager.getInstance(this.a).unregisterReceiver(this);
                return;
            }
            GalleryFeatureImpl.onMaxed(this.a, stringExtra);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes21.dex */
    public class e implements ISysEventListener {
        final /* synthetic */ IApp a;
        final /* synthetic */ IWebview b;
        final /* synthetic */ String c;

        e(IApp iApp, IWebview iWebview, String str) {
            this.a = iApp;
            this.b = iWebview;
            this.c = str;
        }

        @Override // io.dcloud.common.DHInterface.ISysEventListener
        public boolean onExecute(ISysEventListener.SysEventType sysEventType, Object obj) {
            String[] mediasToJSONArray;
            String str;
            Uri data;
            Object[] objArr = (Object[]) obj;
            int intValue = ((Integer) objArr[0]).intValue();
            ((Integer) objArr[1]).intValue();
            Intent intent = (Intent) objArr[2];
            ISysEventListener.SysEventType sysEventType2 = ISysEventListener.SysEventType.onActivityResult;
            if (sysEventType == sysEventType2) {
                this.a.unregisterSysEventListener(this, sysEventType2);
                if (intValue != GalleryFeatureImpl.b) {
                    if (intValue == GalleryFeatureImpl.e) {
                        String str2 = (intent == null || (mediasToJSONArray = GalleryFeatureImpl.this.mediasToJSONArray(intent.getParcelableArrayListExtra(PickerConfig.EXTRA_RESULT))) == null || mediasToJSONArray.length <= 0) ? null : mediasToJSONArray[0];
                        GalleryFeatureImpl.this.a(this.a, this.b, this.c, str2 != null ? new String[]{str2} : null, false);
                    }
                } else {
                    if (intent == null || (data = intent.getData()) == null) {
                        str = null;
                    } else if (PdrUtil.isDeviceRootDir(data.getPath())) {
                        str = data.getPath();
                    } else {
                        str = data.toString();
                    }
                    GalleryFeatureImpl.this.a(this.a, this.b, this.c, str != null ? new String[]{str} : null, false);
                }
            }
            return false;
        }
    }

    public static void onMaxed(Context context, String str) {
        IWebview iWebview = f;
        if (iWebview != null) {
            JSUtil.execCallback(iWebview, str, "", JSUtil.OK, true);
            return;
        }
        Intent intent = new Intent("io.dcloud.streamapp.Gallery.onMax." + str);
        intent.putExtra("_onMaxedId", str);
        LocalBroadcastManager.getInstance(context).sendBroadcast(intent);
    }

    public ArrayList<Media> JSONArrayToMedias(int i, JSONArray jSONArray) {
        ArrayList<Media> arrayList = null;
        for (int i2 = 0; i2 < jSONArray.length(); i2++) {
            try {
                if (arrayList == null) {
                    arrayList = new ArrayList<>();
                }
                File file = new File(URI.create(jSONArray.getString(i2)));
                if (file.exists()) {
                    arrayList.add(new Media(file.getPath(), file.getName(), 0L, i == 102 ? 3 : 1, file.length(), 0, ""));
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        return arrayList;
    }

    @Override // io.dcloud.common.DHInterface.IFeature
    public void dispose(String str) {
        ArrayList<BroadcastReceiver> arrayList = this.h;
        if (arrayList != null && f != null) {
            Iterator<BroadcastReceiver> it = arrayList.iterator();
            while (it.hasNext()) {
                LocalBroadcastManager.getInstance(f.getActivity()).unregisterReceiver(it.next());
            }
            this.h.clear();
        }
        f = null;
    }

    @Override // io.dcloud.common.DHInterface.IFeature
    public String execute(IWebview iWebview, String str, String[] strArr) {
        f = iWebview;
        Context context = iWebview.getContext();
        AppRuntime.checkPrivacyComplianceAndPrompt(context, "Gallery-" + str);
        if ("pick".equals(str)) {
            this.i = false;
            a aVar = new a(strArr, iWebview, str);
            if (Build.VERSION.SDK_INT >= 34) {
                if (!(ActivityCompat.checkSelfPermission(iWebview.getContext(), "android.permission.READ_MEDIA_VISUAL_USER_SELECTED") == -1)) {
                    aVar.onGranted("android.permission.READ_MEDIA_IMAGES");
                    return null;
                }
                PermissionUtil.usePermission(iWebview.obtainApp().getActivity(), "gallery", PermissionUtil.PMS_STORAGE_IMAGE, 2, aVar);
                return null;
            }
            PermissionUtil.usePermission(iWebview.obtainApp().getActivity(), "gallery", PermissionUtil.PMS_STORAGE_IMAGE, 2, aVar);
            return null;
        } else if ("save".equals(str)) {
            IApp obtainApp = iWebview.obtainFrameView().obtainApp();
            PermissionUtil.usePermission(obtainApp.getActivity(), "gallery", PermissionUtil.PMS_STORAGE, 2, new b(obtainApp, strArr[0], obtainApp, iWebview, strArr[1], strArr));
            return null;
        } else {
            return null;
        }
    }

    public Intent getMediaPickerIntent(Context context, String str, int i, JSONArray jSONArray, String str2, boolean z, String str3, JSONObject jSONObject, String str4, String str5, boolean z2) {
        int i2;
        Intent intent = new Intent();
        if (str.contains("video") && str.contains("image")) {
            i2 = 101;
        } else {
            i2 = str.contains("video") ? 102 : 100;
        }
        boolean contains = str.contains("__Single__");
        intent.setClassName(context, "com.dmcbig.mediapicker.PickerActivity");
        intent.putExtra(PickerConfig.SELECT_MODE, i2);
        intent.putExtra(PickerConfig.SINGLE_SELECT, contains);
        intent.putExtra(PickerConfig.COMPRESSED, z2);
        if (i > 0) {
            intent.putExtra(PickerConfig.MAX_SELECT_COUNT, i);
        }
        if (jSONArray != null) {
            intent.putExtra(PickerConfig.DEFAULT_SELECTED_LIST, JSONArrayToMedias(i2, jSONArray));
        }
        if (!TextUtils.isEmpty(str3)) {
            intent.putExtra(PickerConfig.SELECTED_MAX_CALLBACK_ID, str3);
        }
        if (!TextUtils.isEmpty(str2)) {
            intent.putExtra(PickerConfig.DONE_BUTTON_TEXT, str2);
        }
        if (!TextUtils.isEmpty(str4)) {
            intent.putExtra(PickerConfig.SIZE_TYPE, str4);
        }
        if (!TextUtils.isEmpty(str5)) {
            intent.putExtra(PickerConfig.DOC_PATH, str5);
        }
        if (jSONObject != null && jSONObject.has("width") && jSONObject.has("height")) {
            Pattern compile = Pattern.compile("[^0-9]");
            try {
                int parseInt = Integer.parseInt(compile.matcher(jSONObject.optString("width")).replaceAll(""));
                int parseInt2 = Integer.parseInt(compile.matcher(jSONObject.optString("height")).replaceAll(""));
                if (parseInt > 0 && parseInt2 > 0) {
                    jSONObject.put("width", parseInt);
                    jSONObject.put("height", parseInt2);
                    intent.putExtra(PickerConfig.IMAGE_CROP, jSONObject.toString());
                    intent.putExtra(PickerConfig.MAX_SELECT_COUNT, 1);
                }
            } catch (Exception unused) {
            }
        }
        intent.putExtra(PickerConfig.IMAGE_EDITABLE, z);
        return intent;
    }

    @Override // io.dcloud.common.DHInterface.IFeature
    public void init(AbsMgr absMgr, String str) {
        this.g = absMgr;
    }

    public String[] mediasToJSONArray(ArrayList<Parcelable> arrayList) {
        String[] strArr = null;
        for (int i = 0; i < arrayList.size(); i++) {
            Media media = (Media) arrayList.get(i);
            if (strArr == null) {
                strArr = new String[arrayList.size()];
            }
            strArr[i] = media.path;
        }
        return strArr;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void b(IWebview iWebview, String str, String[] strArr) {
        String str2;
        IApp obtainApp;
        String str3;
        JSONObject jSONObject;
        String str4;
        boolean z;
        boolean z2;
        String str5;
        try {
            String str6 = strArr[0];
            try {
                obtainApp = iWebview.obtainFrameView().obtainApp();
            } catch (Exception e2) {
                e = e2;
            }
            try {
                obtainApp.registerSysEventListener(new e(obtainApp, iWebview, str6), ISysEventListener.SysEventType.onActivityResult);
                String str7 = "image/*";
                if (PdrUtil.isEmpty(strArr[1])) {
                    str3 = null;
                    jSONObject = null;
                    str4 = null;
                    z = true;
                    z2 = false;
                } else {
                    JSONObject createJSONObject = JSONUtil.createJSONObject(strArr[1]);
                    String string = JSONUtil.getString(createJSONObject, Constants.Name.FILTER);
                    if ("video".equals(string)) {
                        str7 = "video/*";
                    } else if ("none".equals(string)) {
                        str7 = "image/*|video/*";
                    }
                    str3 = createJSONObject.optString("confirmText");
                    boolean optBoolean = createJSONObject.optBoolean("editable", true);
                    JSONObject optJSONObject = createJSONObject.optJSONObject("crop");
                    String optString = createJSONObject.optString("sizeType");
                    z2 = createJSONObject.optBoolean("videoCompress", false);
                    jSONObject = optJSONObject;
                    str4 = optString;
                    z = optBoolean;
                }
                new Intent("android.intent.action.PICK");
                String str8 = str7 + "__Single__";
                if (strArr.length > 2) {
                    String str9 = strArr[2];
                    a(iWebview.getActivity(), str9);
                    str5 = str9;
                } else {
                    str5 = null;
                }
                iWebview.getActivity().startActivityForResult(getMediaPickerIntent(iWebview.getContext(), str8, 1, null, str3, z, str5, jSONObject, str4, iWebview.obtainApp().convert2LocalFullPath(null, BaseInfo.REL_PRIVATE_DOC_DIR), z2), e);
            } catch (Exception e3) {
                e = e3;
                str2 = str6;
                e.printStackTrace();
                Deprecated_JSUtil.execCallback(iWebview, str2, DOMException.toJSON(12, e.getMessage()), JSUtil.ERROR, true, false);
            }
        } catch (Exception e4) {
            e = e4;
            str2 = null;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void a(IWebview iWebview, String str, String[] strArr) {
        String str2;
        String str3;
        IApp obtainApp;
        Intent intent;
        String str4;
        int i;
        JSONArray optJSONArray;
        boolean optBoolean;
        JSONObject optJSONObject;
        String optString;
        boolean optBoolean2;
        String str5;
        String str6;
        int i2;
        int i3;
        String str7;
        try {
            String str8 = strArr[0];
            try {
                obtainApp = iWebview.obtainFrameView().obtainApp();
            } catch (Exception e2) {
                e = e2;
            }
            try {
                obtainApp.registerSysEventListener(new c(obtainApp, iWebview, str8), ISysEventListener.SysEventType.onActivityResult);
                intent = new Intent();
                str4 = "image/*";
                i = -1;
                if (PdrUtil.isEmpty(strArr[1])) {
                    str5 = null;
                    optJSONArray = null;
                    optBoolean = true;
                    optJSONObject = null;
                    optString = null;
                    optBoolean2 = false;
                } else {
                    try {
                        JSONObject createJSONObject = JSONUtil.createJSONObject(strArr[1]);
                        String string = JSONUtil.getString(createJSONObject, Constants.Name.FILTER);
                        if ("video".equals(string)) {
                            str4 = "video/*";
                        } else if ("none".equals(string)) {
                            str4 = "image/*|video/*";
                        }
                        i = createJSONObject.optInt("maximum", -1);
                        optJSONArray = createJSONObject.optJSONArray("selected");
                        String optString2 = createJSONObject.optString("confirmText");
                        optBoolean = createJSONObject.optBoolean("editable", true);
                        optJSONObject = createJSONObject.optJSONObject("crop");
                        optString = createJSONObject.optString("sizeType");
                        optBoolean2 = createJSONObject.optBoolean("videoCompress", false);
                        str5 = optString2;
                    } catch (Exception e3) {
                        e = e3;
                        str2 = str8;
                        e.printStackTrace();
                        Deprecated_JSUtil.execCallback(iWebview, str2, DOMException.toJSON(12, e.getMessage()), JSUtil.ERROR, true, false);
                    }
                }
                intent.setType(str4);
            } catch (Exception e4) {
                e = e4;
                str3 = str8;
                str2 = str3;
                e.printStackTrace();
                Deprecated_JSUtil.execCallback(iWebview, str2, DOMException.toJSON(12, e.getMessage()), JSUtil.ERROR, true, false);
            }
            try {
                if (Build.VERSION.SDK_INT >= 19) {
                    intent.setAction("android.intent.action.OPEN_DOCUMENT");
                    intent.putExtra("android.intent.extra.ALLOW_MULTIPLE", true);
                    intent.addCategory("android.intent.category.OPENABLE");
                    i3 = d;
                    try {
                        if (strArr.length > 2) {
                            try {
                                str7 = strArr[2];
                                a(iWebview.getActivity(), str7);
                            } catch (Exception e5) {
                                e = e5;
                                str3 = str8;
                                e.printStackTrace();
                                iWebview.getActivity().startActivityForResult(intent, i3);
                            }
                        } else {
                            str7 = null;
                        }
                        str3 = str8;
                        try {
                            intent = getMediaPickerIntent(iWebview.getContext(), str4, i, optJSONArray, str5, optBoolean, str7, optJSONObject, optString, iWebview.obtainApp().convert2LocalFullPath(null, BaseInfo.REL_PRIVATE_DOC_DIR), optBoolean2);
                        } catch (Exception e6) {
                            e = e6;
                            intent = intent;
                        }
                    } catch (Exception e7) {
                        e = e7;
                        str3 = str8;
                    }
                    try {
                        i2 = e;
                    } catch (Exception e8) {
                        e = e8;
                        e.printStackTrace();
                        iWebview.getActivity().startActivityForResult(intent, i3);
                    }
                } else {
                    str3 = str8;
                    if (strArr.length > 2) {
                        str6 = strArr[2];
                        intent.putExtra("_onMaxedId", str6);
                        a(iWebview.getActivity(), str6);
                    } else {
                        str6 = null;
                    }
                    intent = getMediaPickerIntent(iWebview.getContext(), str4, i, optJSONArray, str5, optBoolean, str6, optJSONObject, optString, iWebview.obtainApp().convert2LocalFullPath(null, BaseInfo.REL_PRIVATE_DOC_DIR), optBoolean2);
                    i2 = e;
                }
                i3 = i2;
                iWebview.getActivity().startActivityForResult(intent, i3);
            } catch (Exception e9) {
                e = e9;
                str2 = str3;
                e.printStackTrace();
                Deprecated_JSUtil.execCallback(iWebview, str2, DOMException.toJSON(12, e.getMessage()), JSUtil.ERROR, true, false);
            }
        } catch (Exception e10) {
            e = e10;
            str2 = null;
        }
    }

    private void a(Activity activity, String str) {
        if ((activity instanceof IActivityHandler) && ((IActivityHandler) activity).isMultiProcessMode()) {
            IntentFilter intentFilter = new IntentFilter();
            intentFilter.addAction("io.dcloud.streamapp.Gallery.onMax." + str);
            d dVar = new d(activity);
            if (this.h == null) {
                this.h = new ArrayList<>();
            }
            this.h.add(dVar);
            LocalBroadcastManager.getInstance(activity).registerReceiver(dVar, intentFilter);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void a(IApp iApp, IWebview iWebview, String str, String[] strArr, boolean z) {
        String str2;
        boolean z2;
        String convert2WebviewFullPath;
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("multiple", z);
        } catch (JSONException e2) {
            e2.printStackTrace();
        }
        JSONArray jSONArray = new JSONArray();
        if (strArr == null || strArr.length <= 0) {
            str2 = "User cancelled";
            z2 = false;
        } else {
            for (String str3 : strArr) {
                if (str3.startsWith("content://")) {
                    convert2WebviewFullPath = FileUtil.getPathFromUri(iApp.getActivity(), Uri.parse(str3));
                    if (!TextUtils.isEmpty(convert2WebviewFullPath) && !convert2WebviewFullPath.startsWith(DeviceInfo.FILE_PROTOCOL)) {
                        convert2WebviewFullPath = DeviceInfo.FILE_PROTOCOL + convert2WebviewFullPath;
                    }
                } else {
                    convert2WebviewFullPath = iApp.convert2WebviewFullPath(null, str3);
                }
                jSONArray.put(convert2WebviewFullPath);
            }
            try {
                jSONObject.put("files", jSONArray);
            } catch (JSONException e3) {
                e3.printStackTrace();
            }
            z2 = true;
            str2 = "pickImage path wrong";
        }
        if (z2) {
            JSUtil.execCallback(iWebview, str, jSONObject, JSUtil.OK, false);
        } else {
            Deprecated_JSUtil.execCallback(iWebview, str, DOMException.toJSON(12, str2), JSUtil.ERROR, true, false);
        }
    }
}
