package io.dcloud.weex;

import android.content.Context;
import android.text.TextUtils;
import android.util.Base64;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.common.adapter.util.PlatformUtil;
import io.dcloud.common.util.AppRuntime;
import io.dcloud.common.util.BaseInfo;
import io.dcloud.feature.weex.WeexInstanceMgr;
import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.io.InputStreamReader;
import org.json.JSONObject;
/* loaded from: classes13.dex */
public class DCFileUtils {
    public static InputStream loadWeexAsset(String path, Context context) {
        InputStream loadWeexAsset = AppRuntime.loadWeexAsset(path, context);
        if (loadWeexAsset != null || !path.startsWith("uni-jsframework") || !path.endsWith(".js")) {
            return loadWeexAsset;
        }
        InputStream inputStream = null;
        try {
            try {
                inputStream = context.getAssets().open(path);
            } catch (FileNotFoundException unused) {
                WeexInstanceMgr.self().setJSFKFileNotFound(true);
            }
            if (inputStream != null) {
                WeexInstanceMgr.self().setJSFKFileNotFound(false);
                BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(inputStream));
                JSONObject jSONObject = new JSONObject(bufferedReader.readLine().substring(2));
                BaseInfo.setUniVersionV3(jSONObject.optString("version"), context);
                String optString = jSONObject.optString("encode");
                if (TextUtils.isEmpty(optString) || !optString.equals("base64")) {
                    return loadWeexAsset;
                }
                String readLine = bufferedReader.readLine();
                while (true) {
                    String readLine2 = bufferedReader.readLine();
                    if (readLine2 != null) {
                        readLine = readLine + readLine2;
                    } else {
                        return new ByteArrayInputStream(Base64.decode(readLine, 0));
                    }
                }
            } else {
                WeexInstanceMgr.self().setJSFKFileNotFound(true);
                return loadWeexAsset;
            }
        } catch (Exception e) {
            e.printStackTrace();
            return loadWeexAsset;
        }
    }

    public static String getAssetPath(String path) {
        String str;
        if (!TextUtils.isEmpty(path) && path.equals("weex-main-jsfm.js")) {
            String str2 = WeexInstanceMgr.self().getVueVersion() == 3 ? "uni-jsframework-vue3" : "uni-jsframework";
            if (BaseInfo.SyncDebug) {
                str = str2 + "-dev.js";
            } else {
                str = str2 + ".js";
            }
            if (PlatformUtil.getResInputStream(str) == null && BaseInfo.SyncDebug) {
                path = str2 + ".js";
            } else {
                path = str;
            }
            Logger.i("DCFileUtils", "getAssetPath---------" + path);
        }
        return path;
    }
}
